Debian Bug report logs - #689268
linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Per Foreby <per@foreby.se>

Date: Mon, 1 Oct 2012 00:33:02 UTC

Severity: important

Tags: pending

Merged with 692234, 692500, 692862

Found in versions linux/3.2.32-1, linux/3.2.35-2, linux/3.2.23-1

Fixed in versions linux-2.6/3.3.6-1~experimental.1, linux/3.5.5-1~experimental.1, linux-2.6/3.3~rc6-1~experimental.1, linux/3.2.39-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 00:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: submit@bugs.debian.org
Subject: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 01 Oct 2012 02:31:57 +0200
Package: src:linux
Version: 3.2.23-1
Severity: important

I'm using the built-in graphics (HD4000) on a i7 3770 Ivy Bridge 
processor with Z77 chipset.

The computer has been runing just fine under heavy load (Folding at 
Home) for some weeks, but a few days ago I started using it as a 
workstation, and since then it totally freezes a few times a day.

This always happens on interactive input. So far these four events:

- close a window
- click a link in firefox
- ctrl-r to reload a page in firefox
- ctrl-k to delete a line in thunderbird's composer

The computer is completely frozen. The cpu probably stops working since 
the fan spins down to it's lowest rpm, I can't ping the interface, caps 
lock doesn't light up, has to be power cycled. And no clues in the logs.

After reboot, redoing the same actions doesn't trigger the bug. But 
about 3-4 hours later the computer hangs again. Maybe some data 
structure that is filled upp with time?

Googling for solutions, I fond these pages:

http://partiallysanedeveloper.blogspot.se/2012/05/ivy-bridge-hd4000-linux-freeze.html
http://askubuntu.com/questions/155458/ubuntu-12-04-randomly-freezes-on-ivy-bridge-intel-hd-graphics-4000
http://askubuntu.com/questions/163890/weird-system-freeze-nothing-works-keyboard-mouse-reset-button-ubuntu-12-04-64

I haven't tried with another kernel yet.

-- Package-specific info:
** Version:
Linux version 3.2.0-3-amd64 (Debian 3.2.23-1) 
(debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) ) 
#1 SMP Mon Jul 23 02:45:17 UTC 2012

** Command line:
BOOT_IMAGE=/boot/vmlinuz-3.2.0-3-amd64 root=/dev/md0 ro

** Not tainted

** Kernel log:
[    5.621585] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636493
[    5.621624] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636605
[    5.621636] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636595
[    5.621651] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636593
[    5.621659] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636592
[    5.621667] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636584
[    5.621673] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636520
[    5.621680] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636514
[    5.621687] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636501
[    5.621694] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636496
[    5.621700] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636491
[    5.621706] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636191
[    5.621718] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 5636508
[    5.621743] EXT4-fs (md0): ext4_orphan_cleanup: deleting unreferenced 
inode 4064137
[    5.621757] EXT4-fs (md0): 15 orphan inodes deleted
[    5.621808] EXT4-fs (md0): recovery complete
[    5.925942] EXT4-fs (md0): mounted filesystem with ordered data mode. 
Opts: (null)
[    7.181722] udevd[467]: starting version 175
[    7.619643] ACPI: Requesting acpi_cpufreq
[    7.619661] input: Power Button as 
/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4
[    7.619667] ACPI: Power Button [PWRB]
[    7.620061] Monitor-Mwait will be used to enter C-1 state
[    7.620080] Monitor-Mwait will be used to enter C-2 state
[    7.620099] Monitor-Mwait will be used to enter C-3 state
[    7.620111] ACPI: acpi_idle registered with cpuidle
[    7.622036] input: Power Button as 
/devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[    7.622104] ACPI: Power Button [PWRF]
[    7.687301] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 18 (level, low) 
-> IRQ 18
[    7.687369] ACPI: resource 0000:00:1f.3 [io  0xf040-0xf05f] conflicts 
with ACPI region SMBI [io 0xf040-0xf04f]
[    7.687436] ACPI: If an ACPI driver is available for this device, you 
should use it instead of the native driver
[    7.700685] input: PC Speaker as /devices/platform/pcspkr/input/input6
[    7.720941] wmi: Mapper loaded
[    7.722731] iTCO_vendor_support: vendor-support=0
[    7.740352] alg: No test for __gcm-aes-aesni (__driver-gcm-aes-aesni)
[    7.759663] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.07
[    7.759776] iTCO_wdt: Found a Panther Point TCO device (Version=2, 
TCOBASE=0x0460)
[    7.759880] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    7.869045] [drm] Initialized drm 1.1.0 20060810
[    7.890031] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    7.890087] i915 0000:00:02.0: setting latency timer to 64
[    7.921302] mtrr: type mismatch for e0000000,10000000 old: write-back 
new: write-combining
[    7.921372] [drm] MTRR allocation failed.  Graphics performance may 
suffer.
[    7.921596] i915 0000:00:02.0: irq 55 for MSI/MSI-X
[    7.921599] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    7.921652] [drm] Driver supports precise vblank timestamp query.
[    7.922088] vgaarb: device changed decodes: 
PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    8.039084] asus_wmi: ASUS WMI generic driver loaded
[    8.039891] asus_wmi: Initialization: 0x0
[    8.040015] asus_wmi: BIOS WMI version: 0.9
[    8.040151] asus_wmi: SFUN value: 0x0
[    8.040566] input: Eee PC WMI hotkeys as 
/devices/platform/eeepc-wmi/input/input7
[    8.041644] asus_wmi: Backlight controlled by ACPI video driver
[    8.217242] snd_ens1371 0000:05:00.0: PCI INT A -> GSI 17 (level, 
low) -> IRQ 17
[    8.322472] fbcon: inteldrmfb (fb0) is primary device
[    8.506447] Console: switching to colour frame buffer device 240x75
[    8.511746] fb0: inteldrmfb frame buffer device
[    8.511775] drm: registered panic notifier
[    8.524145] acpi device:44: registered as cooling_device13
[    8.524308] input: Video Bus as 
/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input8
[    8.524418] ACPI: Video Device [GFX0] (multi-head: yes  rom: no 
post: no)
[    8.524539] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on 
minor 0
[   10.325100] Adding 31249332k swap on /dev/md1.  Priority:-1 extents:1 
across:31249332k
[   10.347628] EXT4-fs (md0): re-mounted. Opts: (null)
[   10.597368] EXT4-fs (md0): re-mounted. Opts: errors=remount-ro
[   10.814321] loop: module loaded
[   26.938665] EXT4-fs (md2): mounted filesystem with ordered data mode. 
Opts: (null)
[   27.050208] EXT4-fs (md3): mounted filesystem with ordered data mode. 
Opts: (null)
[   27.752277] RPC: Registered named UNIX socket transport module.
[   27.752304] RPC: Registered udp transport module.
[   27.752322] RPC: Registered tcp transport module.
[   27.752341] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   27.788311] FS-Cache: Loaded
[   27.831949] FS-Cache: Netfs 'nfs' registered for caching
[   27.845607] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   28.061472] r8169 0000:03:00.0: eth0: unable to load firmware patch 
rtl_nic/rtl8168f-1.fw (-2)
[   28.069959] r8169 0000:03:00.0: eth0: link down
[   28.070016] r8169 0000:03:00.0: eth0: link down
[   28.075058] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   30.483668] Bluetooth: Core ver 2.16
[   30.485697] NET: Registered protocol family 31
[   30.487734] Bluetooth: HCI device and connection manager initialized
[   30.489752] Bluetooth: HCI socket layer initialized
[   30.491752] Bluetooth: L2CAP socket layer initialized
[   30.493722] Bluetooth: SCO socket layer initialized
[   30.519226] Bluetooth: RFCOMM TTY layer initialized
[   30.521171] Bluetooth: RFCOMM socket layer initialized
[   30.523133] Bluetooth: RFCOMM ver 1.11
[   30.615717] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   30.618090] Bluetooth: BNEP filters: protocol multicast
[   30.724195] lp: driver loaded but no devices found
[   31.034887] ppdev: user-space parallel port driver
[   31.527856] r8169 0000:03:00.0: eth0: link up
[   31.529783] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   42.454969] eth0: no IPv6 routers present
[  453.542057] kvm: disabled by bios
[  461.582228] Ebtables v2.0 registered
[  461.722475] ip_tables: (C) 2000-2006 Netfilter Core Team
[  461.756071] ip6_tables: (C) 2000-2006 Netfilter Core Team
[  464.149286] device-mapper: uevent: version 1.0.3
[  464.150492] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) 
initialised: dm-devel@redhat.com

** Model information
sys_vendor: System manufacturer
product_name: System Product Name
product_version: System Version
chassis_vendor: Chassis Manufacture
chassis_version: Chassis Version
bios_vendor: American Megatrends Inc.
bios_version: 0316
board_vendor: ASUSTeK COMPUTER INC.
board_name: P8Z77-V LE
board_version: Rev X.0x

** Loaded modules:
dm_mod
ip6table_filter
ip6_tables
iptable_filter
ip_tables
ebtable_nat
ebtables
x_tables
kvm
parport_pc
ppdev
lp
parport
bnep
rfcomm
bluetooth
binfmt_misc
nfsd
nfs
nfs_acl
auth_rpcgss
fscache
lockd
sunrpc
loop
snd_ens1371
snd_ac97_codec
snd_seq_midi
snd_seq_midi_event
snd_rawmidi
snd_pcm
joydev
snd_page_alloc
snd_seq
snd_seq_device
eeepc_wmi
asus_wmi
sparse_keymap
snd_timer
rfkill
i915
acpi_cpufreq
drm_kms_helper
drm
snd
coretemp
psmouse
i2c_algo_bit
mperf
iTCO_wdt
crc32c_intel
ghash_clmulni_intel
soundcore
aesni_intel
serio_raw
aes_x86_64
iTCO_vendor_support
wmi
aes_generic
cryptd
pcspkr
evdev
i2c_i801
i2c_core
ac97_bus
gameport
video
button
processor
ext4
crc16
jbd2
mbcache
raid1
md_mod
usb_storage
uas
sr_mod
usbhid
sg
cdrom
hid
sd_mod
crc_t10dif
ahci
libahci
libata
scsi_mod
ehci_hcd
r8169
mii
thermal
xhci_hcd
fan
thermal_sys
usbcore
usb_common

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0
iface eth0 inet static
	address 192.168.201.2
	netmask 255.255.255.0
	network 192.168.201.0
	broadcast 192.168.201.255
	gateway 192.168.201.1
	dns-nameservers 192.168.201.1
	dns-search pfab.se

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast 
state UP qlen 1000
    link/ether c8:60:00:c1:5b:fc brd ff:ff:ff:ff:ff:ff
    inet 192.168.201.2/24 brd 192.168.201.255 scope global eth0
    inet6 fe80::ca60:ff:fec1:5bfc/64 scope link
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes 
   packets errs drop fifo colls carrier compressed
    lo: 5134834    6897    0    0    0     0          0         0 
5134834    6897    0    0    0     0       0          0
  eth0: 696975742  658437    0    0    0     0          0         0 
71817283  357394    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    519733 total packets received
    0 forwarded
    0 incoming packets discarded
    519733 incoming packets delivered
    364095 requests sent out
Icmp:
    540 ICMP messages received
    4 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 529
        timeout in transit: 11
    5155 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 5155
IcmpMsg:
        InType3: 529
        InType11: 11
        OutType3: 5155
Tcp:
    2432 active connections openings
    509 passive connection openings
    150 failed connection attempts
    193 connection resets received
    82 connections established
    489300 segments received
    319116 segments send out
    13516 segments retransmited
    0 bad segments received.
    1261 resets sent
Udp:
    25020 packets received
    5152 packets to unknown port received.
    0 packet receive errors
    26358 packets sent
UdpLite:
TcpExt:
    10 invalid SYN cookies received
    12 resets received for embryonic SYN_RECV sockets
    4 packets pruned from receive queue because of socket buffer overrun
    3 packets dropped from out-of-order queue because of socket buffer 
overrun
    395 TCP sockets finished time wait in fast timer
    50 packets rejects in established connections because of timestamp
    11007 delayed acks sent
    14 delayed acks further delayed because of locked socket
    Quick ack mode was activated 549 times
    112 packets directly queued to recvmsg prequeue.
    137833 bytes directly received in process context from prequeue
    269038 packet headers predicted
    76 packets header predicted and directly queued to user
    49331 acknowledgments not containing data payload received
    29887 predicted acknowledgments
    78 times recovered from packet loss by selective acknowledgements
    88 congestion windows recovered without slow start by DSACK
    542 congestion windows recovered without slow start after partial ack
    69 TCP data loss events
    TCPLostRetransmit: 2
    178 timeouts after SACK recovery
    23 timeouts in loss state
    93 fast retransmits
    6 forward retransmits
    218 retransmits in slow start
    3478 other TCP timeouts
    13 SACK retransmits failed
    4 packets collapsed in receive queue due to low socket buffer
    752 DSACKs sent for old packets
    16 DSACKs sent for out of order packets
    584 DSACKs received
    1 DSACKs for out of order packets received
    54 connections reset due to unexpected data
    73 connections reset due to early user close
    1120 connections aborted due to timeout
    TCPDSACKIgnoredOld: 3
    TCPDSACKIgnoredNoUndo: 135
    TCPSpuriousRTOs: 1
    TCPSackShiftFallback: 1041
IpExt:
    InMcastPkts: 363
    OutMcastPkts: 369
    InBcastPkts: 318
    OutBcastPkts: 14
    InOctets: 685867354
    OutOctets: 71938709
    InMcastOctets: 104551
    OutMcastOctets: 104791
    InBcastOctets: 60088
    OutBcastOctets: 656


** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v2/3rd Gen 
Core processor DRAM Controller [8086:0150] (rev 09)
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200 v2/3rd Gen 
Core processor PCI Express Root Port [8086:0151] (rev 09) (prog-if 00 
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 
v2/3rd Gen Core processor Graphics Controller [8086:0162] (rev 09) 
(prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 55
	Region 0: Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at f000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series 
Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04) (prog-if 30 
[XHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at f7e00000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd

00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 
Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f7e16000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series 
Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04) 
(prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7e14000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series 
Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4) (prog-if 00 
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: df300000-df4fffff
	Prefetchable memory behind bridge: 00000000df500000-00000000df6fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series 
Chipset Family PCI Express Root Port 5 [8086:1e18] (rev c4) (prog-if 00 
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f00fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.5 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge 
[8086:244e] (rev c4) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=05, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1c.6 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series 
Chipset Family PCI Express Root Port 7 [8086:1e1c] (rev c4) (prog-if 00 
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: f7d00000-f7dfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.7 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series 
Chipset Family PCI Express Root Port 8 [8086:1e1e] (rev c4) (prog-if 00 
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	Memory behind bridge: f7c00000-f7cfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series 
Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04) 
(prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7e13000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1f.0 ISA bridge [0601]: Intel Corporation Z77 Express Chipset LPC 
Controller [8086:1e44] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 7 Series/C210 Series 
Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e02] (rev 04) 
(prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 45
	Region 0: I/O ports at f0b0 [size=8]
	Region 1: I/O ports at f0a0 [size=4]
	Region 2: I/O ports at f090 [size=8]
	Region 3: I/O ports at f080 [size=4]
	Region 4: I/O ports at f060 [size=32]
	Region 5: Memory at f7e12000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset 
Family SMBus Controller [8086:1e22] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:84ca]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f7e11000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at f040 [size=32]

03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. 
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 09)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8505]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 44
	Region 0: I/O ports at e000 [size=256]
	Region 2: Memory at f0004000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at f0000000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

04:00.0 PCI bridge [0604]: ASMedia Technology Inc. ASM1083/1085 PCIe to 
PCI Bridge [1b21:1080] (rev 03) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=04, secondary=05, subordinate=05, sec-latency=32
	I/O behind bridge: 0000d000-0000dfff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

05:00.0 Multimedia audio controller [0401]: Ensoniq 5880B [AudioPCI] 
[1274:5880] (rev 02)
	Subsystem: Ensoniq Creative Sound Blaster AudioPCI128 [1274:2000]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort+ 
<MAbort+ >SERR- <PERR- INTx-
	Latency: 32 (3000ns min, 32000ns max)
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at d000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: snd_ens1371

06:00.0 SATA controller [0106]: Marvell Technology Group Ltd. 88SE9120 
SATA 6Gb/s Controller [1b4b:9120] (rev 12) (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device [1043:83ba]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 54
	Region 0: I/O ports at c090 [size=8]
	Region 1: I/O ports at c080 [size=4]
	Region 2: I/O ports at c070 [size=8]
	Region 3: I/O ports at c060 [size=4]
	Region 4: I/O ports at c050 [size=16]
	Region 5: Memory at f7d15000 (32-bit, non-prefetchable) [size=2K]
	Expansion ROM at f7d00000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

07:00.0 USB controller [0c03]: ASMedia Technology Inc. ASM1042 
SuperSpeed USB Host Controller [1b21:1042] (prog-if 30 [XHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8488]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f7c00000 (64-bit, non-prefetchable) [size=32K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 046d:c31c Logitech, Inc. Keyboard K120 for Business
Bus 004 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 005 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 002: ID 04b8:012c Seiko Epson Corp. Perfection V700 Photo 
(GT-X900)
Bus 005 Device 003: ID 046d:c526 Logitech, Inc. Nano Receiver
Bus 005 Device 004: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 005 Device 005: ID 0781:a1a2 SanDisk Corp.
Bus 005 Device 006: ID 0fcf:1008 Dynastream Innovations, Inc.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-3-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.46
ii  initramfs-tools [linux-initramfs-tool]  0.107
ii  kmod                                    9-2
ii  linux-base                              3.5
ii  module-init-tools                       9-2

Versions of packages linux-image-3.2.0-3-amd64 recommends:
pn  firmware-linux-free  <none>

Versions of packages linux-image-3.2.0-3-amd64 suggests:
pn  debian-kernel-handbook  <none>
ii  grub-pc                 1.99-23
pn  linux-doc-3.2           <none>

Versions of packages linux-image-3.2.0-3-amd64 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        <none>
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-3-amd64/postinst/depmod-error-initrd-3.2.0-3-amd64: 
false
  linux-image-3.2.0-3-amd64/postinst/ignoring-ramdisk:
  linux-image-3.2.0-3-amd64/postinst/missing-firmware-3.2.0-3-amd64:

linux-image-3.2.0-3-amd64/prerm/removing-running-kernel-3.2.0-3-amd64: true



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 08:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 1 Oct 2012 01:45:39 -0700
Hi,

Per Foreby wrote:

> This always happens on interactive input. So far these four events:
>
> - close a window
> - click a link in firefox
> - ctrl-r to reload a page in firefox
> - ctrl-k to delete a line in thunderbird's composer
>
> The computer is completely frozen. The cpu probably stops working since the
> fan spins down to it's lowest rpm, I can't ping the interface, caps lock
> doesn't light up, has to be power cycled. And no clues in the logs.

Can you get a log from this happening with netconsole[1] or a serial
console[2]?  (It's ok if it doesn't catch the freeze --- it's just
that as full a log as possible of the context would be useful.)

If you can reproduce this with 3.5.y from experimental as well, please
report this upstream following instructions from [3] and let us know
the bug number so we can track it.

Thanks and hope that helps,
Jonathan

[1] http://www.kernel.org/doc/Documentation/networking/netconsole.txt
[2] http://www.kernel.org/doc/Documentation/serial-console.txt
[3] http://intellinuxgraphics.org/how_to_report_bug.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 17:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 17:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: 689268@bugs.debian.org
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 01 Oct 2012 19:26:16 +0200
Hi,

serial ports are rare these days, but I have netconsole running now 
(logging to syslogd on my server).

So far the only log messages on the remote server are from netconsole 
itself. Which leads me to this question: Are the default kernel 
debugging options OK, or do I need to enable more debugging?

I'll wait for the freeze to happen once more, and if it does, I will try 
the latest kernel from experimental.

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 1 Oct 2012 10:52:22 -0700
Per Foreby wrote:

> serial ports are rare these days, but I have netconsole running now (logging
> to syslogd on my server).

Thanks!

> So far the only log messages on the remote server are from netconsole
> itself. Which leads me to this question: Are the default kernel debugging
> options OK, or do I need to enable more debugging?

Does that mean it didn't capture the boot messages?

Either way, if you can handle the log spew then drm.debug=0xe would be
great.  But a log without that would already be interesting since it
would catch the basic setup at boot time and symptoms such as
assertion failures (kernel BUG or WARNING) near the time of the
freeze.

Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 21:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 21:18:08 GMT) Full text and rfc822 format available.

Message #25 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>, 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 01 Oct 2012 23:15:07 +0200
On 2012-10-01 19:52, Jonathan Nieder wrote:

>> So far the only log messages on the remote server are from netconsole
>> itself. Which leads me to this question: Are the default kernel debugging
>> options OK, or do I need to enable more debugging?
>
> Does that mean it didn't capture the boot messages?

netconsole is compiled as a module, so I never rebooted, just loaded it 
with modprobe.

> Either way, if you can handle the log spew then drm.debug=0xe would be
> great.  But a log without that would already be interesting since it
> would catch the basic setup at boot time and symptoms such as
> assertion failures (kernel BUG or WARNING) near the time of the
> freeze.

OK, now freshly rebooted with this config:

  GRUB_CMDLINE_LINUX="netconsole=@/,514@192.168.201.1/ drm.debug=0xe"

The debug logging from drm isn't forwarded via netconsole, so I suppose 
it isn't supposed to? (Even though I've been working with unix/linux for 
the last 25 years, kernel debugging isn't my everyday trade.) But I have 
removed the "minus" from /var/log/kern.log in the syslog config, so 
hopefully everything should stick to the local log file. Or at least 
everything but the last crucial line, which netconsole hopefully will catch.

So far i doesn't spew that much, it typically looks like this over and 
over again:

  [drm:i915_driver_open],
  [drm:i915_getparam], Unknown parameter 16
  [drm:i915_getparam], Unknown parameter 17
  [drm:i915_getparam], Unknown parameter 17
  [drm:intel_crtc_cursor_set],
  [drm:intel_crtc_cursor_set], cursor off
  [drm:intel_crtc_cursor_set],
  [drm:intel_crtc_cursor_set],
  [drm:intel_crtc_cursor_set], cursor off

Now we'll just have to wait and see. This is my workstation at home, and 
during the weekdays I don't use it as much as on weekends, so it might 
take longer to trigger the bug the next time.

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 21:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 21:33:14 GMT) Full text and rfc822 format available.

Message #30 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 1 Oct 2012 14:29:53 -0700
Per Foreby wrote:

> The debug logging from drm isn't forwarded via netconsole, so I suppose it
> isn't supposed to?

Oh, that's because of the console_loglevel setting[1].  You can change
it by running "dmesg -n 8" (or by adding the word "debug" or a
loglevel= parameter to the kernel command line).

Thanks again for your help and patience.

[1] see http://www.kernel.org/doc/Documentation/networking/netconsole.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 21:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Dinot <sebastien.dinot@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 21:33:16 GMT) Full text and rfc822 format available.

Message #35 received at 689268@bugs.debian.org (full text, mbox):

From: Sébastien Dinot <sebastien.dinot@free.fr>
To: 689268@bugs.debian.org
Subject: Re: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 1 Oct 2012 23:30:04 +0200
[Message part 1 (text/plain, inline)]
Hi,

Per Foreby a écrit :
> The computer has been runing just fine under heavy load (Folding at
> Home) for some weeks, but a few days ago I started using it as a
> workstation, and since then it totally freezes a few times a day.
> 
> This always happens on interactive input.

I have the same frequent and irritating issue with two differents Ivy
Bridge platforms:

1. Processor:   Intel Core i5 3450 (IGP HD 2500)
   Motherboard: MSI Z77A-G43 (with uptodate BIOS)

2. Processor:   Intel Core i5 3570K (IGP HD 4000)
   Motherboard: ASUS P8Z77-V LX (with uptodate BIOS)

I tried these platforms:

- with both the IGP and a discrete graphic card (MSI N520GT) using free
  drivers (Intel and Nouveau)

- with several Linux kernels:

  * linux-image-3.2.0-3-amd64   (testing)
  * linux-image-3.4-trunk-amd64 (experimental)
  * linux-image-3.5-trunk-amd64 (experimental)

- with both testing and unstable uptodate Debian distributions.

I can't work two hours without keyboard and mouse freeze. Sometimes,
these systems freeze three or four times an hour! :(

Except in rare cases, the system is alive. I can open a remote SSH
session and if I push the power button (on the computer case), the
logout dialog appears.

I can not relate these freezes to a special software, task or action but
they always happen when I move the mouse and I never encountered such
issue throughout a remote SSH connection.

In attachment, you will find the dmesg output dumped (through a remote
SSH connection) after the latest freeze and the kernel log file.

The last log before a freeze is always like this:

------------------------------------------------------------------------
[ 8276.625165] usb 2-1.5: USB disconnect, device number 8
[ 8276.830839] usb 2-1.5: new low-speed USB device number 9 using ehci_hcd
[ 8276.928992] usb 2-1.5: New USB device found, idVendor=045e, idProduct=00a4
[ 8276.928997] usb 2-1.5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 8276.928999] usb 2-1.5: Product: Microsoft(R) Compact Optical Mouse
[ 8276.929001] usb 2-1.5: Manufacturer: Microsoft
[ 8276.934076] input: Microsoft Microsoft(R) Compact Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input17
[ 8276.934434] hid-generic 0003:045E:00A4.0007: input,hidraw0: USB HID v1.10 Mouse [Microsoft Microsoft(R) Compact Optical Mouse] on usb-0000:00:1d.0-1.5/input0
------------------------------------------------------------------------

Of course, I did not disconnect the mouse or shake its USB cable. :(

Sébastien

-- 
Sébastien Dinot, sebastien.dinot@free.fr
http://sebastien.dinot.free.fr/
Ne goûtez pas au logiciel libre, vous ne pourriez plus vous en passer !
[dmesg.20121001-231244 (text/plain, attachment)]
[kern.log.20121001-232320.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 21:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 21:48:08 GMT) Full text and rfc822 format available.

Message #40 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sébastien Dinot <sebastien.dinot@free.fr>
Cc: 689268@bugs.debian.org, Per Foreby <per@foreby.se>
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 1 Oct 2012 14:44:39 -0700
Hi,

Sébastien Dinot wrote:

> The last log before a freeze is always like this:
>
> ------------------------------------------------------------------------
> [ 8276.625165] usb 2-1.5: USB disconnect, device number 8
> [ 8276.830839] usb 2-1.5: new low-speed USB device number 9 using ehci_hcd
> [ 8276.928992] usb 2-1.5: New USB device found, idVendor=045e, idProduct=00a4
> [ 8276.928997] usb 2-1.5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
> [ 8276.928999] usb 2-1.5: Product: Microsoft(R) Compact Optical Mouse
> [ 8276.929001] usb 2-1.5: Manufacturer: Microsoft
> [ 8276.934076] input: Microsoft Microsoft(R) Compact Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input17
> [ 8276.934434] hid-generic 0003:045E:00A4.0007: input,hidraw0: USB HID v1.10 Mouse [Microsoft Microsoft(R) Compact Optical Mouse] on usb-0000:00:1d.0-1.5/input0
> ------------------------------------------------------------------------
>
> Of course, I did not disconnect the mouse or shake its USB cable. :(

Based on the timestamps, does that message come immediately before the
freeze or just some time before it?  (If the latter, it's hopefully a
red herring.)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 21:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 21:51:08 GMT) Full text and rfc822 format available.

Message #45 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sébastien Dinot <sebastien.dinot@free.fr>
Cc: 689268@bugs.debian.org, Per Foreby <per@foreby.se>
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 1 Oct 2012 14:48:01 -0700
Sébastien Dinot wrote:

> Except in rare cases, the system is alive. I can open a remote SSH
> session and if I push the power button (on the computer case), the
> logout dialog appears.

This seems like a different problem than Per experienced, since
Per's locks up the machine, so please file a separate bug.  If
they turn out to have the same cause, we can merge them later.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 21:54:06 GMT) Full text and rfc822 format available.

Message #50 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>, 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 01 Oct 2012 23:51:52 +0200
On 2012-10-01 23:29, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> The debug logging from drm isn't forwarded via netconsole, so I suppose it
>> isn't supposed to?
>
> Oh, that's because of the console_loglevel setting[1].  You can change
> it by running "dmesg -n 8" (or by adding the word "debug" or a
> loglevel= parameter to the kernel command line).

Ah, RTFM :)

However, it looks like the netconsole documentation and the dmesg man 
page should be updated:

  # dmesg -n 8
  dmesg: unknown level '8'

Instead I tried

  # dmesg -n debug
  # dmesg -E

but still nothing at the remote end. Instead I added remote logging of 
kern.* in rsyslog.conf, so now I have everything at the server.

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 22:54:03 GMT) Full text and rfc822 format available.

Message #55 received at 689268@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 02 Oct 2012 00:45:30 +0200
Per Foreby <per@foreby.se> writes:

> On 2012-10-01 23:29, Jonathan Nieder wrote:
>> Per Foreby wrote:
>>
>>> The debug logging from drm isn't forwarded via netconsole, so I suppose it
>>> isn't supposed to?
>>
>> Oh, that's because of the console_loglevel setting[1].  You can change
>> it by running "dmesg -n 8" (or by adding the word "debug" or a
>> loglevel= parameter to the kernel command line).
>
> Ah, RTFM :)
>
> However, it looks like the netconsole documentation and the dmesg man
> page should be updated:
>
>   # dmesg -n 8
>   dmesg: unknown level '8'
>
> Instead I tried
>
>   # dmesg -n debug
>   # dmesg -E
>
> but still nothing at the remote end.

Yes, I vaguely remember having struggled with the same issue the last
time I use netconsole.  Try 

 echo 8 >/proc/sys/kernel/printk

instead.

I believe the bug is in the dmesg utility.  It should shift all values
by one. Setting "dmesg -n debug" will currently log all messages with a
level *higher* than debug.

> Instead I added remote logging of
> kern.* in rsyslog.conf, so now I have everything at the server.

As long as you don't crash anything...



Bjørn



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 01 Oct 2012 23:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 23:39:10 GMT) Full text and rfc822 format available.

Message #60 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Bjørn Mork <bjorn@mork.no>
Cc: 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 02 Oct 2012 01:36:58 +0200
On 2012-10-02 00:45, Bjørn Mork wrote:
> Per Foreby <per@foreby.se> writes:
>
>> On 2012-10-01 23:29, Jonathan Nieder wrote:
>>> Per Foreby wrote:
>>>
>>>> The debug logging from drm isn't forwarded via netconsole, so I suppose it
>>>> isn't supposed to?
>>>
>>> Oh, that's because of the console_loglevel setting[1].  You can change
>>> it by running "dmesg -n 8" (or by adding the word "debug" or a
>>> loglevel= parameter to the kernel command line).
>>
>> Ah, RTFM :)
>>
>> However, it looks like the netconsole documentation and the dmesg man
>> page should be updated:
>>
>>    # dmesg -n 8
>>    dmesg: unknown level '8'
>>
>> Instead I tried
>>
>>    # dmesg -n debug
>>    # dmesg -E
>>
>> but still nothing at the remote end.
>
> Yes, I vaguely remember having struggled with the same issue the last
> time I use netconsole.  Try
>
>   echo 8 >/proc/sys/kernel/printk
>
> instead.
>
> I believe the bug is in the dmesg utility.  It should shift all values
> by one. Setting "dmesg -n debug" will currently log all messages with a
> level *higher* than debug.

You're probably right about the bug. I don't know what the four values 
in /proc/sys/kernel/printk are, but the first value was 7, not 8:

# cat /proc/sys/kernel/printk
7       4       1       7
# echo 8 > /proc/sys/kernel/printk
# cat /proc/sys/kernel/printk
8       4       1       7

However, this did not affect the remote logging, so I'm back to the 
remote syslog approach.

/Per





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 02 Oct 2012 00:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 02 Oct 2012 00:03:05 GMT) Full text and rfc822 format available.

Message #65 received at 689268@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 02 Oct 2012 02:02:15 +0200
Per Foreby <per@foreby.se> writes:
> On 2012-10-02 00:45, Bjørn Mork wrote:
>
>> I believe the bug is in the dmesg utility.  It should shift all values
>> by one. Setting "dmesg -n debug" will currently log all messages with a
>> level *higher* than debug.
>
> You're probably right about the bug. I don't know what the four values
> in /proc/sys/kernel/printk are, but the first value was 7, not 8:
>
> # cat /proc/sys/kernel/printk
> 7       4       1       7
> # echo 8 > /proc/sys/kernel/printk
> # cat /proc/sys/kernel/printk
> 8       4       1       7


From Documentation/sysctl/kernel.txt :
<quote>

printk:

The four values in printk denote: console_loglevel,
default_message_loglevel, minimum_console_loglevel and
default_console_loglevel respectively.

These values influence printk() behavior when printing or
logging error messages. See 'man 2 syslog' for more info on
the different loglevels.

- console_loglevel: messages with a higher priority than
  this will be printed to the console
- default_message_loglevel: messages without an explicit priority
  will be printed with this priority
- minimum_console_loglevel: minimum (highest) value to which
  console_loglevel can be set
- default_console_loglevel: default value for console_loglevel

</quote>

> However, this did not affect the remote logging, so I'm back to the
> remote syslog approach.

Odd.  Then there are other issues I don't understand here.

But the dmesg bug is quite obvious, so I sent off a fix upstream.  The
bug was introduced with the support for level names in July 2011.


Bjørn




>
> /Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 04 Oct 2012 11:39:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Oct 2012 11:39:19 GMT) Full text and rfc822 format available.

Message #70 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 04 Oct 2012 13:30:54 +0200
I can confirm this bug here too and found a temporarly workaround.

Ivy-Bridge i5-3570K on Intel DH77EB MoBo (H77 chipset), latest BIOS
EB0089.BIO.

These freezes happend most of the time when hitting a link in Iceweasel.
They are so severe that even the MoBo reset button does not respond
immediately, I had to hit it several times. Additionally when PC stalls,
monitor continues to display the frozen desktop (via displayport) and
power consumption rises from idle 38 watts to constant 86 watts - verry
dangerous if also fan regulation fails. Upon next boot I get "orphaned
inodes" - very much the same as Per Foreby describes.

System here is Wheezy-amd64 with
- kernel 3.2.23-1
- xserver-xorg-video-intel 2:2.19.0-5

Now I'll give the history what I did try with which result. Sorry if
it's not scientific, but probably helps to pin down the root cause.


It started when I was examining my logs and discovered the messages:

  [drm] MTRR allocation failed.  Graphics performance may suffer.

Checking mtrr's showed:

cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size= 8192MB, count=1: write-back
reg01: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg03: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
reg04: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
reg05: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
reg06: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable

So I decided to boot with kernel parameter enable_mtrr_cleanup which
seemed to solve the problem:

reg00: base=0x000000000 (    0MB), size= 2048MB, count=1: write-back
reg01: base=0x080000000 ( 2048MB), size= 1024MB, count=1: write-back
reg02: base=0x0c0000000 ( 3072MB), size=  512MB, count=1: write-back
reg03: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
reg04: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
reg05: base=0x100000000 ( 4096MB), size= 4096MB, count=1: write-back
reg06: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
reg07: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable
reg08: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
reg09: base=0x0e0000000 ( 3584MB), size=  256MB, count=1: write-combining

At least since then (don't know whether before as well) the
freezes/crashes were observed, sometimes more than once a day.

Did try a lot to find the root cause and finally found following workaround:

Default setting in the BIOS of the DH77EB for video agp-aperture is
"max" (values of 64, 128, 256 and 512MB are offered as options).
I played around with different BIOS settings and observed that these
settings are not respected by the i915 module. Dmesg always reports
256MB for the aperture:

dmesg | grep agp
Linux agpgart interface v0.103
agpgart-intel 0000:00:00.0: Intel Ivybridge Chipset
agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K
mappable
agpgart-intel 0000:00:00.0: detected 65536K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000

So I decided to set the BIOS AGP-aperture to 256MB as well and removed
the kernel parameter 'enable_mtrr_cleanup'.

I now get for the mtrr's:

reg00: base=0x000000000 (    0MB), size= 8192MB, count=1: write-back
reg01: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg03: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
reg04: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
reg05: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
reg06: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable

still suffering graphics performance and "mtrr missmatch" according to
dmesg:

mtrr: type mismatch for e0000000,10000000 old: write-back new:
write-combining
[drm] MTRR allocation failed.  Graphics performance may suffer.

But since then I have never obseved any cras/freeze for days now.

If more information is required, please let me know (logs did never
contain any information related to the crashes). My suspicion for the
cause is some memory or communication missmatch between BIOS-setting,
mtrr's and agp-aperture.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 04 Oct 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Oct 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #75 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 04 Oct 2012 20:12:40 +0200
On 2012-10-04 13:30, Ingo wrote:

I just had a freeze, the first one sinc sunday. Actually while browsing 
your comment :)

Jonathan: netconsole didn't log anything interesting.

> These freezes happend most of the time when hitting a link in Iceweasel.
> They are so severe that even the MoBo reset button does not respond
> immediately,

Same here. I press reset and the computer reboots 20 seconds later.

> I had to hit it several times. Additionally when PC stalls,
> monitor continues to display the frozen desktop (via displayport)

I also use displayport. It seems like the last screen is cached in the 
monitor (HP ZR24w) because if I turn the monitor off and on again, I 
just get a black screen.

> power consumption rises from idle 38 watts to constant 86 watts - verry
> dangerous if also fan regulation fails.

Don't know about power, but if this is true, the reset delay may very 
well be the temperature rising until the temperature protection resets 
the computer.

> Upon next boot I get "orphaned inodes"

Me too, but this is of course expected on a cold reset.

>    [drm] MTRR allocation failed.  Graphics performance may suffer.

I've got this one too.


> Checking mtrr's showed:
>
> cat /proc/mtrr
> reg00: base=0x000000000 (    0MB), size= 8192MB, count=1: write-back
> reg01: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
> reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
> reg03: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
> reg04: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
> reg05: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
> reg06: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable

In my case (with 32 GB):

reg00: base=0x000000000 (    0MB), size=32768MB, count=1: write-back
reg01: base=0x800000000 (32768MB), size=  512MB, count=1: write-back
reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg03: base=0x0d0000000 ( 3328MB), size=  256MB, count=1: uncachable
reg04: base=0x0cf000000 ( 3312MB), size=   16MB, count=1: uncachable
reg05: base=0x81fe00000 (33278MB), size=    2MB, count=1: uncachable


> Default setting in the BIOS of the DH77EB for video agp-aperture is
> "max" (values of 64, 128, 256 and 512MB are offered as options).
> I played around with different BIOS settings and observed that these
> settings are not respected by the i915 module. Dmesg always reports
> 256MB for the aperture:

So the problem seems to be that i915 ignores (or cannot read) the BIOS 
setting.

My BIOS setting is called "iGPU-Memory". It was by default at 64 MB.

>
> dmesg | grep agp
> Linux agpgart interface v0.103
> agpgart-intel 0000:00:00.0: Intel Ivybridge Chipset
> agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K
> mappable
> agpgart-intel 0000:00:00.0: detected 65536K stolen memory
> agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000

Identical to my logs.

> So I decided to set the BIOS AGP-aperture to 256MB as well and removed
> the kernel parameter 'enable_mtrr_cleanup'.

Changed my setting to 256 MB as well.

> still suffering graphics performance and "mtrr missmatch" according to
> dmesg:
>
> mtrr: type mismatch for e0000000,10000000 old: write-back new:
> write-combining
> [drm] MTRR allocation failed.  Graphics performance may suffer.

Me too.

> But since then I have never obseved any cras/freeze for days now.

Keeping my fingers crossed for the same outcome.

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 04 Oct 2012 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Oct 2012 19:00:03 GMT) Full text and rfc822 format available.

Message #80 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 04 Oct 2012 20:57:55 +0200
>> But since then I have never obseved any cras/freeze for days now.
> 
> Keeping my fingers crossed for the same outcome.
> 
> /Per
> 

Still ok here - good luck.

Me came up another thing which probably relates to that. As far as I
could extract from internet searches regarding this issue, I concluded:

1. i915 drm driver uses kms and additionally requires framebuffer support.

2. for normal graphics operation and 3D acceleration it uses
 "agp" communication (use of "mtrr" is depreciated).

3. however framebuffer seems to use "mtrr" for communication.

So finally both have to match somehow or properly switch over.

When the problem/freeze occurred I had beforehand booted into my service
system which is a minimal Wheezy without graphics, just terminal. This
of course just uses framebuffer.

Maybe the this switching also triggered the freeze?

This is just a guess from me, beeing definitely no expert in Linux and I
do not have any idea of the internals of driver or kernel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #85 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 4 Oct 2012 17:25:41 -0700
Per Foreby wrote:

> I just had a freeze, the first one sinc sunday. Actually while browsing your
> comment :)
>
> Jonathan: netconsole didn't log anything interesting.

Thanks.  Even the absence of output can be interesting; do you have the log
from that boot and freeze?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 11:51:03 GMT) Full text and rfc822 format available.

Message #90 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 05 Oct 2012 13:49:32 +0200
[Message part 1 (text/plain, inline)]
Am 05.10.2012 02:25, schrieb Jonathan Nieder:
> Per Foreby wrote:
> 
>> I just had a freeze, the first one sinc sunday. Actually while browsing your
>> comment :)
>>
>> Jonathan: netconsole didn't log anything interesting.
> 
> Thanks.  Even the absence of output can be interesting; do you have the log
> from that boot and freeze?
> 

Here you get my /var/log/messages extract of the time
the PC was booted up (Sept. 27 12:58H)

until the hard crash happened just before 17:46h.

when I succeeded to hard reset the beginning of the boot process is
still included.

I did have another few crashes on Sept. 28 when searching for a
solution, but after the change in BIOS (agp aperture = 256MB) no more
crashes happended.

File is called "messages.before-crash".

If you need other logs, please let me know.

Good luck,
Ingo
[messages.before-crash (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Cantero <jcantero@escomposlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 16:09:03 GMT) Full text and rfc822 format available.

Message #95 received at 689268@bugs.debian.org (full text, mbox):

From: Javier Cantero <jcantero@escomposlinux.org>
To: 689268@bugs.debian.org
Subject: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 5 Oct 2012 17:49:08 +0200
[Message part 1 (text/plain, inline)]
I can also confirm this bug. My hardware: i5-3570K MoBo: MSI Z77A-G65.

If it helps, I am using now linux-image-3.5-trunk-amd64
(3.5.2-1~experimental.1) kernel with no freezes since the change.

-- 
                       Saludos de Javier <jcantero@escomposlinux.org>


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 16:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 16:54:05 GMT) Full text and rfc822 format available.

Message #100 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 5 Oct 2012 09:50:56 -0700
Javier Cantero wrote:

> If it helps, I am using now linux-image-3.5-trunk-amd64
> (3.5.2-1~experimental.1) kernel with no freezes since the change.

That's good to hear.  Per, Ingo, does that work around trouble on
your machines, too?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 21:45:06 GMT) Full text and rfc822 format available.

Message #105 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 05 Oct 2012 23:40:19 +0200
[Message part 1 (text/plain, inline)]
On 2012-10-05 02:25, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> I just had a freeze, the first one sinc sunday. Actually while browsing your
>> comment :)
>>
>> Jonathan: netconsole didn't log anything interesting.
>
> Thanks.  Even the absence of output can be interesting; do you have the log
> from that boot and freeze?
>

I have attached the dmesg from the last boot before the freeze, and the 
debug log from the last hour before the freeze.

/Per
[dmesg (text/plain, attachment)]
[debug (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 21:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 21:54:02 GMT) Full text and rfc822 format available.

Message #110 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 05 Oct 2012 23:51:09 +0200
On 2012-10-05 18:50, Jonathan Nieder wrote:
> Javier Cantero wrote:
>
>> If it helps, I am using now linux-image-3.5-trunk-amd64
>> (3.5.2-1~experimental.1) kernel with no freezes since the change.
>
> That's good to hear.  Per, Ingo, does that work around trouble on
> your machines, too?
>

I hade two freezes last saturday, and two the day after. The next freeze 
was yesterday (five days later). So testing different options isn't that 
easy.

So far I'm running whith the default wheezy kernel but with the iGPU 
memory set to 256 MB. My plan was to run with this setting, and if I had 
another crash, try the experimental kernel.

But let me know if you'd rather have me reset the video memory to the 
default 64 MB and try the 3.5 kernel.

Btw, my mobo is is an Asus P8Z77-V LE.

/Per






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 05 Oct 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #115 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 5 Oct 2012 14:53:32 -0700
Per Foreby wrote:

> So far I'm running whith the default wheezy kernel but with the iGPU memory
> set to 256 MB. My plan was to run with this setting, and if I had another
> crash, try the experimental kernel.

That seems like a good plan.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 06 Oct 2012 02:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Oct 2012 02:33:06 GMT) Full text and rfc822 format available.

Message #120 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 06 Oct 2012 04:29:44 +0200
On 2012-10-05 23:53, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> So far I'm running whith the default wheezy kernel but with the iGPU memory
>> set to 256 MB. My plan was to run with this setting, and if I had another
>> crash, try the experimental kernel.
>
> That seems like a good plan.

New freeze. Last entry in the debug log was more than 10 minutes before 
the freeze.

Now running 3.5-trunk-amd64 #1 SMP Debian 3.5.5-1~experimental.1 (still 
with 256 MB iGPU Memory).

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 06 Oct 2012 10:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Oct 2012 10:09:10 GMT) Full text and rfc822 format available.

Message #125 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 06 Oct 2012 12:04:10 +0200
Am 05.10.2012 23:53, schrieb Jonathan Nieder:
> Per Foreby wrote:
> 
>> So far I'm running whith the default wheezy kernel but with the iGPU memory
>> set to 256 MB. My plan was to run with this setting, and if I had another
>> crash, try the experimental kernel.
> 
> That seems like a good plan.
> 

With me all is still fine since 1 week, however that does not mean its
fixed. I am right now trying to stress my machine with high memory loads
and graphics to verify the workaround.

So far we have only 2 common things in all cases:

a) it happens when browsing with iceweasel -  Javier can you also
confirm this?

b) appears to be hardware/BIOS dependent and we all have > 4GiB RAM
installed.

There obviously is different memory allocvation/interpretation,
depending from where you gather the information:

physical RAM installed
8GiB = 8.192MiB = 8.388.608 kiB

cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size= 8192MB, count=1: write-back
reg01: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg03: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
reg04: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
reg05: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
reg06: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable

cat /proc/meminfo
MemTotal:        8095128 kB
MemFree:         7543424 kB
Buffers:           37428 kB
Cached:           285136 kB
SwapCached:            0 kB
Active:           178696 kB
Inactive:         280040 kB
Active(anon):     136512 kB
Inactive(anon):    68272 kB
Active(file):      42184 kB
Inactive(file):   211768 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:             0 kB
SwapFree:              0 kB
Dirty:                28 kB
Writeback:             0 kB
AnonPages:        136164 kB
Mapped:            58996 kB
Shmem:             68620 kB
Slab:              37120 kB
SReclaimable:      16488 kB
SUnreclaim:        20632 kB
KernelStack:        2096 kB
PageTables:        16172 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:     4047564 kB
Committed_AS:     712296 kB
VmallocTotal:   34359738367 kB
VmallocUsed:      367656 kB
VmallocChunk:   34359368791 kB
HardwareCorrupted:     0 kB
AnonHugePages:         0 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:       2048 kB
DirectMap4k:       49152 kB
DirectMap2M:     8247296 kB

It would also be interesting whether Javier
gets a mtrr with write-combining with the new kernel and
whether BIOS settings for videoRAM are respected by the i915 module.

Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 06 Oct 2012 11:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Oct 2012 11:06:09 GMT) Full text and rfc822 format available.

Message #130 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 06 Oct 2012 13:03:30 +0200
Ingo wrote:

> With me all is still fine since 1 week, however that does not mean its
> fixed. I am right now trying to stress my machine with high memory loads
> and graphics to verify the workaround.

I have also tried the stress tactics, but it doesn't seem to have 
anything to do with load.


> a) it happens when browsing with iceweasel -  Javier can you also
> confirm this?

Not iceweasel in my case. I like my browsers bleading edge, so I use the 
64-bit version of vanilla firefox. And my freezes have happened on 
various mouse or kbd input, not only klicking a link in the web browser 
(see my original bug report).

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 07 Oct 2012 10:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Cantero <jcantero@escomposlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Oct 2012 10:57:09 GMT) Full text and rfc822 format available.

Message #135 received at 689268@bugs.debian.org (full text, mbox):

From: Javier Cantero <jcantero@escomposlinux.org>
To: 689268@bugs.debian.org
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 7 Oct 2012 12:31:18 +0200
[Message part 1 (text/plain, inline)]
Sorry, I didn't receive the last 2 msgs in my mailbox, (especifically the
questions Ingo asks me). Here the answers:

a) Yes, I am using iceweasel.
b) my phisical RAM is 8 GB

The related kernel info is below, first kernel 3.5 related and then
standard wheezy 3.2 kernel related. Note that with kernel 3.5 I don't
have the "MTRR allocation failed" error.

My integrated graphics BIOS configuration:

Virtu Technology               [Disabled]
Integrated Graphics Share Memory   [64MB]
DVMT Memory                       [256MB]
IGD Multimonitor               [Disabled]


--------------
  Kernel 3.5
--------------

$ dmesg | grep mtrr
$

$ dmesg | grep drm
[    3.749099] [drm] Initialized drm 1.1.0 20060810
[    3.947156] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    3.947156] [drm] Driver supports precise vblank timestamp query.
[    4.004585] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
[    4.373533] fbcon: inteldrmfb (fb0) is primary device
[    4.554815] fb0: inteldrmfb frame buffer device
[    4.554817] drm: registered panic notifier
[    4.555909] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

$ dmesg | grep i915
[    3.690617] i915 0000:00:02.0: setting latency timer to 64
[    3.707470] i915 0000:00:02.0: irq 43 for MSI/MSI-X
[    4.328751] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

$ dmesg | grep agp
[    0.459118] Linux agpgart interface v0.103
[    0.459169] agpgart-intel 0000:00:00.0: Intel Ivybridge Chipset
[    0.459210] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    0.459842] agpgart-intel 0000:00:00.0: detected 65536K stolen memory
[    0.459931] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000


The memory info:

$ cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size= 8192MB, count=1: write-back
reg01: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg03: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
reg04: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
reg05: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
reg06: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable

$ cat /proc/meminfo
MemTotal:        8081148 kB
MemFree:         7392304 kB
Buffers:           14852 kB
Cached:           280924 kB
SwapCached:            0 kB
Active:           395024 kB
Inactive:         214096 kB
Active(anon):     313884 kB
Inactive(anon):    42596 kB
Active(file):      81140 kB
Inactive(file):   171500 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:       7811068 kB
SwapFree:        7811068 kB
Dirty:                12 kB
Writeback:             0 kB
AnonPages:        313372 kB
Mapped:            64608 kB
Shmem:             43120 kB
Slab:              26992 kB
SReclaimable:      11196 kB
SUnreclaim:        15796 kB
KernelStack:        1808 kB
PageTables:        10844 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:    11851640 kB
Committed_AS:    1004672 kB
VmallocTotal:   34359738367 kB
VmallocUsed:      366716 kB
VmallocChunk:   34359355879 kB
HardwareCorrupted:     0 kB
AnonHugePages:         0 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:       2048 kB
DirectMap4k:       55296 kB
DirectMap2M:     7192576 kB


--------------
  Kernel 3.2
--------------

$ dmesg | grep mtrr
[    5.001176] mtrr: type mismatch for e0000000,10000000 old: write-back new: write-combining

$ cat /proc/mtrr
reg00: base=0x000000000 (    0MB), size= 8192MB, count=1: write-back
reg01: base=0x200000000 ( 8192MB), size=  512MB, count=1: write-back
reg02: base=0x0e0000000 ( 3584MB), size=  512MB, count=1: uncachable
reg03: base=0x0dc000000 ( 3520MB), size=   64MB, count=1: uncachable
reg04: base=0x0db800000 ( 3512MB), size=    8MB, count=1: uncachable
reg05: base=0x21f800000 ( 8696MB), size=    8MB, count=1: uncachable
reg06: base=0x21f600000 ( 8694MB), size=    2MB, count=1: uncachable

$ dmesg | grep drm
[    4.960827] [drm] Initialized drm 1.1.0 20060810
[    5.001178] [drm] MTRR allocation failed.  Graphics performance may suffer.
[    5.001350] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    5.001351] [drm] Driver supports precise vblank timestamp query.
[    5.344345] fbcon: inteldrmfb (fb0) is primary device
[    5.523815] fb0: inteldrmfb frame buffer device
[    5.523816] drm: registered panic notifier
[    5.585070] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

$ dmesg | grep i915
[    4.973200] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    4.973202] i915 0000:00:02.0: setting latency timer to 64
[    5.001347] i915 0000:00:02.0: irq 43 for MSI/MSI-X
[    5.585070] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

$ dmesg | grep agp
[    0.977765] Linux agpgart interface v0.103
[    0.977815] agpgart-intel 0000:00:00.0: Intel Ivybridge Chipset
[    0.977882] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    0.978505] agpgart-intel 0000:00:00.0: detected 65536K stolen memory
[    0.978595] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000


-- 
                       Saludos de Javier <jcantero@escomposlinux.org>


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 07 Oct 2012 15:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Oct 2012 15:09:11 GMT) Full text and rfc822 format available.

Message #140 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 07 Oct 2012 17:06:25 +0200
Interesting to see the differences between the 2 kernels. Compared to
my messages I found following lines in dmesg have disappeared with 3.5:

mtrr: type mismatch for e0000000,10000000 old: write-back new:
write-combining

[drm] MTRR allocation failed.  Graphics performance may suffer.
[drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
i915 0000:00:02.0: restoring config space at offset 0xf (was 0x100,
writing 0x10b)
i915 0000:00:02.0: restoring config space at offset 0x1 (was 0x900007,
writing 0x900407)
i915 0000:00:02.0: setting latency timer to 64

while enabling RC6 states has been added:

[drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off


Probably a hint to the root cause?

I also compared the BIOS settings:

Javier has these options/settings:
Integrated Graphics Share Memory   [64MB]
DVMT Memory                       [256MB]

I only have:
IGD DVMT Memory			[256MB]

(which I called previously "agp-aperture" - ancient name when PC's had
a dedicated AGP-Port). This is the setting which I did change from
"max" -> "256MB" and got my system stable - which still holds right now.

However the "mtrr" setups (/proc/mtrr) are still identical with both
kernels. Seems the "write-combining area" has become obsolete - or
still not implemented in i915?

Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 07 Oct 2012 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Oct 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #145 received at 689268@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 07 Oct 2012 17:01:31 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2012-10-07 at 17:06 +0200, Ingo wrote:
> Interesting to see the differences between the 2 kernels. Compared to
> my messages I found following lines in dmesg have disappeared with 3.5:
> 
> mtrr: type mismatch for e0000000,10000000 old: write-back new:
> write-combining
> 
> [drm] MTRR allocation failed.  Graphics performance may suffer.
> [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
> 
> i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
> i915 0000:00:02.0: restoring config space at offset 0xf (was 0x100,
> writing 0x10b)
> i915 0000:00:02.0: restoring config space at offset 0x1 (was 0x900007,
> writing 0x900407)
> i915 0000:00:02.0: setting latency timer to 64
> 
> while enabling RC6 states has been added:
> 
> [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
> 
> 
> Probably a hint to the root cause?

Don't think so.

> I also compared the BIOS settings:
> 
> Javier has these options/settings:
> Integrated Graphics Share Memory   [64MB]
> DVMT Memory                       [256MB]
> 
> I only have:
> IGD DVMT Memory			[256MB]
> 
> (which I called previously "agp-aperture" - ancient name when PC's had
> a dedicated AGP-Port). This is the setting which I did change from
> "max" -> "256MB" and got my system stable - which still holds right now.
> 
> However the "mtrr" setups (/proc/mtrr) are still identical with both
> kernels. Seems the "write-combining area" has become obsolete - or
> still not implemented in i915?

The driver calls ioremap_wc() which will enable write-combining through
the PAT in recent processors.  An MTRR is not needed and in 3.5 the
driver doesn't even bother to allocate one:

commit 9e984bc1dffd405138ff22356188b6a1677c64c8
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 14 11:22:11 2012 -0400

    drm/i915: Don't do MTRR setup if PAT is enabled

Ben.

-- 
Ben Hutchings
You can't have everything.  Where would you put it?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 10 Oct 2012 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Oct 2012 12:27:05 GMT) Full text and rfc822 format available.

Message #150 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 10 Oct 2012 14:26:06 +0200
With 256MB of RAM assigned to graphics all is 100% stable here since
over 2 weeks. Also 512MB seem to be no problem, just if I enable
"Maximum DVMT".

I checked with the specifications of my MoBo (Intel DH77EB) and it says:

 Dynamic Video Memory Technology (DVMT) 5.0 support
 Support of up to 1.7 GB Video Memory with 4 GB and above system memory
configuration

So these 1.7GB probably exceeds what the driver (or PAT) is capable?

Regards,
Ingo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 10 Oct 2012 18:45:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Oct 2012 18:45:57 GMT) Full text and rfc822 format available.

Message #155 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org, Per Foreby <per@foreby.se>, Javier Cantero <jcantero@escomposlinux.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 10 Oct 2012 11:43:21 -0700
Hi Ingo,

Per Foreby wrote:
>> Per Foreby wrote:

>>> So far I'm running whith the default wheezy kernel but with the iGPU memory
>>> set to 256 MB. My plan was to run with this setting, and if I had another
>>> crash, try the experimental kernel.
[...]
> New freeze. Last entry in the debug log was more than 10 minutes before 
> the freeze.

Ingo wrote:

> With 256MB of RAM assigned to graphics all is 100% stable here since
> over 2 weeks. Also 512MB seem to be no problem, just if I enable
> "Maximum DVMT".

There seem to be some differences in symptoms here, so please file a
separate bug.  We can merge them later if they turn out to have the
same cause.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 16 Oct 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Oct 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #160 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 17 Oct 2012 00:55:06 +0200
On 2012-10-06 04:29, Per Foreby wrote:

> New freeze. Last entry in the debug log was more than 10 minutes before
> the freeze.
>
> Now running 3.5-trunk-amd64 #1 SMP Debian 3.5.5-1~experimental.1 (still
> with 256 MB iGPU Memory).

I was going to give it two weeks before reporting, but today we had a 
power outage so I didn't quite reach two weeks.

However my computer has been running without any problems for 11 days, 
so whatever caused this bug seems to be fixed in the 3.5.5 kernel.

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 17 Oct 2012 03:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Oct 2012 03:24:05 GMT) Full text and rfc822 format available.

Message #165 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 16 Oct 2012 20:21:56 -0700
Per Foreby wrote:

> However my computer has been running without any problems for 11 days, so
> whatever caused this bug seems to be fixed in the 3.5.5 kernel.

Drat.  Ok.

To recap:

 * Asus P8Z77-V LE.

 * Newish system.  Works fine under load (e.g., Folding@Home) but when
   you started normal interactive use it started to freeze a few times
   a day while you were interacting with it (in particular, the freeze
   happens around the same time as a keyboard or mouse action).

 * The freeze is a bad one --- the fan spins down, the NIC stops
   responding, caps lock doesn't light up, ctrl+alt+del and magic
   sysrq have no effect.  No messages about it in netconsole.

 * Happens reliably (how reliably?  >80% of the time?) after a few
   hours of sustained use (?)

 * Logs available in the bug log.  No obvious smoking guns. ;-)

 * Changing the amount of memory allocated to the integrated GPU in
   BIOS doesn't change anything.

 * The above describes 3.2.23-1.  Based on a week and a half of running
   3.5.5-1~experimental.1 it doesn't seem to be affected.

None of the changes from 3.2 to 3.5.5 are jumping out as likely
candidates for the fix, but that's a pretty wide range.  How reliably
can you reproduce the hang on a known-bad kernel?  If you have time to
try 3.2.30-1 from sid, 3.4.4-1~experimental.1 from
http://snapshot.debian.org/package/linux/ and 3.3.6-1~experimental.1
from http://snapshot.debian.org/package/linux-2.6/ then that could
help narrow down the search.

Thanks again for your help and patience.

Regards,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 17 Oct 2012 03:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Oct 2012 03:33:05 GMT) Full text and rfc822 format available.

Message #170 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 16 Oct 2012 20:29:30 -0700
Jonathan Nieder wrote:

>  * Asus P8Z77-V LE.

This makes as good a keyword for a web search as any. :)

It found [1] which is not too encouraging.  Maybe memtest86+ could be
worth a try to rule some problems out.

[1] http://thread.gmane.org/gmane.linux.debian.user.french/176707/focus=176710



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 17 Oct 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Oct 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #175 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 17 Oct 2012 23:31:31 +0200
On 2012-10-17 05:21, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> However my computer has been running without any problems for 11
>> days, so whatever caused this bug seems to be fixed in the 3.5.5
>> kernel.
>
> Drat.  Ok.
>
> To recap:
>
> * Asus P8Z77-V LE.
>
> * Newish system.  Works fine under load (e.g., Folding@Home) but
> when you started normal interactive use it started to freeze a few
> times a day while you were interacting with it (in particular, the
> freeze happens around the same time as a keyboard or mouse action).
>
> * The freeze is a bad one --- the fan spins down, the NIC stops
> responding, caps lock doesn't light up, ctrl+alt+del and magic sysrq
> have no effect.  No messages about it in netconsole.
>
> * Happens reliably (how reliably?  >80% of the time?) after a few
> hours of sustained use (?)
>
> * Logs available in the bug log.  No obvious smoking guns. ;-)
>
> * Changing the amount of memory allocated to the integrated GPU in
> BIOS doesn't change anything.
>
> * The above describes 3.2.23-1.  Based on a week and a half of
> running 3.5.5-1~experimental.1 it doesn't seem to be affected.

Correct, apart from the timing. It's been from a few hours to five days
between the freezes. But with very little interactive use during the
five days.

I can add that stressing the graphics doesn't seem to trigger the
problem.

> None of the changes from 3.2 to 3.5.5 are jumping out as likely
> candidates for the fix, but that's a pretty wide range.

What about the MTRR patch that Ben Hutchings mentioned above (commit
9e984bc1dffd405138ff22356188b6a1677c64c8)? Or maybe that's just a
cosmetic change? According to 
https://bugs.freedesktop.org/show_bug.cgi?id=41648, this patch was added 
in 3.5-rc1.

> How reliably can you reproduce the hang on a known-bad kernel? If you
> have time to try 3.2.30-1 from sid, 3.4.4-1~experimental.1 from
> http://snapshot.debian.org/package/linux/ and 3.3.6-1~experimental.1
> from http://snapshot.debian.org/package/linux-2.6/ then that could
> help narrow down the search.

With up to five days (so far) for a freeze to occur, it might take long 
to narrow down the change, and the computer in question is semi 
production (working from home), so the freezes are very annoying. But 
I'll give it a try in the name of the good cause.

Maybe I should start with running 3.5.5 for a few weeks, just to make 
sure that the freezes really are gone?

> Jonathan Nieder wrote:
>
>>  * Asus P8Z77-V LE.
>
> This makes as good a keyword for a web search as any.
>
> It found [1] which is not too encouraging.  Maybe memtest86+ could be
> worth a try to rule some problems out.
>
> [1] http://thread.gmane.org/gmane.linux.debian.user.french/176707/focus=176710

Memory and cpu cooling were of course the first suspects. But I'm using 
a large Arctic heatpipe cooler and have never seen higher temperatures 
than +57.0°C on any core according to lm_sensors. And memtest86+ has 
been happy. I ran an extra pass today (about 2.5 hours) just to make 
sure, and everything was blue and white.

The french discussion talks about RAM timing and voltage, but I'm not an 
overclocker (vanilla i7 3770, not 3770K) so that hardly applies.

And please note that with FAH running 24/7, the computer is always under 
heavy load, but has never frozen while running unattended. Even when 
running interactively, the freezes have never been random, but has 
happened *exactly* when I was clicking or typing something.

Btw, I found 
http://www.linuxbsdos.com/2012/10/06/ubuntu-12-04-lts-and-12-10-beta-2-on-intel-ivy-bridge-powered-computer/. 
One of the comments indicate that 3.4 fixes some sort of freeze problem 
on ivy bridge/HD4000. And the partiallysanedeveloper page that I linked 
to in the initial bug report says that the freezes are gone in 3.3.

Here are some other other discussions of freezes on similar hardware on 
debian derivatives with the same kernel generation:
http://forums.linuxmint.com/viewtopic.php?f=90&t=114382
http://phoronix.com/forums/showthread.php?71895-Intel-Ivy-Bridge-On-Linux-Two-Month-Redux
http://forums.linuxmint.com/viewtopic.php?f=198&t=113070
http://ubuntuforums.org/showthread.php?t=1995945

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 17 Oct 2012 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Oct 2012 22:06:03 GMT) Full text and rfc822 format available.

Message #180 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 17 Oct 2012 15:02:21 -0700
Per Foreby wrote:

> Correct, apart from the timing. It's been from a few hours to five days
> between the freezes. But with very little interactive use during the
> five days.

Right --- how much interactive use does it take?

I'm guessing that the time when you're not interacting the computer
doesn't affect this bug (regardless of load).

[...]
>> None of the changes from 3.2 to 3.5.5 are jumping out as likely
>> candidates for the fix, but that's a pretty wide range.
>
> What about the MTRR patch that Ben Hutchings mentioned above (commit
> 9e984bc1dffd405138ff22356188b6a1677c64c8)? Or maybe that's just a
> cosmetic change?

That should be cosmetic with your card, though there's always the
possibility of something subtle happening.

[...]
> With up to five days (so far) for a freeze to occur, it might take long to
> narrow down the change, and the computer in question is semi production
> (working from home), so the freezes are very annoying. But I'll give it a
> try in the name of the good cause.
>
> Maybe I should start with running 3.5.5 for a few weeks, just to make sure
> that the freezes really are gone?

Selfishly, I would suggest first trying to reproduce it on a known-bad
kernel and then trying 3.3 or disabling the intel driver.

[...]
>                                              And memtest86+ has been happy.
> I ran an extra pass today (about 2.5 hours) just to make sure, and
> everything was blue and white.

Thanks for checking.

[...]
> Btw, I found http://www.linuxbsdos.com/2012/10/06/ubuntu-12-04-lts-and-12-10-beta-2-on-intel-ivy-bridge-powered-computer/.
> One of the comments indicate that 3.4 fixes some sort of freeze problem on
> ivy bridge/HD4000. And the partiallysanedeveloper page that I linked to in
> the initial bug report says that the freezes are gone in 3.3.

Yes, it would be nice to narrow this down...

If you blacklist the i915 kernel module and use the vesa X driver,
does that avoid trouble?

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 17 Oct 2012 22:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Oct 2012 22:24:03 GMT) Full text and rfc822 format available.

Message #185 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org, Ingo <ingo.steiner@gmx.net>, Javier Cantero <jcantero@escomposlinux.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: [wheezy] Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 18 Oct 2012 00:20:33 +0200
On 2012-10-18 00:02, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> Correct, apart from the timing. It's been from a few hours to five days
>> between the freezes. But with very little interactive use during the
>> five days.
>
> Right --- how much interactive use does it take?

Very little. I've had freezes so far, and all of the with almost no 
activity on the screen. Clicking a link, typing an email or closing an 
rxvt window.

> That should be cosmetic with your card, though there's always the
> possibility of something subtle happening.

As a rule of thumb, every bugfix in a complex enough system introduces 
another bug. So I suppose that sometimes a bugfux might accidentally fix 
another bug :)

>> With up to five days (so far) for a freeze to occur, it might take long to
>> narrow down the change, and the computer in question is semi production
>> (working from home), so the freezes are very annoying. But I'll give it a
>> try in the name of the good cause.
>>
>> Maybe I should start with running 3.5.5 for a few weeks, just to make sure
>> that the freezes really are gone?
>
> Selfishly, I would suggest first trying to reproduce it on a known-bad
> kernel and then trying 3.3 or disabling the intel driver.

OK, I'll go back to 3.2.23 and work my way up. It might take some time 
though if the freeze doesn't behave...

> If you blacklist the i915 kernel module and use the vesa X driver,
> does that avoid trouble?

Does the vesa driver support 1920x1200 these days?

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 18 Oct 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Oct 2012 10:39:03 GMT) Full text and rfc822 format available.

Message #190 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 18 Oct 2012 12:37:16 +0200
Per,

I am still watching this issue for interest (my case I do consider as
"wrong" BIOS setting which solved it for me).

To my knowledge mtrr's are still used (not by i915 as Ben Hutchings
stated) and probably here certain manufacturers of boards/BIOS probably
set up different configurations.

Probably it ist worth to try this kernel parameter with Wheezy's
standard kernel:

"enable_mtrr_cleanup"

to allow kernel to re-arrange them and see if it has any influence in
your case?

Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 18 Oct 2012 15:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Oct 2012 15:24:06 GMT) Full text and rfc822 format available.

Message #195 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org, Per Foreby <per@foreby.se>
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 18 Oct 2012 08:21:20 -0700
Ingo wrote:

> Per,

Forwarding to Per, thanks.

> I am still watching this issue for interest (my case I do consider as
> "wrong" BIOS setting which solved it for me).

A report for yours would still be worthwhile, so we can try to find a
workaround in the kernel for the sake of others running into the same
problem.  I imagine other OSes work fine with the default BIOS
settings and that it would be possible for Linux to learn to as well.

> To my knowledge mtrr's are still used (not by i915 as Ben Hutchings
> stated) and probably here certain manufacturers of boards/BIOS probably
> set up different configurations.
>
> Probably it ist worth to try this kernel parameter with Wheezy's
> standard kernel:
>
> "enable_mtrr_cleanup"
>
> to allow kernel to re-arrange them and see if it has any influence in
> your case?
>
> Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 19 Oct 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 19 Oct 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #200 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 20 Oct 2012 00:39:06 +0200
On 2012-10-18 12:37, Ingo wrote:
> Per,
>
> I am still watching this issue for interest (my case I do consider as
> "wrong" BIOS setting which solved it for me).

Hmm, BIOS you said. I just check my BIOS version and found that the MB 
was delivered with the initial BIOS version from February. Since then 
ASUS have release five versions, all with "Improve system stability" 
among the few lines in the changelog.

Now I'm on the latest BIOS (from August) and back on the 3.2.0 kernel.

> To my knowledge mtrr's are still used (not by i915 as Ben Hutchings
> stated) and probably here certain manufacturers of boards/BIOS probably
> set up different configurations.
>
> Probably it ist worth to try this kernel parameter with Wheezy's
> standard kernel:
>
> "enable_mtrr_cleanup"
>
> to allow kernel to re-arrange them and see if it has any influence in
> your case?

I will try that if I get another freeze, and if that also fails, try the 
vesa driver, and then work my way up in the kernel versions as suggested 
by Jonathan.

I noticed something strange with allocation of GPU RAM. In the old BIOS, 
the default was 64 MB, but in the new bios, "Auto" was default. So I set 
it explicitly to 64 MB. However, this is what the OS reports:

# lspci -vv
...
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen
Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
...
        Region 0: Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
...

# dmesg | grep aperture
[    0.000000] Checking aperture...
[    1.644376] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000


# grep -i mem /var/log/Xorg.0.log
[    18.557] (--) PCI:*(0:0:2:0) 8086:0162:1043:84ca rev 9, Mem @ 
0xf7800000/4194304, 0xe0000000/268435456, I/O @ 0x0000f000/64

(268435456 is 256*1024*1024.)


I also found this ubuntu bug report: "lspci reports wrong video memory 
size" (https://bugs.launchpad.net/ubuntu/+source/pciutils/+bug/607991).

Could the same thing that fools lspci also make the kernel and the i915 
driver think I have more GPU memory than I actually have? On the other 
hand, the last freeze I had was with 256 MB configured in bios.

*UPDATE*

BIOS update did no good. Just had a freeze while typing this email. It 
only took minutes from reboot, and the trigger this time was 
doubleclicking the URI in firefox in an attempt to copy the launchpad 
link above.

Now I'm back up with 256 MB GPU RAM, still on the vanilla wheezy kernel. 
The output from lspci/dmesg/Xorg.0.log looks exactly the same as with 64 
MB. Strange.

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 20 Oct 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Oct 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #205 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 20 Oct 2012 22:17:19 +0200
On 2012-10-20 00:39, Per Foreby wrote:

> I noticed something strange with allocation of GPU RAM. In the old BIOS,
> the default was 64 MB, but in the new bios, "Auto" was default. So I set
> it explicitly to 64 MB. However, this is what the OS reports:
>
> # lspci -vv
> ...
> 00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen
> Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
> ...
>           Region 0: Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
>           Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
> ...
>
> # dmesg | grep aperture
> [    0.000000] Checking aperture...
> [    1.644376] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
>
>
> # grep -i mem /var/log/Xorg.0.log
> [    18.557] (--) PCI:*(0:0:2:0) 8086:0162:1043:84ca rev 9, Mem @
> 0xf7800000/4194304, 0xe0000000/268435456, I/O @ 0x0000f000/64
>
> (268435456 is 256*1024*1024.)

I changed the "iGPU memory" setting to 64 MB once more, and rebooted 
with the 3.5.5 kernel to see how much memory was reported. No change 
from 3.2.0 - everything still says 256 MB.

Could this be the problem? As Ingo reported, his problem disappeared 
with 256 MB GPU memory, and for me it took much longer for the next 
crash to occur, so maybe it not entirely correct when using 256 MB, but 
enough to make the freeze very rare?

And for my success (for 11 days) with the 3.5.5 kernel, maybe memory 
allocation works differently so it never (or more seldom) tries to 
access GPU memory that doesn't exist. Haven't tried 3.5.5 with 64 MB though.


Back on 3.2.0 with 64 MB now to test this theory.

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 02:21:03 GMT) Full text and rfc822 format available.

Message #210 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: 689268@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 04:16:50 +0200
New freeze after a few hours (vanilla kernel, 64 MB GPU Memory).

Next thing to try is to blacklist the i915 module, but it doesn't seem 
to work. This is what I did:

  # echo "blacklist i915" > /etc/modprobe.d/i915-blacklist.conf
  # depmod -ae -F /boot/System.map-3.2.0-3-amd64
  # update-initramfs -u -k all

Module still loads. Tried adding modprobe.blacklist=i915 to the kernel 
command line, but still no success.

What am I doing wrong here?

/Pre



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 02:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 02:51:02 GMT) Full text and rfc822 format available.

Message #215 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 20 Oct 2012 19:48:33 -0700
Per Foreby wrote:

> Next thing to try is to blacklist the i915 module, but it doesn't seem to
> work. This is what I did:
>
>   # echo "blacklist i915" > /etc/modprobe.d/i915-blacklist.conf
>   # depmod -ae -F /boot/System.map-3.2.0-3-amd64
>   # update-initramfs -u -k all
>
> Module still loads.

Does the i915 module still load if you boot in recovery mode (kernel
'single' or 'text')?  If so, please attach lsmod output and output
from "grep . /etc/modprobe.d/*".

Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 12:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 12:21:11 GMT) Full text and rfc822 format available.

Message #220 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 14:20:38 +0200
On 2012-10-21 04:48, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> Next thing to try is to blacklist the i915 module, but it doesn't seem to
>> work. This is what I did:
>>
>>    # echo "blacklist i915" > /etc/modprobe.d/i915-blacklist.conf
>>    # depmod -ae -F /boot/System.map-3.2.0-3-amd64
>>    # update-initramfs -u -k all
>>
>> Module still loads.
>
> Does the i915 module still load if you boot in recovery mode (kernel
> 'single' or 'text')?  If so, please attach lsmod output and output
> from "grep . /etc/modprobe.d/*".

The module was not loaded in recovery, and when booting multiuser, lsmod 
shows no dependencies.

I did however find a working solution in the Arch wiki 
(https://wiki.archlinux.org/index.php/Kernel_modules#Using_files_in_.2Fetc.2Fmodprobe.d.2F_2). 
So using "install i915 /bin/false" in blacklist.conf, the i915 module is 
finally gone.

The output from lspci/dmsg/Xorg.0.log is still identical and indicates 
256 MB, but the Vesa driver also added this to Xorg.0.log:

[    22.177] (II) VESA(0): Total Memory: 1023 64KB banks (65472kB)
[    22.200] (II) VESA(0): VESA VBE Total Mem: 65472 kB

Note that this is 1023 memory banks, not 1024, so it's not exactly 64 MB 
(65536 kB). Maybe the reason why it almost works with 256 MB is that the 
kernel always thinks that we have exactly 256 MB but the Mobo supplies 
one memory bank less. Just a theory..

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #225 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 16:25:31 +0200
Am 21.10.2012 14:20, schrieb Per Foreby:

> Note that this is 1023 memory banks, not 1024, so it's not exactly 64 MB
> (65536 kB). Maybe the reason why it almost works with 256 MB is that the
> kernel always thinks that we have exactly 256 MB but the Mobo supplies
> one memory bank less. Just a theory..

Per, me came another idea. Some postings up Ben Hutching stated:

"The driver calls ioremap_wc() which will enable write-combining through
the PAT in recent processors."

Isn't this "address translation" how I/O remapping (IOMMU) also called
VT-d works?

Per's CPU i7-3770 should support VT-d (in case the motherboard offeres
it), while mine i5-3570K does not support VT-d (like all K-CPU's).

Worth to try to switch off VT-d in the BIOS, Per?

Ingo

P.S.: I am still assuming that Per's and mine obeservations have the
same root cause: some mismatch of I/O-memory areas caused by whatever,
BIOS-bug, Kernel-bug or even hardware.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 16:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 16:42:09 GMT) Full text and rfc822 format available.

Message #230 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 18:34:57 +0200
Am 21.10.2012 14:20, schrieb Per Foreby:

> [    22.177] (II) VESA(0): Total Memory: 1023 64KB banks (65472kB)
> [    22.200] (II) VESA(0): VESA VBE Total Mem: 65472 kB
> 
> Note that this is 1023 memory banks, not 1024, so it's not exactly 64 MB
> (65536 kB). Maybe the reason why it almost works with 256 MB is that the
> kernel always thinks that we have exactly 256 MB but the Mobo supplies
> one memory bank less. Just a theory..

I checked here (with 256MB VideoRAM set in BIOS and i915 loaded) - all
is stable now.
dmesg says:
...
[    0.985848] agpgart-intel 0000:00:00.0: detected 65536K stolen memory
...

Don't know where they have gone or who did reserve them. Maybe thats
what Intel's "Dynamic Video Memory Technology (DVMT)" uses?

Isn't there anybody out who has more insight into this issue and could
give some explanation how things should work and give hints how to pin
that down?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 19:03:03 GMT) Full text and rfc822 format available.

Message #235 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 12:01:06 -0700
Per Foreby wrote:

> The output from lspci/dmsg/Xorg.0.log is still identical and indicates 256
> MB

That could be unrelated (and since it's a symptom that has shown up in
the past on machines without this bug, I don't think we should jump to
conclusions).



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 19:06:03 GMT) Full text and rfc822 format available.

Message #240 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 12:02:54 -0700
Per Foreby wrote:

> [    22.177] (II) VESA(0): Total Memory: 1023 64KB banks (65472kB)
> [    22.200] (II) VESA(0): VESA VBE Total Mem: 65472 kB

Good, it looks like the vesa driver is loading instead of the i915
driver.  Can you reproduce the bug in this setup?

If not, we will have shown the bug is probably in the i915 driver and
we can take this upstream.

Hope that helps,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 19:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 19:09:04 GMT) Full text and rfc822 format available.

Message #245 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 12:05:11 -0700
Ingo wrote:

> Worth to try to switch off VT-d in the BIOS, Per?

Please, before making guesses let's establish the basic facts (which
kernel versions are affected and whether some particular subsystem
triggers it).  That will let us get help from the experts.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 19:09:06 GMT) Full text and rfc822 format available.

Message #250 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 12:07:19 -0700
Ingo wrote:

> I checked here (with 256MB VideoRAM set in BIOS and i915 loaded) - all
> is stable now.

Also, please please please file a separate report.  I'm serious.  It
will be much easier to track the two issues, compare them when
appropriate, etc that way.

By not doing that, you're asking us not to consider the symptoms from
your machine, which is fine, but I don't think it's what you intend.

Hoping that clarifies,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #255 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 23:45:00 +0200
On 2012-10-21 21:02, Jonathan Nieder wrote:
> Per Foreby wrote:
>
>> [    22.177] (II) VESA(0): Total Memory: 1023 64KB banks (65472kB)
>> [    22.200] (II) VESA(0): VESA VBE Total Mem: 65472 kB
>
> Good, it looks like the vesa driver is loading instead of the i915
> driver.  Can you reproduce the bug in this setup?

Everything is OK so far, and I hardy notice any difference (apart from 
having to enable software scaling in mplayer2, but that's not a problem 
with an i7 3770 :)

I'll give it a few days, and then I'll try "enable_mtrr_cleanup".


> If not, we will have shown the bug is probably in the i915 driver and
> we can take this upstream.

Or maybe not, since I didn't experience any problems on the 3.5 kernel. 
With 256 MB GPU memory though.

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 21 Oct 2012 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Oct 2012 22:03:04 GMT) Full text and rfc822 format available.

Message #260 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 21 Oct 2012 15:00:47 -0700
Per Foreby wrote:
> On 2012-10-21 21:02, Jonathan Nieder wrote:

>> Good, it looks like the vesa driver is loading instead of the i915
>> driver.  Can you reproduce the bug in this setup?
>
> Everything is OK so far, and I hardy notice any difference (apart from
> having to enable software scaling in mplayer2, but that's not a problem with
> an i7 3770 :)
>
> I'll give it a few days,

Thanks again for this.

>                          and then I'll try "enable_mtrr_cleanup".
>
>> If not, we will have shown the bug is probably in the i915 driver and
>> we can take this upstream.
>
> Or maybe not, since I didn't experience any problems on the 3.5 kernel. With
> 256 MB GPU memory though.

Oh, right --- I had forgotten.  I think we should still move upstream
after the experiment with vesa, though, and just be sure to mention
which kernels were tried and what happened with each.  Instructions
for reporting are here:

 http://intellinuxgraphics.org/how_to_report_bug.html

When doing so, please let us know the bug number so we can track it.
I hate to sound like a broken record, but I still have no reason to
believe the mtrr stuff is not a red herring.

Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 22 Oct 2012 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 22 Oct 2012 13:36:03 GMT) Full text and rfc822 format available.

Message #265 received at 689268@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ingo <ingo.steiner@gmx.net>, 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 22 Oct 2012 14:31:44 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2012-10-21 at 16:25 +0200, Ingo wrote:
> Am 21.10.2012 14:20, schrieb Per Foreby:
> 
> > Note that this is 1023 memory banks, not 1024, so it's not exactly 64 MB
> > (65536 kB). Maybe the reason why it almost works with 256 MB is that the
> > kernel always thinks that we have exactly 256 MB but the Mobo supplies
> > one memory bank less. Just a theory..
> 
> Per, me came another idea. Some postings up Ben Hutching stated:
> 
> "The driver calls ioremap_wc() which will enable write-combining through
> the PAT in recent processors."
>
> Isn't this "address translation" how I/O remapping (IOMMU) also called
> VT-d works?
[...]

PAT is a feature of the ordinary MMU, not an IOMMU.

(The last I heard, Intel's integrated GPUs were totally incompatible
with VT-d (partly because they are not normal PCIe devices).  Linux
therefore doesn't allow them to be in a VT-d remapping domain.)

Ben.

-- 
Ben Hutchings
Humour is the best antidote to reality.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 23 Oct 2012 17:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 23 Oct 2012 17:57:13 GMT) Full text and rfc822 format available.

Message #270 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 23 Oct 2012 19:52:25 +0200
On 2012-10-22 00:00, Jonathan Nieder wrote:

> Oh, right --- I had forgotten.  I think we should still move upstream
> after the experiment with vesa, though, and just be sure to mention
> which kernels were tried and what happened with each.  Instructions
> for reporting are here:
>
>   http://intellinuxgraphics.org/how_to_report_bug.html
>
> When doing so, please let us know the bug number so we can track it.
> I hate to sound like a broken record, but I still have no reason to
> believe the mtrr stuff is not a red herring.

https://bugs.freedesktop.org/show_bug.cgi?id=56333

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 23 Oct 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 23 Oct 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #275 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 23 Oct 2012 13:10:00 -0700
Per Foreby wrote:
> On 2012-10-22 00:00, Jonathan Nieder wrote:

>> Oh, right --- I had forgotten.  I think we should still move upstream
>> after the experiment with vesa, though, and just be sure to mention
>> which kernels were tried and what happened with each.
[...]
> https://bugs.freedesktop.org/show_bug.cgi?id=56333

Thanks again for your help and patience.  Could you try 3.3 next?
That would narrow down the search for the fix by quite a bit.

Sincerely,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 23 Oct 2012 21:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 23 Oct 2012 21:48:06 GMT) Full text and rfc822 format available.

Message #280 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org, Javier Cantero <jcantero@escomposlinux.org>
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 23 Oct 2012 23:45:08 +0200
On 2012-10-23 22:10, Jonathan Nieder wrote:
> Per Foreby wrote:
>> On 2012-10-22 00:00, Jonathan Nieder wrote:
>
>>> Oh, right --- I had forgotten.  I think we should still move upstream
>>> after the experiment with vesa, though, and just be sure to mention
>>> which kernels were tried and what happened with each.
> [...]
>> https://bugs.freedesktop.org/show_bug.cgi?id=56333
>
> Thanks again for your help and patience.  Could you try 3.3 next?
> That would narrow down the search for the fix by quite a bit.

The upstream comments are just what I exepcted, and what I'm used to in 
my 25 years as a system manager: don't bother reporting anything unless 
you're on the latest and greatest release or have paid support. Which is 
very understandable.

I'll give the suggested kernels a try to narrow down the problem. And 
I'll stay on 64 MB graphics memory since that seems to trigger the 
problem faster.

/Per



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 23 Oct 2012 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 23 Oct 2012 23:24:03 GMT) Full text and rfc822 format available.

Message #285 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 24 Oct 2012 01:20:25 +0200
On 2012-10-23 23:45, Per Foreby wrote:

>> Thanks again for your help and patience.  Could you try 3.3 next?
>> That would narrow down the search for the fix by quite a bit.

Just to clear some confusion: In a previous comment you suggested trying 
3.2.30-1 first (which seems to have been replaced by 3.2.32-1 a few days 
ago).

So what should I try, and in what order? I have downloaded the following 
packages:

linux-image-3.2.0-4-amd64_3.2.30-1_amd64.deb
linux-image-3.2.0-4-amd64_3.2.32-1_amd64.deb
linux-image-3.3.0-trunk-amd64_3.3.6-1~experimental.1_amd64.deb
linux-image-3.4-trunk-amd64_3.4.4-1~experimental.1_amd64.deb

/Per





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 24 Oct 2012 00:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Oct 2012 00:42:08 GMT) Full text and rfc822 format available.

Message #290 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Tue, 23 Oct 2012 17:39:32 -0700
Hi Per,

Per Foreby wrote:

> Just to clear some confusion: In a previous comment you suggested trying
> 3.2.30-1 first (which seems to have been replaced by 3.2.32-1 a few days
> ago).
>
> So what should I try, and in what order? I have downloaded the following
> packages:
>
> linux-image-3.2.0-4-amd64_3.2.30-1_amd64.deb
> linux-image-3.2.0-4-amd64_3.2.32-1_amd64.deb
> linux-image-3.3.0-trunk-amd64_3.3.6-1~experimental.1_amd64.deb
> linux-image-3.4-trunk-amd64_3.4.4-1~experimental.1_amd64.deb

Good question, thanks.  3.3.6 first.  If it works, the newest 3.2.y
kernel available would come next.  If it doesn't work, 3.4.4 would
come next.

Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 25 Oct 2012 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Oct 2012 10:48:03 GMT) Full text and rfc822 format available.

Message #295 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 25 Oct 2012 12:45:32 +0200
Am 24.10.2012 02:39, schrieb Jonathan Nieder:
> Hi Per,
> 
> Per Foreby wrote:
> 
>> Just to clear some confusion: In a previous comment you suggested trying
>> 3.2.30-1 first (which seems to have been replaced by 3.2.32-1 a few days
>> ago).
>>
>> So what should I try, and in what order? I have downloaded the following
>> packages:

What I just found in the german Debian Forum
https://debianforum.de/forum/viewtopic.php?f=26&t=137332 is the same
observed on a ThinkPad T430 with a i5-3320M 2.60 GHz, HD4000 graphics
and Wheezy (reported 2012-07-26) - translated into English:

" ... to avoid *priodic freezes* I updated the kernel to 3.4.4-1 from
experimental ..."

Meanwhile the author has updated to kernel 3.5.5-1-amd64 and all appears
still fine.

Just my 2 cents,
Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 25 Oct 2012 21:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Oct 2012 21:12:02 GMT) Full text and rfc822 format available.

Message #300 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 25 Oct 2012 23:10:11 +0200
I am back and join the injured.

today I again had the known freeze after 3 weeks of freedom with 256MB
GPU-RAM BIOS setting. So my remedy did not cure the root cause. I now
installed kernel 3.5.5-1 from experimental - let's see.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 26 Oct 2012 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Cantero <jcantero@escomposlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Oct 2012 18:45:06 GMT) Full text and rfc822 format available.

Message #305 received at 689268@bugs.debian.org (full text, mbox):

From: Javier Cantero <jcantero@escomposlinux.org>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Fri, 26 Oct 2012 20:30:09 +0200
[Message part 1 (text/plain, inline)]
Just a little bit of info I found reading the last changes to the
X intel driver:

"Release 2.20.9 (2012-09-29)
===========================
And so it came to pass that a critical bug was uncovered in UXA. The
kernel does not like to pageflip when the pipe is off, yet due to the
delayed nature of a pageflip and the relaxed checking performed by UXA,
we could request a pageflip after turning off the display (DPMS). The
kernel rejected that pageflip and the error handling path failed to
restore sanity, and when the screen came back it was stuck on the image
seen before it went to sleep. (Note that there are also some related
kernel bugs, but this update should prevent the most conspicious of the
freezes.) Many thanks to Timo Aaltonen for his efforts in tracking down
the issue.
[...]"

This is not the kernel bug, but the graphics bug. However, maybe is not
a bad idea to upgrade the X driver and see what happen with 3.2.x.

-- 
                       Saludos de Javier <jcantero@escomposlinux.org>


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Fri, 02 Nov 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 02 Nov 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #310 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 03 Nov 2012 00:44:48 +0100
On 2012-10-24 02:39, Jonathan Nieder wrote:
> Hi Per,
>
> Per Foreby wrote:
>
>> Just to clear some confusion: In a previous comment you suggested trying
>> 3.2.30-1 first (which seems to have been replaced by 3.2.32-1 a few days
>> ago).
>>
>> So what should I try, and in what order? I have downloaded the following
>> packages:
>>
>> linux-image-3.2.0-4-amd64_3.2.30-1_amd64.deb
>> linux-image-3.2.0-4-amd64_3.2.32-1_amd64.deb
>> linux-image-3.3.0-trunk-amd64_3.3.6-1~experimental.1_amd64.deb
>> linux-image-3.4-trunk-amd64_3.4.4-1~experimental.1_amd64.deb
>
> Good question, thanks.  3.3.6 first.  If it works, the newest 3.2.y
> kernel available would come next.  If it doesn't work, 3.4.4 would
> come next.

I've been running 3.3.6-1~experimental.1 for 10 days without problems. 
Just tried 3.2.32-1 and the system froze after 18 minutes. Now back on 3.3.

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 03 Nov 2012 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Nov 2012 08:18:03 GMT) Full text and rfc822 format available.

Message #315 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 3 Nov 2012 01:14:31 -0700
found 689268 linux/3.2.32-1
fixed 689268 linux/3.3.6-1~experimental.1 , linux/3.5.5-1~experimental.1
quit

Per Foreby wrote:

> I've been running 3.3.6-1~experimental.1 for 10 days without problems. Just
> tried 3.2.32-1 and the system froze after 18 minutes. Now back on 3.3.

Perfect.  Marking so.

Could you try 3.3~rc6-1~experimental.1?  (I expect it will also work
fine, but there's always a chance that we could get lucky and narrow
down the range by a lot.)

If it works ok, here are instructions for testing 3.3-rc6 with drm code
from 3.2:

 0. prerequisites
	apt-get install git build-essential

 1. get the kernel history, if you don't already have it
	git clone \
	  git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git

 2. configure, build, test
	cd linux
	git checkout v3.3-rc6
	cp /boot/config-$(uname -r) .config; # current configuration
	scripts/config --disable DEBUG_INFO
	make localmodconfig; # optional: minimize configuration
	make deb-pkg; # optionally with -j<num> for parallel build
	dpkg -i ../<name of package>; # as root
	reboot

    Hopefully it works fine.  So

 3. try drm code from 3.2
	cd linux
	git checkout v3.2 -- include/drm drivers/gpu/drm
	make deb-pkg; # maybe with -j4
	dpkg -i ..<name of package>; # as root
	reboot

    Hopefully it reproduces the bug.

If that works, we'll be ready to run a reverse bisect on the drm code
like Daniel suggested.

Thanks again for your patient efforts on this.  Sorry it has been
taking so long.

Jonathan



Marked as found in versions linux/3.2.32-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 08:18:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions linux/3.5.5-1~experimental.1 and linux/3.3.6-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 08:18:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions linux/3.3.6-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 09:39:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions linux-2.6/3.3.6-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 09:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 03 Nov 2012 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Nov 2012 16:45:06 GMT) Full text and rfc822 format available.

Message #328 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 03 Nov 2012 17:41:32 +0100
Am 03.11.2012 09:14, schrieb Jonathan Nieder:
> found 689268 linux/3.2.32-1
> fixed 689268 linux/3.3.6-1~experimental.1 , linux/3.5.5-1~experimental.1
> quit

Just a proposal:
is it possible to apply this patch from Intel to the 3.2 kernel:
http://lists.freedesktop.org/archives/intel-gfx/2012-February/015005.html?

This would allow to figure out by manually activating different rc6
states whether rc6 implementation is the root cause.
From kernel 3.3 on the settings and default beheavior of the parameter
i915_enable_rc6 have changed. Wheezy's 3.2 kernel does not include this
patch according to 'modinfo i915'

Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 03 Nov 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Nov 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #333 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 3 Nov 2012 11:18:03 -0700
Ingo wrote:

> Just a proposal:
> is it possible to apply this patch from Intel to the 3.2 kernel:
> http://lists.freedesktop.org/archives/intel-gfx/2012-February/015005.html?
>
> This would allow to figure out by manually activating different rc6
> states whether rc6 implementation is the root cause.

What happens if you use i915.i915_enable_rc6=0 with the stock kernel?
If that doesn't work, I doubt other modes (which are only more
aggressive about power management) will.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 03 Nov 2012 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Nov 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #338 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 3 Nov 2012 13:36:38 -0700
Ingo wrote:
> Am 03.11.2012 21:05, schrieb Jonathan Nieder:
>> Ingo wrote:

>>> I did set it now to "0" and suprisingly power consumption does not
>>> change by a single watt in both cases: idle desktop and graphics/monitor
>>> off by DPMS. I'll leave it now like this and see - last time it took 3
>>> weeks until the freeze happend. I'll report here again if any freeze
>>> happens.
>>
>> Thanks.  Do you mind if I forward this information to the bug log?
>
> Please go ahead, thanks.
>
[...]
>>  linux-2.6 (3.2.7-1) unstable; urgency=low
>> 
>>    * [x86] drm/i915: do not enable RC6p on Sandy Bridge (Closes: #660265)
>
> What about Ivy Bridge - that's what me and Per are using. Is there
> anwhere a table on which devices which rc6 states are enabled?

From drivers/gpu/drm/i915/intel_display.c:

| static bool intel_enable_rc6(struct drm_device *dev)
| {
|	/*
|	 * Respect the kernel parameter if it is set
|	 */
|	if (i915_enable_rc6 >= 0)
|		return i915_enable_rc6;
|
|	/*
|	 * Disable RC6 on Ironlake
|	 */
|	if (INTEL_INFO(dev)->gen == 5)
|		return 0;
|
|	/*
|	 * Disable rc6 on Sandybridge
|	 */
|	if (INTEL_INFO(dev)->gen == 6) {
|		DRM_DEBUG_DRIVER("Sandybridge: RC6 disabled\n");
|		return 0;
|	}
|	DRM_DEBUG_DRIVER("RC6 enabled\n");
|	return 1;
| }
[...]
|	if (intel_enable_rc6(dev_priv->dev))
|		rc6_mask = GEN6_RC_CTL_RC6_ENABLE |
|			((IS_GEN7(dev_priv->dev)) ? GEN6_RC_CTL_RC6p_ENABLE : 0);

Ivy Bridge is gen7.  So RC6p is not masked out by default, and setting
i915_enable_rc6=0 will mask it out along with RC6.  If you pass
drm.debug=0x2 (or anything with that bit set, such as 0xe) on the
kernel command line then you can tell if RC6 is enabled by looking for
an "RC6 enabled" line in the kernel log.



Bug 689268 cloned as bug 692234 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 20:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 03 Nov 2012 21:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Nov 2012 21:15:09 GMT) Full text and rfc822 format available.

Message #345 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ingo <ingo.steiner@gmx.net>
Cc: 692234@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 3 Nov 2012 14:11:31 -0700
Jonathan Nieder wrote:

> Hi Ingo,
[...]
> There seem to be some differences in symptoms here, so please file a
> separate bug.  We can merge them later if they turn out to have the
> same cause.

I've assigned you bug#692234.  Please attach output from
"reportbug --template linux-image-$(uname -r)" so we can get to
know your hardware better.

Thanks,
Jonathan



Severity set to 'serious' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 01:27:05 GMT) Full text and rfc822 format available.

Merged 689268 692500 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 07 Nov 2012 01:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 07 Nov 2012 17:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Nov 2012 17:39:12 GMT) Full text and rfc822 format available.

Message #354 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 07 Nov 2012 18:38:49 +0100
On 2012-11-03 09:14, Jonathan Nieder wrote:

> Could you try 3.3~rc6-1~experimental.1?  (I expect it will also work
> fine, but there's always a chance that we could get lucky and narrow
> down the range by a lot.)

As you expected, two days without problems.

> If it works ok, here are instructions for testing 3.3-rc6 with drm code
> from 3.2:
>
>   0. prerequisites
> 	apt-get install git build-essential
>
>   1. get the kernel history, if you don't already have it
> 	git clone \
> 	  git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
>
>   2. configure, build, test
> 	cd linux
> 	git checkout v3.3-rc6
> 	cp /boot/config-$(uname -r) .config; # current configuration
> 	scripts/config --disable DEBUG_INFO
> 	make localmodconfig; # optional: minimize configuration
> 	make deb-pkg; # optionally with -j<num> for parallel build
> 	dpkg -i ../<name of package>; # as root
> 	reboot
>
>      Hopefully it works fine.  So
>
>   3. try drm code from 3.2
> 	cd linux
> 	git checkout v3.2 -- include/drm drivers/gpu/drm
> 	make deb-pkg; # maybe with -j4
> 	dpkg -i ..<name of package>; # as root
> 	reboot
>
>      Hopefully it reproduces the bug.

Unfortunately this has so far been stable for two days.

I'll keep running it to see if the bug just takes longer to show with 
this combo.

/Per




Marked as fixed in versions linux-2.6/3.3~rc6-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 08 Nov 2012 15:57:08 GMT) Full text and rfc822 format available.

Merged 689268 692234 692500 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 08 Nov 2012 15:57:10 GMT) Full text and rfc822 format available.

Merged 689268 692234 692500 692862 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 12 Nov 2012 09:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 28 Nov 2012 15:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 28 Nov 2012 15:54:03 GMT) Full text and rfc822 format available.

Message #365 received at 689268@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 689268@bugs.debian.org
Cc: per@foreby.se, jrnieder@gmail.com, ingo.steiner@gmx.net
Subject: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 28 Nov 2012 17:45:32 +0200
Hi,

Is there any updates since early november? I have a Ivy bridge PC now
with PH8H77-V LE motherboard and 3570K cpu showing the mentioned
symptomps. I can work on bisecting the issue if nobody else is already
on it.

Riku



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 28 Nov 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 28 Nov 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #370 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 689268@bugs.debian.org, per@foreby.se, ingo.steiner@gmx.net
Subject: Re: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 28 Nov 2012 07:52:51 -0800
Riku Voipio <riku.voipio@iki.fi> wrote:

> Is there any updates since early november? I have a Ivy bridge PC now
> with PH8H77-V LE motherboard and 3570K cpu showing the mentioned
> symptomps. I can work on bisecting the issue if nobody else is already
> on it.

If you can bisect to find the first unaffected kernel between 3.2 and
3.3-rc6 as described at [1], that would be excellent. Thanks much for
your work.

Sincerely,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=400;bug=692234
https://bugs.freedesktop.org/56333#c5



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 01 Dec 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Foreby <per@foreby.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 01 Dec 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #375 received at 689268@bugs.debian.org (full text, mbox):

From: Per Foreby <per@foreby.se>
To: Riku Voipio <riku.voipio@iki.fi>, 689268@bugs.debian.org
Cc: jrnieder@gmail.com, ingo.steiner@gmx.net
Subject: Re: Bug#689268: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 01 Dec 2012 16:16:35 +0100
On 2012-11-28 16:45, Riku Voipio wrote:

> Is there any updates since early november? I have a Ivy bridge PC now
> with PH8H77-V LE motherboard and 3570K cpu showing the mentioned
> symptomps. I can work on bisecting the issue if nobody else is already
> on it.

I have been running the kernel mentioned above (3.3 with drm from 3.2) 
for 25 days now without any problems.

/Per




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 01 Dec 2012 22:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 01 Dec 2012 22:42:17 GMT) Full text and rfc822 format available.

Message #380 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Per Foreby <per@foreby.se>
Cc: Riku Voipio <riku.voipio@iki.fi>, 689268@bugs.debian.org, ingo.steiner@gmx.net
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 1 Dec 2012 14:41:21 -0800
Per Foreby wrote:
> On 2012-11-28 16:45, Riku Voipio wrote:

>> Is there any updates since early november? I have a Ivy bridge PC now
>> with PH8H77-V LE motherboard and 3570K cpu showing the mentioned
>> symptomps. I can work on bisecting the issue if nobody else is already
>> on it.
>
> I have been running the kernel mentioned above (3.3 with drm from 3.2) for
> 25 days now without any problems.

Yep, thanks much for that.  That means that the symptom relief comes
from a change outside the drm tree.  If you run "git reset --hard"
then you should be back on 3.3 again, and the instructions from [1]
can narrow it down from there.

Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=400;bug=692234



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 05 Dec 2012 08:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 05 Dec 2012 08:39:05 GMT) Full text and rfc822 format available.

Message #385 received at 689268@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Riku Voipio <riku.voipio@iki.fi>, 689268@bugs.debian.org, per@foreby.se, ingo.steiner@gmx.net
Subject: Re: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 5 Dec 2012 10:36:24 +0200
On Wed, Nov 28, 2012 at 07:52:51AM -0800, Jonathan Nieder wrote:
> If you can bisect to find the first unaffected kernel between 3.2 and
> 3.3-rc6 as described at [1], that would be excellent. Thanks much for
> your work.

I have now been bisecting (I skipped the drm tree reset, this is bisect
between 3.2 and 3.3-rc1) for one week, and so far only seen hangs on 
on the debian kernel.

While I continue this, someone else could try vanilla 3.2 and 3.2.23
in case this is a bug introduced in stable series.

Riku

> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=400;bug=692234
> https://bugs.freedesktop.org/56333#c5





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 05 Dec 2012 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 05 Dec 2012 15:42:03 GMT) Full text and rfc822 format available.

Message #390 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 689268@bugs.debian.org, per@foreby.se, ingo.steiner@gmx.net
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 5 Dec 2012 07:39:01 -0800
Riku Voipio wrote:
> On Wed, Nov 28, 2012 at 07:52:51AM -0800, Jonathan Nieder wrote:

>> If you can bisect to find the first unaffected kernel between 3.2 and
>> 3.3-rc6 as described at [1], that would be excellent. Thanks much for
>> your work.
>
> I have now been bisecting (I skipped the drm tree reset, this is bisect
> between 3.2 and 3.3-rc1) for one week, and so far only seen hangs on 
> on the debian kernel.

Hm, I'm a little confused.  Are you sure 3.3-rc1 is not affected, and if
not, why bisect between 3.2 and 3.3-rc1 instead of -rc6?  What git tree
are you using to bisect the Debian kernel?

Curious,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 10 Dec 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 10 Dec 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #395 received at 689268@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Riku Voipio <riku.voipio@iki.fi>, 689268@bugs.debian.org, per@foreby.se, ingo.steiner@gmx.net
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Mon, 10 Dec 2012 17:55:42 +0200
On Wed, Dec 05, 2012 at 07:39:01AM -0800, Jonathan Nieder wrote:
> Riku Voipio wrote:
> > On Wed, Nov 28, 2012 at 07:52:51AM -0800, Jonathan Nieder wrote:
 
> >> If you can bisect to find the first unaffected kernel between 3.2 and
> >> 3.3-rc6 as described at [1], that would be excellent. Thanks much for
> >> your work.
> >
> > I have now been bisecting (I skipped the drm tree reset, this is bisect
> > between 3.2 and 3.3-rc1) for one week, and so far only seen hangs on 
> > on the debian kernel.
 
> Hm, I'm a little confused.  Are you sure 3.3-rc1 is not affected, and if
> not, why bisect between 3.2 and 3.3-rc1 instead of -rc6?  What git tree
> are you using to bisect the Debian kernel?

Now I've had comple of days with the debian 3.2.19-1 and no crashes
either. Sigh, I notice I had "i915.i915_enable_rc6=0 drm.debug=0x06" set
in etc/default/grub.
I remember some crashed with i915.i915_enable_rc6=0, so perhaps it's
the debug prints that drive the timing off enough to hide the crash.

Lets clear the command line and see if I can get crashes back...

Riku

 



Marked as found in versions linux/3.2.35-2. Request was from noreply@example.com to control@bugs.debian.org. (Wed, 26 Dec 2012 17:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 29 Dec 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim D <timd884@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Dec 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #402 received at 689268@bugs.debian.org (full text, mbox):

From: Tim D <timd884@gmail.com>
To: 689268@bugs.debian.org
Subject: Has this bug been fixed?
Date: Fri, 28 Dec 2012 23:46:33 -0500
I still have this same problem using the latest CD image generated
(24th December). This is preventing me from upgrading to Wheezy. How
can I solve this problem?

-- 
timd



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 10 Jan 2013 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 10 Jan 2013 08:42:03 GMT) Full text and rfc822 format available.

Message #407 received at 689268@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 689268@bugs.debian.org, jrnieder@gmail.com, ingo.steiner@gmx.net, per@foreby.se
Subject: Re: Bug#689268: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 10 Jan 2013 10:39:20 +0200
Hi,

> Hm, I'm a little confused.  Are you sure 3.3-rc1 is not affected, and
> if not, why bisect between 3.2 and 3.3-rc1 instead of -rc6?  What git
> tree are you using to bisect the Debian kernel?

So far, the status seems:

Debian    3.2.32-1: hang in few hours of use
Upstream  3.3-rc1 ... 3.3 no hang ever observed so far
Debian    3.2.35-2: hang once a week or so (2 hangs so far)

getting hangs on anything other than the Debian 3.2.32-1 has
been challenging. If if's just timing based, I might just have
been lucky during my bisects.

Riku



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 10 Jan 2013 11:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 10 Jan 2013 11:51:05 GMT) Full text and rfc822 format available.

Message #412 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 689268@bugs.debian.org, jrnieder@gmail.com, per@foreby.se
Subject: Re: Bug#689268: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Thu, 10 Jan 2013 12:48:23 +0100
Am 10.01.2013 09:39, schrieb Riku Voipio:

> getting hangs on anything other than the Debian 3.2.32-1 has
> been challenging. If if's just timing based, I might just have
> been lucky during my bisects.

Here vanilla 3.4.24 from kernel.org runs absolutely stable since a few
weeks. But me came up another idea:

'modinfo i916' list an option which appears to be a watchdog function:

"parm:           enable_hangcheck:Periodically check GPU activity for
detecting hangs. WARNING: Disabling this can cause system wide hangs.
(default: true) (bool)"

which actually describes the symptoms. Could it be that in the
Debian-kernel either the hangs are not detected securely, or that it
just fails to reset the module?

/Ingo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 13 Jan 2013 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to crispy1975@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 13 Jan 2013 13:54:03 GMT) Full text and rfc822 format available.

Message #417 received at 689268@bugs.debian.org (full text, mbox):

From: Paul C <crispy1975@gmail.com>
To: 689268@bugs.debian.org
Subject: Re: Bug#689268
Date: Sun, 13 Jan 2013 13:51:22 +0000
I think I am having the same issue here with Ivy Bridge. Recently got a 
new machine and running Ubuntu 12.10 (Quantal), I was on Wheezy before 
with the same issue. Using the standard kernel I was getting system 
lock-ups with the screen going corrupted and no input possible at all.

I've followed this thread through trying out various different options 
with boot parameters (mtrr) and also have now got the system on the 
Liquorix 3.7.x kernel. Same crashes.

It happens when there is user input, I can leave the machine run without 
touching it and it will be ok, but when I interact I'll randomly get a 
crash. These could be minutes apart, or hours. But right now are inevitable.

I'm fairly technical, but not a kernel hacker, I'm quite comfortable 
compiling etc. So if there is anything I can try or add, then please let 
me know.

Here are a few system details:

Processor: Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
   Memory: 32GB
  Chipset:

$ uname -a
Linux xpc 3.7.0-2.dmz.1-liquorix-amd64 #1 ZEN SMP PREEMPT Sun Jan 13 
02:36:06 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Kernel command line: BOOT_IMAGE=/vmlinuz-3.7.0-2.dmz.1-liquorix-amd64 
root=/dev/mapper/vg-root ro rootdelay=10 mtrr_gran_size=8M 
mtrr_chunk_size=32M quiet splash vt.handoff=7

$ lsmod | grep i915
i915                  554526  3
drm_kms_helper         39225  1 i915
drm                   266634  4 i915,drm_kms_helper
intel_agp              11514  1 i915
i2c_algo_bit            5854  1 i915
intel_gtt              16817  2 i915,intel_agp
i2c_core               26223  4 i915,drm_kms_helper,drm,i2c_algo_bit
video                  12284  1 i915
button                  5368  1 i915

$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core 
processor DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd 
Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset 
Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series 
Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset 
Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset 
Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset 
Family PCI Express Root Port 1 (rev c4)
00:1c.6 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset 
Family PCI Express Root Port 7 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset 
Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Z77 Express Chipset LPC Controller 
(rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series/C210 Series Chipset 
Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family 
SMBus Controller (rev 04)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 
RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)


Paul



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 13 Jan 2013 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 13 Jan 2013 18:03:03 GMT) Full text and rfc822 format available.

Message #422 received at 689268@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: crispy1975@gmail.com
Cc: 689268@bugs.debian.org
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 13 Jan 2013 10:01:27 -0800
Hi Paul,

Paul C wrote:

> I think I am having the same issue here with Ivy Bridge.
[...]
> I've followed this thread through trying out various different options with
> boot parameters (mtrr) and also have now got the system on the Liquorix
> 3.7.x kernel. Same crashes.

That doesn't match Per's experience --- he found that 3.5.5 already
worked fine.

Would you mind filing a new bug?  We can always merge them later if
they turn out to have the same cause.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 19 Jan 2013 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Jan 2013 18:27:06 GMT) Full text and rfc822 format available.

Message #427 received at 689268@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 689268@bugs.debian.org
Cc: ingo.steiner@gmx.net, riku.voipio@iki.fi, jrnieder@gmail.com, per@foreby.se
Subject: Re: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sat, 19 Jan 2013 19:23:44 +0100
> Am 10.01.2013 09:39, schrieb Riku Voipio:
> 
> > getting hangs on anything other than the Debian 3.2.32-1 has
> > been challenging. If if's just timing based, I might just have
> > been lucky during my bisects.
> 
> Here vanilla 3.4.24 from kernel.org runs absolutely stable since a few
> weeks. But me came up another idea:
> 
> 'modinfo i916' list an option which appears to be a watchdog function:
> 
> "parm:           enable_hangcheck:Periodically check GPU activity for
> detecting hangs. WARNING: Disabling this can cause system wide hangs.
> (default: true) (bool)"
> 
> which actually describes the symptoms. Could it be that in the
> Debian-kernel either the hangs are not detected securely, or that it
> just fails to reset the module?
> 
> /Ingo

Hi guys,

Well I have the same issue on my Ivybridge system:

$ lspci -nnv | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])

$ cat /var/log/Xorg.0.log | grep "Graphics Chipset"
[…]
[     8.388] (II) intel(0): Integrated Graphics Chipset: Intel(R) Ivybridge Mobile (GT2)

On my system I observed this behavior:

Debian 3.2.35-2: random hangs (at least one per day)
Upstream 3.2.37: random hangs (at least one per day)
Upstream 3.3-rc1+: no hangs (tested for 2 weeks)

So that seems to be close to Riku's experience.

Anyway what strikes me a bell is the last Ingo's comment about 'enable_hangcheck' module parameter 
which was introduced in v3.1-rc1:

$ git tag --contains 6e96e7757a01
v3.1-rc1
[…]
v3.8-rc4

So I peeked about what kind of "hangcheck" changes could have been introduced in v3.3-rc1
and I found an interesting patch:

commit e6bfaf854272ec4641a9ef7b1cb1ca963031ba95
drm/i915: don't bail out of intel_wait_ring_buffer too early

The commit message is particularly interesting!

I'll give it a try but if someone could beat me to it that would be cool (ULV CPU here).

Cheers,
Vincent


PS: Also, could you give a try to Julien Cristau's kernel images with DRM/KMS subsystem backported from 3.4
which might hit Wheezy?
http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32
(There are i686 and i486 flavours if you want)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 20 Jan 2013 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Jan 2013 19:03:03 GMT) Full text and rfc822 format available.

Message #432 received at 689268@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 689268@bugs.debian.org
Cc: ingo.steiner@gmx.net, riku.voipio@iki.fi, jrnieder@gmail.com, per@foreby.se
Subject: Re: Bug#689268: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Sun, 20 Jan 2013 19:58:09 +0100
Le samedi 19 janvier 2013 à 19:23 +0100, Vincent Blut a écrit :
> > Am 10.01.2013 09:39, schrieb Riku Voipio:
> > 
> > > getting hangs on anything other than the Debian 3.2.32-1 has
> > > been challenging. If if's just timing based, I might just have
> > > been lucky during my bisects.
> > 
> > Here vanilla 3.4.24 from kernel.org runs absolutely stable since a few
> > weeks. But me came up another idea:
> > 
> > 'modinfo i916' list an option which appears to be a watchdog function:
> > 
> > "parm:           enable_hangcheck:Periodically check GPU activity for
> > detecting hangs. WARNING: Disabling this can cause system wide hangs.
> > (default: true) (bool)"
> > 
> > which actually describes the symptoms. Could it be that in the
> > Debian-kernel either the hangs are not detected securely, or that it
> > just fails to reset the module?
> > 
> > /Ingo
> 
> Hi guys,
> 
> Well I have the same issue on my Ivybridge system:
> 
> $ lspci -nnv | grep VGA
> 00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
> 
> $ cat /var/log/Xorg.0.log | grep "Graphics Chipset"
> […]
> [     8.388] (II) intel(0): Integrated Graphics Chipset: Intel(R) Ivybridge Mobile (GT2)
> 
> On my system I observed this behavior:
> 
> Debian 3.2.35-2: random hangs (at least one per day)
> Upstream 3.2.37: random hangs (at least one per day)
> Upstream 3.3-rc1+: no hangs (tested for 2 weeks)
> 
> So that seems to be close to Riku's experience.
> 
> Anyway what strikes me a bell is the last Ingo's comment about 'enable_hangcheck' module parameter 
> which was introduced in v3.1-rc1:
> 
> $ git tag --contains 6e96e7757a01
> v3.1-rc1
> […]
> v3.8-rc4
> 
> So I peeked about what kind of "hangcheck" changes could have been introduced in v3.3-rc1
> and I found an interesting patch:
> 
> commit e6bfaf854272ec4641a9ef7b1cb1ca963031ba95
> drm/i915: don't bail out of intel_wait_ring_buffer too early
> 
> The commit message is particularly interesting!
> 
> I'll give it a try but if someone could beat me to it that would be cool (ULV CPU here).

Unfortunately this commit has no positive effect! I got two freezes in
less than 15 minutes, so I set up an SSH connection in order to catch
some logs but after an uptime of 5h30 the system froze… the NIC too so
absolutely nothing useful to report :-(

> 
> Cheers,
> Vincent
> 
> 
> PS: Also, could you give a try to Julien Cristau's kernel images with DRM/KMS subsystem backported from 3.4
> which might hit Wheezy?
> http://people.debian.org/~jcristau/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
> sha1sum f6711fe6d0d924aab82ec82fe1a86102a69a8c32
> (There are i686 and i486 flavours if you want)
> 
> 






Severity set to 'important' from 'serious' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 26 Jan 2013 18:06:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 689268: 687442 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 26 Jan 2013 22:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sat, 26 Jan 2013 22:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 687442@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 26 Jan 2013 22:42:05 GMT) Full text and rfc822 format available.

Message #441 received at 689268@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ingo <ingo.steiner@gmx.net>
Cc: 689268-submitter@bugs.debian.org, 692234-submitter@bugs.debian.org, 692500-submitter@bugs.debian.org, 692862-submitter@bugs.debian.org, 689268@bugs.debian.org, 692500@bugs.debian.org, 692862@bugs.debian.org, 692234@bugs.debian.org
Subject: Re: Bug#692234: Processed: severity of 689268 is important
Date: Sat, 26 Jan 2013 22:37:55 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2013-01-26 at 19:48 +0100, Ingo wrote:
> Am 26.01.2013 19:06, schrieb Debian Bug Tracking System:
> > Processing commands for control@bugs.debian.org:
> > 
> >> severity 689268 important
> > Bug #689268 [src:linux] linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
> > Bug #692234 [src:linux] Intel DH77EB (H77): sporadic freeze and increased power consumption during interactive use
> > Bug #692500 [src:linux] [linux-image-amd64] system freezes with Ivy Brigde CPU
> > Bug #692862 [src:linux] linux-image-3.2.0-4-amd64: hangs with Intel i5-3210M CPU / Intel HD 4000 graphics
> > Severity set to 'important' from 'serious'
> > Severity set to 'important' from 'serious'
> > Severity set to 'important' from 'serious'
> > Severity set to 'important' from 'serious'
> >> thanks
> > Stopping processing here.
> > 
> > Please contact me if you need assistance.
> 
> 
> Does that really mean that this bug is going to be released with Wheezy?
> If yes, this means Wheezy should not be installed on Ivy-Bridge systems
> with HD4000.

I'm not going to insist that it's a blocker for the release though I
will be very disappointed if we don't fix it.  I think we will.

> Wouldn't it be a feasible alternative to accept kernel 3.4.x as an
> alternative in the repository (besides Wheezy's 3.2)? 3.4 is a long term
> kernel and well maintained by Greg K-H.. I am currently on 3.4.25 from
> kernel.org which is distributed by openSuse as well. It runs flawlessly
> on said hardware and does not show any incompatibilities with any
> Wheezy-component here.

We can't support two different kernel versions but we can potentially
update the DRM drivers to the versions in Linux 3.4.y.  This is covered
by bug #687442 which I've marked as blocking this bug.

Julien Cristau prepared some packages for testing before we make this
change.  Here's how you would install them with APT:

        gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --export 310180050905E40C | apt-key add -
        echo deb http://people.debian.org/~jcristau/wheezy-drm34/ ./ > /etc/apt/sources.list.d/jcristau-wheezy-drm34.list
        apt-get update
        apt-get install linux-image-3.2.0-4.drm-amd64  # or -486, or -686-pae

Please test and send your results (good or bad) to
687442@bugs.debian.org

> I did nort yet install 3.4.26 which appearently got a major backport of
> Intel's drm/i915 - 25 commits in total.

Most of those are bug fixes that we already had and that Julien
requested for 3.4.y.

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Per Foreby <per@foreby.se>:
Bug#689268. (Sat, 26 Jan 2013 22:42:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Sun, 27 Jan 2013 11:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 27 Jan 2013 11:21:07 GMT) Full text and rfc822 format available.

Message #449 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 687442@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 689268-submitter@bugs.debian.org, 692234-submitter@bugs.debian.org, 692500-submitter@bugs.debian.org, 692862-submitter@bugs.debian.org, 689268@bugs.debian.org, 692500@bugs.debian.org, 692862@bugs.debian.org, 692234@bugs.debian.org
Subject: Re: Bug#692234: Processed: severity of 689268 is important
Date: Sun, 27 Jan 2013 12:17:06 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 26.01.2013 23:37, schrieb Ben Hutchings:

> Julien Cristau prepared some packages for testing before we make
> this change.  Here's how you would install them with APT:
> 
> gpg --no-default-keyring --keyring
> /usr/share/keyrings/debian-keyring.gpg --export 310180050905E40C |
> apt-key add - echo deb
> http://people.debian.org/~jcristau/wheezy-drm34/ ./ >
> /etc/apt/sources.list.d/jcristau-wheezy-drm34.list apt-get update 
> apt-get install linux-image-3.2.0-4.drm-amd64  # or -486, or
> -686-pae
> 
> Please test and send your results (good or bad) to 
> 687442@bugs.debian.org


I already posted here several weeks ago:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692234#433
that I cannot test without the matching linux-header package! This
headers are still missing in his repo. I'll test as soon as headers
are available - please let me know.

/Ingo
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAlEFDI8ACgkQx2YcFfrwLxMAUACfQ/9YomlVoJk1V1+YBfrMo+Op
AckAnA1XiU/xGlRnoT+LV3cGhOtpK6XV
=I+mX
-----END PGP SIGNATURE-----



Message sent on to Per Foreby <per@foreby.se>:
Bug#689268. (Sun, 27 Jan 2013 11:21:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Mon, 28 Jan 2013 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to noreply@example.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Jan 2013 13:03:06 GMT) Full text and rfc822 format available.

Message #457 received at 689268@bugs.debian.org (full text, mbox):

From: noreply@example.com
To: 689268@bugs.debian.org
Cc: 687442@bugs.debian.org
Subject: My testresult so far
Date: Mon, 28 Jan 2013 13:49:51 +0100
[Message part 1 (text/plain, inline)]
self-compiled version of 
http://people.debian.org/~jcristau/wheezy-drm34/
with headers

uptime 1day 11 hours (24 hours running)

tested:
Intel(R) Core(TM) i5-3450
Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
7 Series/C210 Series Chipset Family High Definition Audio Controller
RTL8111/8168B PCI Express Gigabit Ethernet controller


video-out: DVI OK
multiple suspend-resume cycles OK
virtualbox up/downs OK
audio OK
network OK

no freezes 

probably unrelated problems: 
1x no response to clicks of external mouse for 15+ sec. 
    (psmouse serio1: logips2pp)

will report back on problems
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 30 Jan 2013 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael@kontesti.me>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Jan 2013 02:15:03 GMT) Full text and rfc822 format available.

Message #462 received at 689268@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael@kontesti.me>
To: 689268@bugs.debian.org
Subject: Re: linux-image-3.2.0-3-amd64: Intel HD 4000 (Ivy Bridge) graphics freeze
Date: Wed, 30 Jan 2013 02:05:00 +0000
I had a similar issue as described in this bug. I recently installed debian
wheezy on a thinkpad x230. As far as I know I use the same i915 module. I'm
using amd64 system and my cpu is "Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz"

My system would freeze sometimes. When it did, I wasn't able to move the mouse,
write or anything. Trying to access through ssh didn't work either. My only
alternative was to forcebly restart the system. When the system was back up
there was no error log on /var/log/syslog, /var/log/dmesg or /var/log/kern.log.
It didn't write anything it wouldn't normally write other times on the moment of
the freeze.

I installed linux 3.7 from experimental and my computer has not frozen since.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Tue, 05 Feb 2013 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Wagner <wagdav@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 05 Feb 2013 21:09:05 GMT) Full text and rfc822 format available.

Message #467 received at 689268@bugs.debian.org (full text, mbox):

From: David Wagner <wagdav@gmail.com>
To: 687442@bugs.debian.org
Cc: 689268@bugs.debian.org
Subject: Success with 3.2.0-4.drm-amd64 / Thinkpad X230
Date: Tue, 5 Feb 2013 22:04:52 +0100
Hello,

3 days without any hangs with (before it would freeze many times a day):
http://people.debian.org/~jcristau/wheezy-drm34/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb

Wheezy
Thinkpad X230
Core i5-3320M (2.60GHz)
Intel HD Graphics 4000

Thanks for the fix!
david



Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 06 Feb 2013 03:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 07 Feb 2013 19:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ingo <ingo.steiner@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Feb 2013 19:15:07 GMT) Full text and rfc822 format available.

Message #474 received at 689268@bugs.debian.org (full text, mbox):

From: Ingo <ingo.steiner@gmx.net>
To: 687442@bugs.debian.org, 692234@bugs.debian.org, 689268@bugs.debian.org
Subject: Success with linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
Date: Thu, 07 Feb 2013 20:11:22 +0100
I now tested Julien's kernel
(http://people.debian.org/~jcristau/wheezy-drm34/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb)
with
DRM/KMS subsystem backported from 3.4, thoroughly. For 12 days it ran
absolutely smoothly without any freezes!

I did stress it in many ways, but did not observe any glitches. So this
kernel fixes bug #692234 and merged bugs 689268, ... for me.

My hardware in short form:

Ivy Bridge i5-3570k with
HD4000 graphics (no external cards), display connected to Display-Port
Intel DH77EB MoBo

All standard Wheezy-kernels up to 3.2.35 exhibited regular hard freezes
- sometimes more than once a day with power consumption some 30 watts up.

Juliens kernel for sure is an excellent alternative to using vanilla 3.4
kernel which also does the job. If Julien's fix/patches is ported to
Wheezy's kernel, please drop a short note here, so I can switch back to
standard Wheezy-kernel without beeing scared for my hardware.

Ingo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Thu, 07 Feb 2013 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Feb 2013 19:27:05 GMT) Full text and rfc822 format available.

Message #479 received at 689268@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Ingo <ingo.steiner@gmx.net>, 687442@bugs.debian.org
Cc: 692234@bugs.debian.org, 689268@bugs.debian.org
Subject: Re: Bug#687442: Success with linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb
Date: Thu, 07 Feb 2013 20:23:02 +0100
Le jeudi 07 février 2013 à 20:11 +0100, Ingo a écrit :
> I now tested Julien's kernel
> (http://people.debian.org/~jcristau/wheezy-drm34/linux-image-3.2.0-4.drm-amd64_3.2.35-3~jcristau.1_amd64.deb)
> with
> DRM/KMS subsystem backported from 3.4, thoroughly. For 12 days it ran
> absolutely smoothly without any freezes!
> 
> I did stress it in many ways, but did not observe any glitches. So this
> kernel fixes bug #692234 and merged bugs 689268, ... for me.
> 
> My hardware in short form:
> 
> Ivy Bridge i5-3570k with
> HD4000 graphics (no external cards), display connected to Display-Port
> Intel DH77EB MoBo
> 
> All standard Wheezy-kernels up to 3.2.35 exhibited regular hard freezes
> - sometimes more than once a day with power consumption some 30 watts up.
> 
> Juliens kernel for sure is an excellent alternative to using vanilla 3.4
> kernel which also does the job. If Julien's fix/patches is ported to
> Wheezy's kernel, please drop a short note here, so I can switch back to
> standard Wheezy-kernel without beeing scared for my hardware.
> 
> Ingo
> 
> 

Hi,

I don't want to talk on behalf of the kernel team, but the bug is marked
as 'pending' so it should make its way in Wheezy ;-)

Cheers,
Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689268; Package src:linux. (Wed, 13 Feb 2013 09:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebseb01 <debian@sebseb01.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Feb 2013 09:45:06 GMT) Full text and rfc822 format available.

Message #484 received at 689268@bugs.debian.org (full text, mbox):

From: Sebseb01 <debian@sebseb01.net>
To: 692234@bugs.debian.org, 689268@bugs.debian.org
Subject: Success with 3.2.0-4.drm-amd64
Date: Wed, 13 Feb 2013 10:42:05 +0100
[Message part 1 (text/plain, inline)]
I use this kernel with success (or without freeze) since 3 days.

On my computer :
ASUSTeK P8H77-M
Intel(R) Core(TM) i7-3770
Intel HD4000

Thanks !!
-------
Sebseb01
[Message part 2 (text/html, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 25 Feb 2013 05:09:20 GMT) Full text and rfc822 format available.

Notification sent to Per Foreby <per@foreby.se>:
Bug acknowledged by developer. (Mon, 25 Feb 2013 05:09:20 GMT) Full text and rfc822 format available.

Message #489 received at 689268-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 689268-close@bugs.debian.org
Subject: Bug#689268: fixed in linux 3.2.39-1
Date: Mon, 25 Feb 2013 05:04:55 +0000
Source: linux
Source-Version: 3.2.39-1

We believe that the bug you reported is fixed in the latest version of
linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689268@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 25 Feb 2013 00:36:51 +0000
Source: linux
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-support-3.2.0-4 linux-libc-dev linux-headers-3.2.0-4-all linux-headers-3.2.0-4-all-alpha linux-headers-3.2.0-4-common linux-image-3.2.0-4-alpha-generic linux-headers-3.2.0-4-alpha-generic linux-image-3.2.0-4-alpha-smp linux-headers-3.2.0-4-alpha-smp linux-image-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-all-amd64 kernel-image-3.2.0-4-amd64-di nic-modules-3.2.0-4-amd64-di nic-extra-modules-3.2.0-4-amd64-di nic-wireless-modules-3.2.0-4-amd64-di nic-shared-modules-3.2.0-4-amd64-di serial-modules-3.2.0-4-amd64-di usb-serial-modules-3.2.0-4-amd64-di ppp-modules-3.2.0-4-amd64-di pata-modules-3.2.0-4-amd64-di cdrom-core-modules-3.2.0-4-amd64-di firewire-core-modules-3.2.0-4-amd64-di scsi-core-modules-3.2.0-4-amd64-di scsi-modules-3.2.0-4-amd64-di scsi-common-modules-3.2.0-4-amd64-di scsi-extra-modules-3.2.0-4-amd64-di plip-modules-3.2.0-4-amd64-di floppy-modules-3.2.0-4-amd64-di
 loop-modules-3.2.0-4-amd64-di btrfs-modules-3.2.0-4-amd64-di ext2-modules-3.2.0-4-amd64-di ext3-modules-3.2.0-4-amd64-di ext4-modules-3.2.0-4-amd64-di isofs-modules-3.2.0-4-amd64-di jfs-modules-3.2.0-4-amd64-di ntfs-modules-3.2.0-4-amd64-di reiserfs-modules-3.2.0-4-amd64-di xfs-modules-3.2.0-4-amd64-di fat-modules-3.2.0-4-amd64-di ufs-modules-3.2.0-4-amd64-di qnx4-modules-3.2.0-4-amd64-di md-modules-3.2.0-4-amd64-di multipath-modules-3.2.0-4-amd64-di usb-modules-3.2.0-4-amd64-di usb-storage-modules-3.2.0-4-amd64-di pcmcia-storage-modules-3.2.0-4-amd64-di fb-modules-3.2.0-4-amd64-di input-modules-3.2.0-4-amd64-di event-modules-3.2.0-4-amd64-di mouse-modules-3.2.0-4-amd64-di irda-modules-3.2.0-4-amd64-di parport-modules-3.2.0-4-amd64-di nic-pcmcia-modules-3.2.0-4-amd64-di pcmcia-modules-3.2.0-4-amd64-di nic-usb-modules-3.2.0-4-amd64-di sata-modules-3.2.0-4-amd64-di core-modules-3.2.0-4-amd64-di acpi-modules-3.2.0-4-amd64-di i2c-modules-3.2.0-4-amd64-di
 crc-modules-3.2.0-4-amd64-di crypto-modules-3.2.0-4-amd64-di crypto-dm-modules-3.2.0-4-amd64-di efi-modules-3.2.0-4-amd64-di ata-modules-3.2.0-4-amd64-di mmc-core-modules-3.2.0-4-amd64-di mmc-modules-3.2.0-4-amd64-di nbd-modules-3.2.0-4-amd64-di squashfs-modules-3.2.0-4-amd64-di speakup-modules-3.2.0-4-amd64-di virtio-modules-3.2.0-4-amd64-di uinput-modules-3.2.0-4-amd64-di sound-modules-3.2.0-4-amd64-di zlib-modules-3.2.0-4-amd64-di hyperv-modules-3.2.0-4-amd64-di udf-modules-3.2.0-4-amd64-di fuse-modules-3.2.0-4-amd64-di linux-image-3.2.0-4-amd64 linux-headers-3.2.0-4-amd64 linux-image-3.2.0-4-amd64-dbg xen-linux-system-3.2.0-4-amd64 linux-headers-3.2.0-4-common-rt linux-image-3.2.0-4-rt-amd64 linux-headers-3.2.0-4-rt-amd64 linux-image-3.2.0-4-rt-amd64-dbg linux-headers-3.2.0-4-all-armel kernel-image-3.2.0-4-iop32x-di nic-modules-3.2.0-4-iop32x-di nic-shared-modules-3.2.0-4-iop32x-di usb-serial-modules-3.2.0-4-iop32x-di ppp-modules-3.2.0-4-iop32x-di
 pata-modules-3.2.0-4-iop32x-di cdrom-core-modules-3.2.0-4-iop32x-di scsi-core-modules-3.2.0-4-iop32x-di loop-modules-3.2.0-4-iop32x-di ipv6-modules-3.2.0-4-iop32x-di btrfs-modules-3.2.0-4-iop32x-di ext2-modules-3.2.0-4-iop32x-di ext3-modules-3.2.0-4-iop32x-di ext4-modules-3.2.0-4-iop32x-di isofs-modules-3.2.0-4-iop32x-di jffs2-modules-3.2.0-4-iop32x-di jfs-modules-3.2.0-4-iop32x-di reiserfs-modules-3.2.0-4-iop32x-di fat-modules-3.2.0-4-iop32x-di md-modules-3.2.0-4-iop32x-di multipath-modules-3.2.0-4-iop32x-di usb-modules-3.2.0-4-iop32x-di usb-storage-modules-3.2.0-4-iop32x-di event-modules-3.2.0-4-iop32x-di nic-usb-modules-3.2.0-4-iop32x-di sata-modules-3.2.0-4-iop32x-di core-modules-3.2.0-4-iop32x-di crc-modules-3.2.0-4-iop32x-di crypto-modules-3.2.0-4-iop32x-di crypto-dm-modules-3.2.0-4-iop32x-di ata-modules-3.2.0-4-iop32x-di nbd-modules-3.2.0-4-iop32x-di squashfs-modules-3.2.0-4-iop32x-di zlib-modules-3.2.0-4-iop32x-di udf-modules-3.2.0-4-iop32x-di
 fuse-modules-3.2.0-4-iop32x-di kernel-image-3.2.0-4-kirkwood-di nic-modules-3.2.0-4-kirkwood-di nic-shared-modules-3.2.0-4-kirkwood-di usb-serial-modules-3.2.0-4-kirkwood-di ppp-modules-3.2.0-4-kirkwood-di cdrom-core-modules-3.2.0-4-kirkwood-di scsi-core-modules-3.2.0-4-kirkwood-di loop-modules-3.2.0-4-kirkwood-di ipv6-modules-3.2.0-4-kirkwood-di btrfs-modules-3.2.0-4-kirkwood-di ext2-modules-3.2.0-4-kirkwood-di ext3-modules-3.2.0-4-kirkwood-di ext4-modules-3.2.0-4-kirkwood-di isofs-modules-3.2.0-4-kirkwood-di jfs-modules-3.2.0-4-kirkwood-di reiserfs-modules-3.2.0-4-kirkwood-di fat-modules-3.2.0-4-kirkwood-di minix-modules-3.2.0-4-kirkwood-di md-modules-3.2.0-4-kirkwood-di multipath-modules-3.2.0-4-kirkwood-di usb-modules-3.2.0-4-kirkwood-di usb-storage-modules-3.2.0-4-kirkwood-di fb-modules-3.2.0-4-kirkwood-di input-modules-3.2.0-4-kirkwood-di event-modules-3.2.0-4-kirkwood-di mouse-modules-3.2.0-4-kirkwood-di nic-usb-modules-3.2.0-4-kirkwood-di
 sata-modules-3.2.0-4-kirkwood-di core-modules-3.2.0-4-kirkwood-di crc-modules-3.2.0-4-kirkwood-di crypto-modules-3.2.0-4-kirkwood-di crypto-dm-modules-3.2.0-4-kirkwood-di mmc-modules-3.2.0-4-kirkwood-di nbd-modules-3.2.0-4-kirkwood-di squashfs-modules-3.2.0-4-kirkwood-di uinput-modules-3.2.0-4-kirkwood-di leds-modules-3.2.0-4-kirkwood-di udf-modules-3.2.0-4-kirkwood-di fuse-modules-3.2.0-4-kirkwood-di kernel-image-3.2.0-4-orion5x-di nic-modules-3.2.0-4-orion5x-di nic-shared-modules-3.2.0-4-orion5x-di usb-serial-modules-3.2.0-4-orion5x-di ppp-modules-3.2.0-4-orion5x-di cdrom-core-modules-3.2.0-4-orion5x-di scsi-core-modules-3.2.0-4-orion5x-di loop-modules-3.2.0-4-orion5x-di ipv6-modules-3.2.0-4-orion5x-di btrfs-modules-3.2.0-4-orion5x-di ext2-modules-3.2.0-4-orion5x-di ext3-modules-3.2.0-4-orion5x-di ext4-modules-3.2.0-4-orion5x-di isofs-modules-3.2.0-4-orion5x-di jffs2-modules-3.2.0-4-orion5x-di jfs-modules-3.2.0-4-orion5x-di reiserfs-modules-3.2.0-4-orion5x-di
 fat-modules-3.2.0-4-orion5x-di minix-modules-3.2.0-4-orion5x-di md-modules-3.2.0-4-orion5x-di multipath-modules-3.2.0-4-orion5x-di usb-modules-3.2.0-4-orion5x-di usb-storage-modules-3.2.0-4-orion5x-di event-modules-3.2.0-4-orion5x-di nic-usb-modules-3.2.0-4-orion5x-di sata-modules-3.2.0-4-orion5x-di core-modules-3.2.0-4-orion5x-di crc-modules-3.2.0-4-orion5x-di crypto-modules-3.2.0-4-orion5x-di crypto-dm-modules-3.2.0-4-orion5x-di nbd-modules-3.2.0-4-orion5x-di squashfs-modules-3.2.0-4-orion5x-di zlib-modules-3.2.0-4-orion5x-di udf-modules-3.2.0-4-orion5x-di fuse-modules-3.2.0-4-orion5x-di kernel-image-3.2.0-4-versatile-di nic-modules-3.2.0-4-versatile-di nic-shared-modules-3.2.0-4-versatile-di usb-serial-modules-3.2.0-4-versatile-di ppp-modules-3.2.0-4-versatile-di cdrom-core-modules-3.2.0-4-versatile-di scsi-core-modules-3.2.0-4-versatile-di scsi-common-modules-3.2.0-4-versatile-di loop-modules-3.2.0-4-versatile-di ipv6-modules-3.2.0-4-versatile-di
 btrfs-modules-3.2.0-4-versatile-di ext2-modules-3.2.0-4-versatile-di ext3-modules-3.2.0-4-versatile-di ext4-modules-3.2.0-4-versatile-di isofs-modules-3.2.0-4-versatile-di reiserfs-modules-3.2.0-4-versatile-di fat-modules-3.2.0-4-versatile-di md-modules-3.2.0-4-versatile-di multipath-modules-3.2.0-4-versatile-di usb-modules-3.2.0-4-versatile-di usb-storage-modules-3.2.0-4-versatile-di nic-usb-modules-3.2.0-4-versatile-di sata-modules-3.2.0-4-versatile-di core-modules-3.2.0-4-versatile-di crc-modules-3.2.0-4-versatile-di crypto-modules-3.2.0-4-versatile-di crypto-dm-modules-3.2.0-4-versatile-di nbd-modules-3.2.0-4-versatile-di squashfs-modules-3.2.0-4-versatile-di virtio-modules-3.2.0-4-versatile-di zlib-modules-3.2.0-4-versatile-di udf-modules-3.2.0-4-versatile-di fuse-modules-3.2.0-4-versatile-di linux-image-3.2.0-4-iop32x linux-headers-3.2.0-4-iop32x linux-image-3.2.0-4-ixp4xx linux-headers-3.2.0-4-ixp4xx linux-image-3.2.0-4-kirkwood linux-headers-3.2.0-4-kirkwood
 linux-image-3.2.0-4-mv78xx0 linux-headers-3.2.0-4-mv78xx0 linux-image-3.2.0-4-orion5x linux-headers-3.2.0-4-orion5x linux-image-3.2.0-4-versatile linux-headers-3.2.0-4-versatile linux-headers-3.2.0-4-all-armhf kernel-image-3.2.0-4-mx5-di nic-wireless-modules-3.2.0-4-mx5-di nic-shared-modules-3.2.0-4-mx5-di pata-modules-3.2.0-4-mx5-di scsi-core-modules-3.2.0-4-mx5-di loop-modules-3.2.0-4-mx5-di ipv6-modules-3.2.0-4-mx5-di btrfs-modules-3.2.0-4-mx5-di ext2-modules-3.2.0-4-mx5-di ext3-modules-3.2.0-4-mx5-di ext4-modules-3.2.0-4-mx5-di isofs-modules-3.2.0-4-mx5-di jfs-modules-3.2.0-4-mx5-di reiserfs-modules-3.2.0-4-mx5-di fat-modules-3.2.0-4-mx5-di minix-modules-3.2.0-4-mx5-di md-modules-3.2.0-4-mx5-di multipath-modules-3.2.0-4-mx5-di usb-storage-modules-3.2.0-4-mx5-di input-modules-3.2.0-4-mx5-di nic-usb-modules-3.2.0-4-mx5-di sata-modules-3.2.0-4-mx5-di core-modules-3.2.0-4-mx5-di crc-modules-3.2.0-4-mx5-di crypto-modules-3.2.0-4-mx5-di
 crypto-dm-modules-3.2.0-4-mx5-di ata-modules-3.2.0-4-mx5-di mmc-modules-3.2.0-4-mx5-di nbd-modules-3.2.0-4-mx5-di squashfs-modules-3.2.0-4-mx5-di uinput-modules-3.2.0-4-mx5-di udf-modules-3.2.0-4-mx5-di fuse-modules-3.2.0-4-mx5-di mtd-modules-3.2.0-4-mx5-di kernel-image-3.2.0-4-vexpress-di nic-modules-3.2.0-4-vexpress-di nic-wireless-modules-3.2.0-4-vexpress-di nic-shared-modules-3.2.0-4-vexpress-di scsi-core-modules-3.2.0-4-vexpress-di loop-modules-3.2.0-4-vexpress-di ipv6-modules-3.2.0-4-vexpress-di btrfs-modules-3.2.0-4-vexpress-di ext2-modules-3.2.0-4-vexpress-di ext3-modules-3.2.0-4-vexpress-di ext4-modules-3.2.0-4-vexpress-di isofs-modules-3.2.0-4-vexpress-di jfs-modules-3.2.0-4-vexpress-di fat-modules-3.2.0-4-vexpress-di md-modules-3.2.0-4-vexpress-di multipath-modules-3.2.0-4-vexpress-di usb-modules-3.2.0-4-vexpress-di usb-storage-modules-3.2.0-4-vexpress-di input-modules-3.2.0-4-vexpress-di nic-usb-modules-3.2.0-4-vexpress-di
 core-modules-3.2.0-4-vexpress-di crc-modules-3.2.0-4-vexpress-di crypto-modules-3.2.0-4-vexpress-di crypto-dm-modules-3.2.0-4-vexpress-di mmc-modules-3.2.0-4-vexpress-di nbd-modules-3.2.0-4-vexpress-di squashfs-modules-3.2.0-4-vexpress-di uinput-modules-3.2.0-4-vexpress-di udf-modules-3.2.0-4-vexpress-di fuse-modules-3.2.0-4-vexpress-di linux-image-3.2.0-4-mx5 linux-headers-3.2.0-4-mx5 linux-image-3.2.0-4-omap linux-headers-3.2.0-4-omap linux-image-3.2.0-4-vexpress linux-headers-3.2.0-4-vexpress linux-headers-3.2.0-4-all-hppa kernel-image-3.2.0-4-parisc-di nic-modules-3.2.0-4-parisc-di ppp-modules-3.2.0-4-parisc-di pata-modules-3.2.0-4-parisc-di cdrom-core-modules-3.2.0-4-parisc-di scsi-core-modules-3.2.0-4-parisc-di scsi-modules-3.2.0-4-parisc-di loop-modules-3.2.0-4-parisc-di ipv6-modules-3.2.0-4-parisc-di btrfs-modules-3.2.0-4-parisc-di ext3-modules-3.2.0-4-parisc-di ext4-modules-3.2.0-4-parisc-di fat-modules-3.2.0-4-parisc-di md-modules-3.2.0-4-parisc-di
 multipath-modules-3.2.0-4-parisc-di usb-modules-3.2.0-4-parisc-di usb-storage-modules-3.2.0-4-parisc-di input-modules-3.2.0-4-parisc-di crypto-modules-3.2.0-4-parisc-di crypto-dm-modules-3.2.0-4-parisc-di nbd-modules-3.2.0-4-parisc-di zlib-modules-3.2.0-4-parisc-di fuse-modules-3.2.0-4-parisc-di kernel-image-3.2.0-4-parisc64-di nic-modules-3.2.0-4-parisc64-di ppp-modules-3.2.0-4-parisc64-di pata-modules-3.2.0-4-parisc64-di cdrom-core-modules-3.2.0-4-parisc64-di scsi-core-modules-3.2.0-4-parisc64-di scsi-modules-3.2.0-4-parisc64-di loop-modules-3.2.0-4-parisc64-di ipv6-modules-3.2.0-4-parisc64-di btrfs-modules-3.2.0-4-parisc64-di ext3-modules-3.2.0-4-parisc64-di ext4-modules-3.2.0-4-parisc64-di fat-modules-3.2.0-4-parisc64-di md-modules-3.2.0-4-parisc64-di multipath-modules-3.2.0-4-parisc64-di usb-modules-3.2.0-4-parisc64-di usb-storage-modules-3.2.0-4-parisc64-di input-modules-3.2.0-4-parisc64-di crypto-modules-3.2.0-4-parisc64-di
 crypto-dm-modules-3.2.0-4-parisc64-di nbd-modules-3.2.0-4-parisc64-di zlib-modules-3.2.0-4-parisc64-di fuse-modules-3.2.0-4-parisc64-di linux-image-3.2.0-4-parisc linux-headers-3.2.0-4-parisc linux-image-3.2.0-4-parisc-smp linux-headers-3.2.0-4-parisc-smp linux-image-3.2.0-4-parisc64 linux-headers-3.2.0-4-parisc64 linux-image-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-all-i386 kernel-image-3.2.0-4-486-di nic-modules-3.2.0-4-486-di nic-extra-modules-3.2.0-4-486-di nic-wireless-modules-3.2.0-4-486-di nic-shared-modules-3.2.0-4-486-di serial-modules-3.2.0-4-486-di usb-serial-modules-3.2.0-4-486-di ppp-modules-3.2.0-4-486-di pata-modules-3.2.0-4-486-di cdrom-core-modules-3.2.0-4-486-di firewire-core-modules-3.2.0-4-486-di scsi-core-modules-3.2.0-4-486-di scsi-modules-3.2.0-4-486-di scsi-common-modules-3.2.0-4-486-di scsi-extra-modules-3.2.0-4-486-di plip-modules-3.2.0-4-486-di floppy-modules-3.2.0-4-486-di loop-modules-3.2.0-4-486-di
 btrfs-modules-3.2.0-4-486-di ext2-modules-3.2.0-4-486-di ext3-modules-3.2.0-4-486-di ext4-modules-3.2.0-4-486-di isofs-modules-3.2.0-4-486-di jfs-modules-3.2.0-4-486-di ntfs-modules-3.2.0-4-486-di reiserfs-modules-3.2.0-4-486-di xfs-modules-3.2.0-4-486-di fat-modules-3.2.0-4-486-di ufs-modules-3.2.0-4-486-di qnx4-modules-3.2.0-4-486-di md-modules-3.2.0-4-486-di multipath-modules-3.2.0-4-486-di usb-modules-3.2.0-4-486-di usb-storage-modules-3.2.0-4-486-di pcmcia-storage-modules-3.2.0-4-486-di fb-modules-3.2.0-4-486-di input-modules-3.2.0-4-486-di event-modules-3.2.0-4-486-di mouse-modules-3.2.0-4-486-di irda-modules-3.2.0-4-486-di parport-modules-3.2.0-4-486-di nic-pcmcia-modules-3.2.0-4-486-di pcmcia-modules-3.2.0-4-486-di nic-usb-modules-3.2.0-4-486-di sata-modules-3.2.0-4-486-di core-modules-3.2.0-4-486-di acpi-modules-3.2.0-4-486-di i2c-modules-3.2.0-4-486-di crc-modules-3.2.0-4-486-di crypto-modules-3.2.0-4-486-di crypto-dm-modules-3.2.0-4-486-di
 efi-modules-3.2.0-4-486-di ata-modules-3.2.0-4-486-di mmc-core-modules-3.2.0-4-486-di mmc-modules-3.2.0-4-486-di nbd-modules-3.2.0-4-486-di squashfs-modules-3.2.0-4-486-di speakup-modules-3.2.0-4-486-di virtio-modules-3.2.0-4-486-di uinput-modules-3.2.0-4-486-di sound-modules-3.2.0-4-486-di zlib-modules-3.2.0-4-486-di hyperv-modules-3.2.0-4-486-di udf-modules-3.2.0-4-486-di fuse-modules-3.2.0-4-486-di kernel-image-3.2.0-4-686-pae-di nic-modules-3.2.0-4-686-pae-di nic-extra-modules-3.2.0-4-686-pae-di nic-wireless-modules-3.2.0-4-686-pae-di nic-shared-modules-3.2.0-4-686-pae-di serial-modules-3.2.0-4-686-pae-di usb-serial-modules-3.2.0-4-686-pae-di ppp-modules-3.2.0-4-686-pae-di pata-modules-3.2.0-4-686-pae-di cdrom-core-modules-3.2.0-4-686-pae-di firewire-core-modules-3.2.0-4-686-pae-di scsi-core-modules-3.2.0-4-686-pae-di scsi-modules-3.2.0-4-686-pae-di scsi-common-modules-3.2.0-4-686-pae-di scsi-extra-modules-3.2.0-4-686-pae-di plip-modules-3.2.0-4-686-pae-di
 floppy-modules-3.2.0-4-686-pae-di loop-modules-3.2.0-4-686-pae-di btrfs-modules-3.2.0-4-686-pae-di ext2-modules-3.2.0-4-686-pae-di ext3-modules-3.2.0-4-686-pae-di ext4-modules-3.2.0-4-686-pae-di isofs-modules-3.2.0-4-686-pae-di jfs-modules-3.2.0-4-686-pae-di ntfs-modules-3.2.0-4-686-pae-di reiserfs-modules-3.2.0-4-686-pae-di xfs-modules-3.2.0-4-686-pae-di fat-modules-3.2.0-4-686-pae-di ufs-modules-3.2.0-4-686-pae-di qnx4-modules-3.2.0-4-686-pae-di md-modules-3.2.0-4-686-pae-di multipath-modules-3.2.0-4-686-pae-di usb-modules-3.2.0-4-686-pae-di usb-storage-modules-3.2.0-4-686-pae-di pcmcia-storage-modules-3.2.0-4-686-pae-di fb-modules-3.2.0-4-686-pae-di input-modules-3.2.0-4-686-pae-di event-modules-3.2.0-4-686-pae-di mouse-modules-3.2.0-4-686-pae-di irda-modules-3.2.0-4-686-pae-di parport-modules-3.2.0-4-686-pae-di nic-pcmcia-modules-3.2.0-4-686-pae-di pcmcia-modules-3.2.0-4-686-pae-di nic-usb-modules-3.2.0-4-686-pae-di sata-modules-3.2.0-4-686-pae-di
 core-modules-3.2.0-4-686-pae-di acpi-modules-3.2.0-4-686-pae-di i2c-modules-3.2.0-4-686-pae-di crc-modules-3.2.0-4-686-pae-di crypto-modules-3.2.0-4-686-pae-di crypto-dm-modules-3.2.0-4-686-pae-di efi-modules-3.2.0-4-686-pae-di ata-modules-3.2.0-4-686-pae-di mmc-core-modules-3.2.0-4-686-pae-di mmc-modules-3.2.0-4-686-pae-di nbd-modules-3.2.0-4-686-pae-di squashfs-modules-3.2.0-4-686-pae-di speakup-modules-3.2.0-4-686-pae-di virtio-modules-3.2.0-4-686-pae-di uinput-modules-3.2.0-4-686-pae-di sound-modules-3.2.0-4-686-pae-di zlib-modules-3.2.0-4-686-pae-di hyperv-modules-3.2.0-4-686-pae-di udf-modules-3.2.0-4-686-pae-di fuse-modules-3.2.0-4-686-pae-di linux-image-3.2.0-4-486 linux-headers-3.2.0-4-486 linux-image-3.2.0-4-686-pae linux-headers-3.2.0-4-686-pae linux-image-3.2.0-4-686-pae-dbg xen-linux-system-3.2.0-4-686-pae linux-image-3.2.0-4-rt-686-pae linux-headers-3.2.0-4-rt-686-pae linux-image-3.2.0-4-rt-686-pae-dbg linux-headers-3.2.0-4-all-ia64
 kernel-image-3.2.0-4-itanium-di nic-modules-3.2.0-4-itanium-di nic-shared-modules-3.2.0-4-itanium-di serial-modules-3.2.0-4-itanium-di ppp-modules-3.2.0-4-itanium-di ide-modules-3.2.0-4-itanium-di pata-modules-3.2.0-4-itanium-di ide-core-modules-3.2.0-4-itanium-di cdrom-core-modules-3.2.0-4-itanium-di firewire-core-modules-3.2.0-4-itanium-di scsi-core-modules-3.2.0-4-itanium-di scsi-modules-3.2.0-4-itanium-di plip-modules-3.2.0-4-itanium-di loop-modules-3.2.0-4-itanium-di btrfs-modules-3.2.0-4-itanium-di ext2-modules-3.2.0-4-itanium-di ext3-modules-3.2.0-4-itanium-di ext4-modules-3.2.0-4-itanium-di isofs-modules-3.2.0-4-itanium-di jfs-modules-3.2.0-4-itanium-di ntfs-modules-3.2.0-4-itanium-di reiserfs-modules-3.2.0-4-itanium-di xfs-modules-3.2.0-4-itanium-di fat-modules-3.2.0-4-itanium-di ufs-modules-3.2.0-4-itanium-di md-modules-3.2.0-4-itanium-di multipath-modules-3.2.0-4-itanium-di usb-modules-3.2.0-4-itanium-di usb-storage-modules-3.2.0-4-itanium-di
 fb-modules-3.2.0-4-itanium-di input-modules-3.2.0-4-itanium-di event-modules-3.2.0-4-itanium-di mouse-modules-3.2.0-4-itanium-di irda-modules-3.2.0-4-itanium-di parport-modules-3.2.0-4-itanium-di pcmcia-modules-3.2.0-4-itanium-di nic-usb-modules-3.2.0-4-itanium-di sata-modules-3.2.0-4-itanium-di core-modules-3.2.0-4-itanium-di crc-modules-3.2.0-4-itanium-di crypto-modules-3.2.0-4-itanium-di crypto-dm-modules-3.2.0-4-itanium-di efi-modules-3.2.0-4-itanium-di ata-modules-3.2.0-4-itanium-di nbd-modules-3.2.0-4-itanium-di squashfs-modules-3.2.0-4-itanium-di uinput-modules-3.2.0-4-itanium-di zlib-modules-3.2.0-4-itanium-di udf-modules-3.2.0-4-itanium-di fuse-modules-3.2.0-4-itanium-di sn-modules-3.2.0-4-itanium-di linux-image-3.2.0-4-itanium linux-headers-3.2.0-4-itanium linux-image-3.2.0-4-mckinley linux-headers-3.2.0-4-mckinley linux-headers-3.2.0-4-all-m68k kernel-image-3.2.0-4-amiga-di nic-shared-modules-3.2.0-4-amiga-di ppp-modules-3.2.0-4-amiga-di
 cdrom-core-modules-3.2.0-4-amiga-di scsi-modules-3.2.0-4-amiga-di ipv6-modules-3.2.0-4-amiga-di btrfs-modules-3.2.0-4-amiga-di isofs-modules-3.2.0-4-amiga-di jfs-modules-3.2.0-4-amiga-di reiserfs-modules-3.2.0-4-amiga-di fat-modules-3.2.0-4-amiga-di md-modules-3.2.0-4-amiga-di crypto-modules-3.2.0-4-amiga-di nbd-modules-3.2.0-4-amiga-di squashfs-modules-3.2.0-4-amiga-di zlib-modules-3.2.0-4-amiga-di udf-modules-3.2.0-4-amiga-di fuse-modules-3.2.0-4-amiga-di kernel-image-3.2.0-4-atari-di nic-shared-modules-3.2.0-4-atari-di ppp-modules-3.2.0-4-atari-di cdrom-core-modules-3.2.0-4-atari-di scsi-modules-3.2.0-4-atari-di ipv6-modules-3.2.0-4-atari-di btrfs-modules-3.2.0-4-atari-di isofs-modules-3.2.0-4-atari-di jfs-modules-3.2.0-4-atari-di reiserfs-modules-3.2.0-4-atari-di fat-modules-3.2.0-4-atari-di md-modules-3.2.0-4-atari-di crypto-modules-3.2.0-4-atari-di nbd-modules-3.2.0-4-atari-di squashfs-modules-3.2.0-4-atari-di zlib-modules-3.2.0-4-atari-di
 udf-modules-3.2.0-4-atari-di fuse-modules-3.2.0-4-atari-di kernel-image-3.2.0-4-mac-di nic-shared-modules-3.2.0-4-mac-di ppp-modules-3.2.0-4-mac-di cdrom-core-modules-3.2.0-4-mac-di scsi-modules-3.2.0-4-mac-di ipv6-modules-3.2.0-4-mac-di btrfs-modules-3.2.0-4-mac-di isofs-modules-3.2.0-4-mac-di jfs-modules-3.2.0-4-mac-di reiserfs-modules-3.2.0-4-mac-di fat-modules-3.2.0-4-mac-di md-modules-3.2.0-4-mac-di crypto-modules-3.2.0-4-mac-di nbd-modules-3.2.0-4-mac-di squashfs-modules-3.2.0-4-mac-di zlib-modules-3.2.0-4-mac-di udf-modules-3.2.0-4-mac-di fuse-modules-3.2.0-4-mac-di linux-image-3.2.0-4-amiga linux-headers-3.2.0-4-amiga linux-image-3.2.0-4-atari linux-headers-3.2.0-4-atari linux-image-3.2.0-4-bvme6000 linux-headers-3.2.0-4-bvme6000 linux-image-3.2.0-4-mac linux-headers-3.2.0-4-mac linux-image-3.2.0-4-mvme147 linux-headers-3.2.0-4-mvme147 linux-image-3.2.0-4-mvme16x linux-headers-3.2.0-4-mvme16x linux-headers-3.2.0-4-all-mips
 kernel-image-3.2.0-4-sb1-bcm91250a-di nic-shared-modules-3.2.0-4-sb1-bcm91250a-di ppp-modules-3.2.0-4-sb1-bcm91250a-di cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-modules-3.2.0-4-sb1-bcm91250a-di scsi-common-modules-3.2.0-4-sb1-bcm91250a-di loop-modules-3.2.0-4-sb1-bcm91250a-di ipv6-modules-3.2.0-4-sb1-bcm91250a-di btrfs-modules-3.2.0-4-sb1-bcm91250a-di isofs-modules-3.2.0-4-sb1-bcm91250a-di jfs-modules-3.2.0-4-sb1-bcm91250a-di reiserfs-modules-3.2.0-4-sb1-bcm91250a-di xfs-modules-3.2.0-4-sb1-bcm91250a-di fat-modules-3.2.0-4-sb1-bcm91250a-di md-modules-3.2.0-4-sb1-bcm91250a-di multipath-modules-3.2.0-4-sb1-bcm91250a-di usb-modules-3.2.0-4-sb1-bcm91250a-di usb-storage-modules-3.2.0-4-sb1-bcm91250a-di fb-modules-3.2.0-4-sb1-bcm91250a-di input-modules-3.2.0-4-sb1-bcm91250a-di sata-modules-3.2.0-4-sb1-bcm91250a-di crypto-modules-3.2.0-4-sb1-bcm91250a-di crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di
 nbd-modules-3.2.0-4-sb1-bcm91250a-di squashfs-modules-3.2.0-4-sb1-bcm91250a-di rtc-modules-3.2.0-4-sb1-bcm91250a-di zlib-modules-3.2.0-4-sb1-bcm91250a-di udf-modules-3.2.0-4-sb1-bcm91250a-di fuse-modules-3.2.0-4-sb1-bcm91250a-di kernel-image-3.2.0-4-r4k-ip22-di nic-shared-modules-3.2.0-4-r4k-ip22-di loop-modules-3.2.0-4-r4k-ip22-di ipv6-modules-3.2.0-4-r4k-ip22-di btrfs-modules-3.2.0-4-r4k-ip22-di isofs-modules-3.2.0-4-r4k-ip22-di jfs-modules-3.2.0-4-r4k-ip22-di reiserfs-modules-3.2.0-4-r4k-ip22-di xfs-modules-3.2.0-4-r4k-ip22-di md-modules-3.2.0-4-r4k-ip22-di multipath-modules-3.2.0-4-r4k-ip22-di crypto-modules-3.2.0-4-r4k-ip22-di crypto-dm-modules-3.2.0-4-r4k-ip22-di nbd-modules-3.2.0-4-r4k-ip22-di squashfs-modules-3.2.0-4-r4k-ip22-di zlib-modules-3.2.0-4-r4k-ip22-di udf-modules-3.2.0-4-r4k-ip22-di fuse-modules-3.2.0-4-r4k-ip22-di kernel-image-3.2.0-4-r5k-ip32-di nic-shared-modules-3.2.0-4-r5k-ip32-di loop-modules-3.2.0-4-r5k-ip32-di
 ipv6-modules-3.2.0-4-r5k-ip32-di btrfs-modules-3.2.0-4-r5k-ip32-di isofs-modules-3.2.0-4-r5k-ip32-di jfs-modules-3.2.0-4-r5k-ip32-di reiserfs-modules-3.2.0-4-r5k-ip32-di xfs-modules-3.2.0-4-r5k-ip32-di md-modules-3.2.0-4-r5k-ip32-di multipath-modules-3.2.0-4-r5k-ip32-di crypto-modules-3.2.0-4-r5k-ip32-di crypto-dm-modules-3.2.0-4-r5k-ip32-di nbd-modules-3.2.0-4-r5k-ip32-di squashfs-modules-3.2.0-4-r5k-ip32-di zlib-modules-3.2.0-4-r5k-ip32-di udf-modules-3.2.0-4-r5k-ip32-di fuse-modules-3.2.0-4-r5k-ip32-di kernel-image-3.2.0-4-4kc-malta-di ppp-modules-3.2.0-4-4kc-malta-di cdrom-core-modules-3.2.0-4-4kc-malta-di loop-modules-3.2.0-4-4kc-malta-di ipv6-modules-3.2.0-4-4kc-malta-di btrfs-modules-3.2.0-4-4kc-malta-di isofs-modules-3.2.0-4-4kc-malta-di jfs-modules-3.2.0-4-4kc-malta-di reiserfs-modules-3.2.0-4-4kc-malta-di xfs-modules-3.2.0-4-4kc-malta-di fat-modules-3.2.0-4-4kc-malta-di md-modules-3.2.0-4-4kc-malta-di multipath-modules-3.2.0-4-4kc-malta-di
 usb-modules-3.2.0-4-4kc-malta-di usb-storage-modules-3.2.0-4-4kc-malta-di input-modules-3.2.0-4-4kc-malta-di sata-modules-3.2.0-4-4kc-malta-di crypto-modules-3.2.0-4-4kc-malta-di crypto-dm-modules-3.2.0-4-4kc-malta-di nbd-modules-3.2.0-4-4kc-malta-di squashfs-modules-3.2.0-4-4kc-malta-di virtio-modules-3.2.0-4-4kc-malta-di zlib-modules-3.2.0-4-4kc-malta-di udf-modules-3.2.0-4-4kc-malta-di fuse-modules-3.2.0-4-4kc-malta-di linux-image-3.2.0-4-r4k-ip22 linux-headers-3.2.0-4-r4k-ip22 linux-image-3.2.0-4-r5k-ip32 linux-headers-3.2.0-4-r5k-ip32 linux-image-3.2.0-4-sb1-bcm91250a linux-headers-3.2.0-4-sb1-bcm91250a linux-image-3.2.0-4-sb1a-bcm91480b linux-headers-3.2.0-4-sb1a-bcm91480b linux-image-3.2.0-4-4kc-malta linux-headers-3.2.0-4-4kc-malta linux-image-3.2.0-4-5kc-malta linux-headers-3.2.0-4-5kc-malta linux-image-3.2.0-4-octeon linux-headers-3.2.0-4-octeon linux-headers-3.2.0-4-all-mipsel kernel-image-3.2.0-4-r5k-cobalt-di nic-shared-modules-3.2.0-4-r5k-cobalt-di
 ppp-modules-3.2.0-4-r5k-cobalt-di loop-modules-3.2.0-4-r5k-cobalt-di ipv6-modules-3.2.0-4-r5k-cobalt-di btrfs-modules-3.2.0-4-r5k-cobalt-di jfs-modules-3.2.0-4-r5k-cobalt-di reiserfs-modules-3.2.0-4-r5k-cobalt-di xfs-modules-3.2.0-4-r5k-cobalt-di fat-modules-3.2.0-4-r5k-cobalt-di nfs-modules-3.2.0-4-r5k-cobalt-di md-modules-3.2.0-4-r5k-cobalt-di multipath-modules-3.2.0-4-r5k-cobalt-di crypto-modules-3.2.0-4-r5k-cobalt-di crypto-dm-modules-3.2.0-4-r5k-cobalt-di nbd-modules-3.2.0-4-r5k-cobalt-di squashfs-modules-3.2.0-4-r5k-cobalt-di zlib-modules-3.2.0-4-r5k-cobalt-di fuse-modules-3.2.0-4-r5k-cobalt-di kernel-image-3.2.0-4-loongson-2f-di nic-modules-3.2.0-4-loongson-2f-di nic-shared-modules-3.2.0-4-loongson-2f-di ppp-modules-3.2.0-4-loongson-2f-di cdrom-core-modules-3.2.0-4-loongson-2f-di loop-modules-3.2.0-4-loongson-2f-di ipv6-modules-3.2.0-4-loongson-2f-di btrfs-modules-3.2.0-4-loongson-2f-di isofs-modules-3.2.0-4-loongson-2f-di jfs-modules-3.2.0-4-loongson-2f-di
 reiserfs-modules-3.2.0-4-loongson-2f-di xfs-modules-3.2.0-4-loongson-2f-di fat-modules-3.2.0-4-loongson-2f-di md-modules-3.2.0-4-loongson-2f-di multipath-modules-3.2.0-4-loongson-2f-di usb-modules-3.2.0-4-loongson-2f-di usb-storage-modules-3.2.0-4-loongson-2f-di input-modules-3.2.0-4-loongson-2f-di nic-usb-modules-3.2.0-4-loongson-2f-di sata-modules-3.2.0-4-loongson-2f-di crypto-modules-3.2.0-4-loongson-2f-di crypto-dm-modules-3.2.0-4-loongson-2f-di nbd-modules-3.2.0-4-loongson-2f-di squashfs-modules-3.2.0-4-loongson-2f-di virtio-modules-3.2.0-4-loongson-2f-di zlib-modules-3.2.0-4-loongson-2f-di udf-modules-3.2.0-4-loongson-2f-di fuse-modules-3.2.0-4-loongson-2f-di linux-image-3.2.0-4-r5k-cobalt linux-headers-3.2.0-4-r5k-cobalt linux-image-3.2.0-4-loongson-2f linux-headers-3.2.0-4-loongson-2f linux-headers-3.2.0-4-all-powerpc kernel-image-3.2.0-4-powerpc-di nic-modules-3.2.0-4-powerpc-di nic-extra-modules-3.2.0-4-powerpc-di nic-shared-modules-3.2.0-4-powerpc-di
 serial-modules-3.2.0-4-powerpc-di usb-serial-modules-3.2.0-4-powerpc-di ppp-modules-3.2.0-4-powerpc-di pata-modules-3.2.0-4-powerpc-di cdrom-core-modules-3.2.0-4-powerpc-di firewire-core-modules-3.2.0-4-powerpc-di scsi-core-modules-3.2.0-4-powerpc-di scsi-modules-3.2.0-4-powerpc-di scsi-common-modules-3.2.0-4-powerpc-di scsi-extra-modules-3.2.0-4-powerpc-di floppy-modules-3.2.0-4-powerpc-di loop-modules-3.2.0-4-powerpc-di btrfs-modules-3.2.0-4-powerpc-di ext2-modules-3.2.0-4-powerpc-di ext3-modules-3.2.0-4-powerpc-di ext4-modules-3.2.0-4-powerpc-di isofs-modules-3.2.0-4-powerpc-di jfs-modules-3.2.0-4-powerpc-di reiserfs-modules-3.2.0-4-powerpc-di xfs-modules-3.2.0-4-powerpc-di fat-modules-3.2.0-4-powerpc-di hfs-modules-3.2.0-4-powerpc-di affs-modules-3.2.0-4-powerpc-di ufs-modules-3.2.0-4-powerpc-di md-modules-3.2.0-4-powerpc-di multipath-modules-3.2.0-4-powerpc-di usb-modules-3.2.0-4-powerpc-di usb-storage-modules-3.2.0-4-powerpc-di
 pcmcia-storage-modules-3.2.0-4-powerpc-di input-modules-3.2.0-4-powerpc-di event-modules-3.2.0-4-powerpc-di mouse-modules-3.2.0-4-powerpc-di irda-modules-3.2.0-4-powerpc-di nic-pcmcia-modules-3.2.0-4-powerpc-di pcmcia-modules-3.2.0-4-powerpc-di sata-modules-3.2.0-4-powerpc-di core-modules-3.2.0-4-powerpc-di crc-modules-3.2.0-4-powerpc-di crypto-modules-3.2.0-4-powerpc-di crypto-dm-modules-3.2.0-4-powerpc-di ata-modules-3.2.0-4-powerpc-di nbd-modules-3.2.0-4-powerpc-di squashfs-modules-3.2.0-4-powerpc-di virtio-modules-3.2.0-4-powerpc-di uinput-modules-3.2.0-4-powerpc-di zlib-modules-3.2.0-4-powerpc-di udf-modules-3.2.0-4-powerpc-di fuse-modules-3.2.0-4-powerpc-di kernel-image-3.2.0-4-powerpc64-di nic-modules-3.2.0-4-powerpc64-di nic-extra-modules-3.2.0-4-powerpc64-di nic-shared-modules-3.2.0-4-powerpc64-di serial-modules-3.2.0-4-powerpc64-di usb-serial-modules-3.2.0-4-powerpc64-di ppp-modules-3.2.0-4-powerpc64-di pata-modules-3.2.0-4-powerpc64-di
 cdrom-core-modules-3.2.0-4-powerpc64-di firewire-core-modules-3.2.0-4-powerpc64-di scsi-core-modules-3.2.0-4-powerpc64-di scsi-modules-3.2.0-4-powerpc64-di scsi-common-modules-3.2.0-4-powerpc64-di scsi-extra-modules-3.2.0-4-powerpc64-di floppy-modules-3.2.0-4-powerpc64-di loop-modules-3.2.0-4-powerpc64-di btrfs-modules-3.2.0-4-powerpc64-di ext2-modules-3.2.0-4-powerpc64-di ext3-modules-3.2.0-4-powerpc64-di ext4-modules-3.2.0-4-powerpc64-di isofs-modules-3.2.0-4-powerpc64-di jfs-modules-3.2.0-4-powerpc64-di reiserfs-modules-3.2.0-4-powerpc64-di xfs-modules-3.2.0-4-powerpc64-di fat-modules-3.2.0-4-powerpc64-di hfs-modules-3.2.0-4-powerpc64-di affs-modules-3.2.0-4-powerpc64-di ufs-modules-3.2.0-4-powerpc64-di md-modules-3.2.0-4-powerpc64-di multipath-modules-3.2.0-4-powerpc64-di usb-modules-3.2.0-4-powerpc64-di usb-storage-modules-3.2.0-4-powerpc64-di pcmcia-storage-modules-3.2.0-4-powerpc64-di input-modules-3.2.0-4-powerpc64-di event-modules-3.2.0-4-powerpc64-di
 mouse-modules-3.2.0-4-powerpc64-di irda-modules-3.2.0-4-powerpc64-di nic-pcmcia-modules-3.2.0-4-powerpc64-di pcmcia-modules-3.2.0-4-powerpc64-di sata-modules-3.2.0-4-powerpc64-di core-modules-3.2.0-4-powerpc64-di crc-modules-3.2.0-4-powerpc64-di crypto-modules-3.2.0-4-powerpc64-di crypto-dm-modules-3.2.0-4-powerpc64-di ata-modules-3.2.0-4-powerpc64-di nbd-modules-3.2.0-4-powerpc64-di squashfs-modules-3.2.0-4-powerpc64-di virtio-modules-3.2.0-4-powerpc64-di uinput-modules-3.2.0-4-powerpc64-di udf-modules-3.2.0-4-powerpc64-di fuse-modules-3.2.0-4-powerpc64-di hypervisor-modules-3.2.0-4-powerpc64-di fancontrol-modules-3.2.0-4-powerpc64-di linux-image-3.2.0-4-powerpc linux-headers-3.2.0-4-powerpc linux-image-3.2.0-4-powerpc-smp linux-headers-3.2.0-4-powerpc-smp linux-image-3.2.0-4-powerpc64 linux-headers-3.2.0-4-powerpc64 linux-headers-3.2.0-4-all-ppc64 linux-headers-3.2.0-4-all-s390 kernel-image-3.2.0-4-s390x-di nic-modules-3.2.0-4-s390x-di
 scsi-core-modules-3.2.0-4-s390x-di scsi-modules-3.2.0-4-s390x-di ext2-modules-3.2.0-4-s390x-di ext3-modules-3.2.0-4-s390x-di ext4-modules-3.2.0-4-s390x-di xfs-modules-3.2.0-4-s390x-di fat-modules-3.2.0-4-s390x-di md-modules-3.2.0-4-s390x-di multipath-modules-3.2.0-4-s390x-di core-modules-3.2.0-4-s390x-di crypto-modules-3.2.0-4-s390x-di crypto-dm-modules-3.2.0-4-s390x-di nbd-modules-3.2.0-4-s390x-di virtio-modules-3.2.0-4-s390x-di fuse-modules-3.2.0-4-s390x-di dasd-modules-3.2.0-4-s390x-di dasd-extra-modules-3.2.0-4-s390x-di kernel-image-3.2.0-4-s390x-tape-di linux-image-3.2.0-4-s390x linux-headers-3.2.0-4-s390x linux-image-3.2.0-4-s390x-dbg linux-image-3.2.0-4-s390x-tape linux-headers-3.2.0-4-all-s390x linux-headers-3.2.0-4-all-sh4 kernel-image-3.2.0-4-sh7751r-di nic-modules-3.2.0-4-sh7751r-di usb-serial-modules-3.2.0-4-sh7751r-di ppp-modules-3.2.0-4-sh7751r-di pata-modules-3.2.0-4-sh7751r-di cdrom-core-modules-3.2.0-4-sh7751r-di
 firewire-core-modules-3.2.0-4-sh7751r-di scsi-core-modules-3.2.0-4-sh7751r-di loop-modules-3.2.0-4-sh7751r-di ipv6-modules-3.2.0-4-sh7751r-di btrfs-modules-3.2.0-4-sh7751r-di ext2-modules-3.2.0-4-sh7751r-di ext4-modules-3.2.0-4-sh7751r-di isofs-modules-3.2.0-4-sh7751r-di jfs-modules-3.2.0-4-sh7751r-di reiserfs-modules-3.2.0-4-sh7751r-di xfs-modules-3.2.0-4-sh7751r-di fat-modules-3.2.0-4-sh7751r-di ufs-modules-3.2.0-4-sh7751r-di minix-modules-3.2.0-4-sh7751r-di md-modules-3.2.0-4-sh7751r-di multipath-modules-3.2.0-4-sh7751r-di usb-storage-modules-3.2.0-4-sh7751r-di parport-modules-3.2.0-4-sh7751r-di nic-usb-modules-3.2.0-4-sh7751r-di sata-modules-3.2.0-4-sh7751r-di i2c-modules-3.2.0-4-sh7751r-di crc-modules-3.2.0-4-sh7751r-di crypto-modules-3.2.0-4-sh7751r-di crypto-dm-modules-3.2.0-4-sh7751r-di nbd-modules-3.2.0-4-sh7751r-di squashfs-modules-3.2.0-4-sh7751r-di speakup-modules-3.2.0-4-sh7751r-di virtio-modules-3.2.0-4-sh7751r-di sound-modules-3.2.0-4-sh7751r-di
 zlib-modules-3.2.0-4-sh7751r-di udf-modules-3.2.0-4-sh7751r-di fuse-modules-3.2.0-4-sh7751r-di kernel-image-3.2.0-4-sh7785lcr-di nic-modules-3.2.0-4-sh7785lcr-di usb-serial-modules-3.2.0-4-sh7785lcr-di ppp-modules-3.2.0-4-sh7785lcr-di pata-modules-3.2.0-4-sh7785lcr-di cdrom-core-modules-3.2.0-4-sh7785lcr-di firewire-core-modules-3.2.0-4-sh7785lcr-di scsi-core-modules-3.2.0-4-sh7785lcr-di loop-modules-3.2.0-4-sh7785lcr-di ipv6-modules-3.2.0-4-sh7785lcr-di btrfs-modules-3.2.0-4-sh7785lcr-di ext2-modules-3.2.0-4-sh7785lcr-di ext4-modules-3.2.0-4-sh7785lcr-di isofs-modules-3.2.0-4-sh7785lcr-di jfs-modules-3.2.0-4-sh7785lcr-di reiserfs-modules-3.2.0-4-sh7785lcr-di xfs-modules-3.2.0-4-sh7785lcr-di fat-modules-3.2.0-4-sh7785lcr-di ufs-modules-3.2.0-4-sh7785lcr-di minix-modules-3.2.0-4-sh7785lcr-di md-modules-3.2.0-4-sh7785lcr-di multipath-modules-3.2.0-4-sh7785lcr-di parport-modules-3.2.0-4-sh7785lcr-di nic-usb-modules-3.2.0-4-sh7785lcr-di sata-modules-3.2.0-4-sh7785lcr-di
 crc-modules-3.2.0-4-sh7785lcr-di crypto-modules-3.2.0-4-sh7785lcr-di crypto-dm-modules-3.2.0-4-sh7785lcr-di nbd-modules-3.2.0-4-sh7785lcr-di squashfs-modules-3.2.0-4-sh7785lcr-di speakup-modules-3.2.0-4-sh7785lcr-di sound-modules-3.2.0-4-sh7785lcr-di zlib-modules-3.2.0-4-sh7785lcr-di udf-modules-3.2.0-4-sh7785lcr-di fuse-modules-3.2.0-4-sh7785lcr-di linux-image-3.2.0-4-sh7751r linux-headers-3.2.0-4-sh7751r linux-image-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-all-sparc kernel-image-3.2.0-4-sparc64-di nic-modules-3.2.0-4-sparc64-di ppp-modules-3.2.0-4-sparc64-di pata-modules-3.2.0-4-sparc64-di cdrom-core-modules-3.2.0-4-sparc64-di scsi-core-modules-3.2.0-4-sparc64-di scsi-modules-3.2.0-4-sparc64-di scsi-common-modules-3.2.0-4-sparc64-di plip-modules-3.2.0-4-sparc64-di btrfs-modules-3.2.0-4-sparc64-di ext2-modules-3.2.0-4-sparc64-di ext3-modules-3.2.0-4-sparc64-di ext4-modules-3.2.0-4-sparc64-di isofs-modules-3.2.0-4-sparc64-di
 jfs-modules-3.2.0-4-sparc64-di reiserfs-modules-3.2.0-4-sparc64-di xfs-modules-3.2.0-4-sparc64-di fat-modules-3.2.0-4-sparc64-di md-modules-3.2.0-4-sparc64-di multipath-modules-3.2.0-4-sparc64-di usb-modules-3.2.0-4-sparc64-di usb-storage-modules-3.2.0-4-sparc64-di input-modules-3.2.0-4-sparc64-di sata-modules-3.2.0-4-sparc64-di core-modules-3.2.0-4-sparc64-di crypto-modules-3.2.0-4-sparc64-di crypto-dm-modules-3.2.0-4-sparc64-di ata-modules-3.2.0-4-sparc64-di nbd-modules-3.2.0-4-sparc64-di squashfs-modules-3.2.0-4-sparc64-di virtio-modules-3.2.0-4-sparc64-di zlib-modules-3.2.0-4-sparc64-di udf-modules-3.2.0-4-sparc64-di fuse-modules-3.2.0-4-sparc64-di linux-image-3.2.0-4-sparc64 linux-headers-3.2.0-4-sparc64 linux-image-3.2.0-4-sparc64-smp linux-headers-3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-all-sparc64
Architecture: all source
Version: 3.2.39-1
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 627372 664068 680737 684767 685726 686636 687442 689268 690284 693997 696182 696321 696592 696650 696925 697035 697077 697128 697229 697479 697740 697903 698376 698382 699129 699283 699913 700211 700418 700550
Description: 
 acpi-modules-3.2.0-4-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-4-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-4-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-4-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-mx5-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-4-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-versatile-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-vexpress-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-4-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-4-486-di - Core modules (udeb)
 core-modules-3.2.0-4-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-4-amd64-di - Core modules (udeb)
 core-modules-3.2.0-4-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-4-itanium-di - Core modules (udeb)
 core-modules-3.2.0-4-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-4-mx5-di - Core modules (udeb)
 core-modules-3.2.0-4-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-4-s390x-di - Core modules (udeb)
 core-modules-3.2.0-4-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-4-versatile-di - Core modules (udeb)
 core-modules-3.2.0-4-vexpress-di - Core modules (udeb)
 crc-modules-3.2.0-4-486-di - CRC modules (udeb)
 crc-modules-3.2.0-4-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-4-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-4-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-4-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-4-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-4-versatile-di - CRC modules (udeb)
 crc-modules-3.2.0-4-vexpress-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-4-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-versatile-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-vexpress-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-4-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-versatile-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-vexpress-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-4-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-4-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-4-486-di - EFI modules (udeb)
 efi-modules-3.2.0-4-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-4-amd64-di - EFI modules (udeb)
 efi-modules-3.2.0-4-itanium-di - EFI modules (udeb)
 event-modules-3.2.0-4-486-di - Event support (udeb)
 event-modules-3.2.0-4-686-pae-di - Event support (udeb)
 event-modules-3.2.0-4-amd64-di - Event support (udeb)
 event-modules-3.2.0-4-iop32x-di - Event support (udeb)
 event-modules-3.2.0-4-itanium-di - Event support (udeb)
 event-modules-3.2.0-4-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-4-orion5x-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc64-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc-di - Event support (udeb)
 ext2-modules-3.2.0-4-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-versatile-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-vexpress-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-4-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-versatile-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-vexpress-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-4-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-versatile-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-vexpress-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-4-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-4-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-versatile-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-vexpress-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-4-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-4-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-4-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc-di - Floppy driver (udeb)
 fuse-modules-3.2.0-4-486-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-4kc-malta-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-686-pae-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amd64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amiga-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-atari-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-iop32x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-itanium-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-kirkwood-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-loongson-2f-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mac-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mx5-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-orion5x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r4k-ip22-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-cobalt-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-ip32-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-s390x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sb1-bcm91250a-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7751r-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7785lcr-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sparc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-versatile-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-vexpress-di - FUSE modules (udeb)
 hfs-modules-3.2.0-4-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-4-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.2.0-4-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 hyperv-modules-3.2.0-4-486-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-686-pae-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-amd64-di - Hyper-V modules (udeb)
 i2c-modules-3.2.0-4-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-4-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-4-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-4-486-di - Input devices support (udeb)
 input-modules-3.2.0-4-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-4-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-4-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-4-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-4-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-4-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-4-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-4-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-4-sparc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-vexpress-di - Input devices support (udeb)
 ipv6-modules-3.2.0-4-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-amiga-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-atari-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-iop32x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-kirkwood-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mac-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mx5-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-orion5x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sb1-bcm91250a-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7751r-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7785lcr-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-versatile-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-vexpress-di - IPv6 driver (udeb)
 irda-modules-3.2.0-4-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-4-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-versatile-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-vexpress-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-4-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-4-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-4-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sparc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-vexpress-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-4-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-vexpress-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-4-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-4-486 - Header files for Linux 3.2.0-4-486
 linux-headers-3.2.0-4-4kc-malta - Header files for Linux 3.2.0-4-4kc-malta
 linux-headers-3.2.0-4-5kc-malta - Header files for Linux 3.2.0-4-5kc-malta
 linux-headers-3.2.0-4-686-pae - Header files for Linux 3.2.0-4-686-pae
 linux-headers-3.2.0-4-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-alpha-generic - Header files for Linux 3.2.0-4-alpha-generic
 linux-headers-3.2.0-4-alpha-legacy - Header files for Linux 3.2.0-4-alpha-legacy
 linux-headers-3.2.0-4-alpha-smp - Header files for Linux 3.2.0-4-alpha-smp
 linux-headers-3.2.0-4-amd64 - Header files for Linux 3.2.0-4-amd64
 linux-headers-3.2.0-4-amiga - Header files for Linux 3.2.0-4-amiga
 linux-headers-3.2.0-4-atari - Header files for Linux 3.2.0-4-atari
 linux-headers-3.2.0-4-bvme6000 - Header files for Linux 3.2.0-4-bvme6000
 linux-headers-3.2.0-4-common - Common header files for Linux 3.2.0-4
 linux-headers-3.2.0-4-common-rt - Common header files for Linux 3.2.0-4-rt
 linux-headers-3.2.0-4-iop32x - Header files for Linux 3.2.0-4-iop32x
 linux-headers-3.2.0-4-itanium - Header files for Linux 3.2.0-4-itanium
 linux-headers-3.2.0-4-ixp4xx - Header files for Linux 3.2.0-4-ixp4xx
 linux-headers-3.2.0-4-kirkwood - Header files for Linux 3.2.0-4-kirkwood
 linux-headers-3.2.0-4-loongson-2f - Header files for Linux 3.2.0-4-loongson-2f
 linux-headers-3.2.0-4-mac - Header files for Linux 3.2.0-4-mac
 linux-headers-3.2.0-4-mckinley - Header files for Linux 3.2.0-4-mckinley
 linux-headers-3.2.0-4-mv78xx0 - Header files for Linux 3.2.0-4-mv78xx0
 linux-headers-3.2.0-4-mvme147 - Header files for Linux 3.2.0-4-mvme147
 linux-headers-3.2.0-4-mvme16x - Header files for Linux 3.2.0-4-mvme16x
 linux-headers-3.2.0-4-mx5 - Header files for Linux 3.2.0-4-mx5
 linux-headers-3.2.0-4-octeon - Header files for Linux 3.2.0-4-octeon
 linux-headers-3.2.0-4-omap - Header files for Linux 3.2.0-4-omap
 linux-headers-3.2.0-4-orion5x - Header files for Linux 3.2.0-4-orion5x
 linux-headers-3.2.0-4-parisc64 - Header files for Linux 3.2.0-4-parisc64
 linux-headers-3.2.0-4-parisc64-smp - Header files for Linux 3.2.0-4-parisc64-smp
 linux-headers-3.2.0-4-parisc - Header files for Linux 3.2.0-4-parisc
 linux-headers-3.2.0-4-parisc-smp - Header files for Linux 3.2.0-4-parisc-smp
 linux-headers-3.2.0-4-powerpc64 - Header files for Linux 3.2.0-4-powerpc64
 linux-headers-3.2.0-4-powerpc - Header files for Linux 3.2.0-4-powerpc
 linux-headers-3.2.0-4-powerpc-smp - Header files for Linux 3.2.0-4-powerpc-smp
 linux-headers-3.2.0-4-r4k-ip22 - Header files for Linux 3.2.0-4-r4k-ip22
 linux-headers-3.2.0-4-r5k-cobalt - Header files for Linux 3.2.0-4-r5k-cobalt
 linux-headers-3.2.0-4-r5k-ip32 - Header files for Linux 3.2.0-4-r5k-ip32
 linux-headers-3.2.0-4-rt-686-pae - Header files for Linux 3.2.0-4-rt-686-pae
 linux-headers-3.2.0-4-rt-amd64 - Header files for Linux 3.2.0-4-rt-amd64
 linux-headers-3.2.0-4-s390x - Header files for Linux 3.2.0-4-s390x
 linux-headers-3.2.0-4-sb1a-bcm91480b - Header files for Linux 3.2.0-4-sb1a-bcm91480b
 linux-headers-3.2.0-4-sb1-bcm91250a - Header files for Linux 3.2.0-4-sb1-bcm91250a
 linux-headers-3.2.0-4-sh7751r - Header files for Linux 3.2.0-4-sh7751r
 linux-headers-3.2.0-4-sh7785lcr - Header files for Linux 3.2.0-4-sh7785lcr
 linux-headers-3.2.0-4-sparc64 - Header files for Linux 3.2.0-4-sparc64
 linux-headers-3.2.0-4-sparc64-smp - Header files for Linux 3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-versatile - Header files for Linux 3.2.0-4-versatile
 linux-headers-3.2.0-4-vexpress - Header files for Linux 3.2.0-4-vexpress
 linux-image-3.2.0-4-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-4-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-4-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-4-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-686-pae
 linux-image-3.2.0-4-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-4-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-4-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-4-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-4-amd64-dbg - Debugging symbols for Linux 3.2.0-4-amd64
 linux-image-3.2.0-4-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-4-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-4-atari - Linux 3.2 for Atari
 linux-image-3.2.0-4-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-4-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-4-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-4-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-4-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-4-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-4-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-4-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-4-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-4-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-4-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-4-mx5 - Linux 3.2 for Freescale i.MX51/53
 linux-image-3.2.0-4-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-4-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-4-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-4-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-4-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-4-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-4-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-4-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-4-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-4-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-4-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-4-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-4-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-4-rt-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-rt-686-pae
 linux-image-3.2.0-4-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-4-rt-amd64-dbg - Debugging symbols for Linux 3.2.0-4-rt-amd64
 linux-image-3.2.0-4-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-4-s390x-dbg - Debugging symbols for Linux 3.2.0-4-s390x
 linux-image-3.2.0-4-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-4-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-4-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-4-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-4-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-4-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-4-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-4-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-4 - Support files for Linux 3.2
 loop-modules-3.2.0-4-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-versatile-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-vexpress-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-4-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-versatile-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-vexpress-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-4-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-4-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-4-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-mx5-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-vexpress-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-4-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc-di - Mouse support (udeb)
 mtd-modules-3.2.0-4-mx5-di - MTD modules (udeb)
 multipath-modules-3.2.0-4-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-versatile-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-vexpress-di - Multipath support (udeb)
 nbd-modules-3.2.0-4-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-versatile-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-vexpress-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-4-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-4-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-4-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-4-versatile-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-vexpress-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-versatile-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-vexpress-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-versatile-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-vexpress-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-amd64-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-mx5-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-vexpress-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-4-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-4-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-4-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-mx5-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-4-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-4-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-4-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-4-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-4-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-4-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-4-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-mx5-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-4-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-4-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-versatile-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-vexpress-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-4-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-4-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-4-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc-di - Serial drivers (udeb)
 sn-modules-3.2.0-4-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-4-486-di - sound support (udeb)
 sound-modules-3.2.0-4-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-4-amd64-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-4-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-4-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-versatile-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-vexpress-di - squashfs modules (udeb)
 udf-modules-3.2.0-4-486-di - UDF modules (udeb)
 udf-modules-3.2.0-4-4kc-malta-di - UDF modules (udeb)
 udf-modules-3.2.0-4-686-pae-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amd64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amiga-di - UDF modules (udeb)
 udf-modules-3.2.0-4-atari-di - UDF modules (udeb)
 udf-modules-3.2.0-4-iop32x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-itanium-di - UDF modules (udeb)
 udf-modules-3.2.0-4-kirkwood-di - UDF modules (udeb)
 udf-modules-3.2.0-4-loongson-2f-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mac-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mx5-di - UDF modules (udeb)
 udf-modules-3.2.0-4-orion5x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r4k-ip22-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r5k-ip32-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sb1-bcm91250a-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7751r-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7785lcr-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sparc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-versatile-di - UDF modules (udeb)
 udf-modules-3.2.0-4-vexpress-di - UDF modules (udeb)
 ufs-modules-3.2.0-4-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-4-486-di - uinput support (udeb)
 uinput-modules-3.2.0-4-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-4-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-4-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-4-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc-di - uinput support (udeb)
 uinput-modules-3.2.0-4-vexpress-di - uinput support (udeb)
 usb-modules-3.2.0-4-486-di - USB support (udeb)
 usb-modules-3.2.0-4-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-4-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-4-amd64-di - USB support (udeb)
 usb-modules-3.2.0-4-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-4-itanium-di - USB support (udeb)
 usb-modules-3.2.0-4-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-4-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-4-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-4-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-4-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-4-versatile-di - USB support (udeb)
 usb-modules-3.2.0-4-vexpress-di - USB support (udeb)
 usb-serial-modules-3.2.0-4-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-4-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-versatile-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-vexpress-di - USB storage support (udeb)
 virtio-modules-3.2.0-4-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sparc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-4-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-4-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-4-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-4-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-versatile-di - zlib modules (udeb)
Changes: 
 linux (3.2.39-1) unstable; urgency=high
 .
   * New upstream stable update:
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.36
     - freezer: PF_FREEZER_NOSIG should be cleared along with PF_NOFREEZE
       (Closes: #697077)
     - tmpfs: fix shared mempolicy leak
     - virtio: 9p: correctly pass physical address to userspace for high pages
     - virtio: force vring descriptors to be allocated from lowmem
     - USB: EHCI: bugfix: urb->hcpriv should not be NULL
     - rcu: Fix batch-limit size problem
     - Bluetooth: ath3k: Add support for VAIO VPCEH [0489:e027]
       (Closes: #700550)
     - mvsas: fix undefined bit shift
     - ALSA: usb-audio: Avoid autopm calls after disconnection; Fix missing
       autopm for MIDI input (Closes: #664068)
     - target/file: Fix 32-bit highmem breakage for SGL -> iovec mapping
     - SCSI: fix Null pointer dereference on disk error
     - proc: pid/status: show all supplementary groups
     - nfsd4: fix oops on unusual readlike compound
     - ARM: missing ->mmap_sem around find_vma() in swp_emulate.c
     - sctp: fix memory leak in sctp_datamsg_from_user() when copy from user
       space fails
     - ne2000: add the right platform device
     - irda: sir_dev: Fix copy/paste typo
     - ipv4: ip_check_defrag must not modify skb before unsharing
     - telephony: ijx: buffer overflow in ixj_write_cid()
     - udf: fix memory leak while allocating blocks during write
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.37
     - ext4: fix extent tree corruption caused by hole punch
     - jbd2: fix assertion failure in jbd2_journal_flush()
     - tmpfs mempolicy: fix /proc/mounts corrupting memory
     - sparc: huge_ptep_set_* functions need to call set_huge_pte_at()
     - inet: Fix kmemleak in tcp_v4/6_syn_recv_sock and
       dccp_v4/6_request_recv_sock
     - net: sched: integer overflow fix
     - tcp: implement RFC 5961 3.2
     - tcp: implement RFC 5961 4.2
     - tcp: refine SYN handling in tcp_validate_incoming
     - tcp: tcp_replace_ts_recent() should not be called from
       tcp_validate_incoming()
     - tcp: RFC 5961 5.2 Blind Data Injection Attack Mitigation
     - RDMA/nes: Fix for crash when registering zero length MR for CQ
     - ACPI : do not use Lid and Sleep button for S5 wakeup
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.38
     - staging: comedi: comedi_test: fix race when cancelling command
     - mm: use aligned zone start for pfn_to_bitidx calculation
     - [s390] s390/time: fix sched_clock() overflow (Closes: #698382)
     - [i386] xen: Fix stack corruption in xen_failsafe_callback for 32bit
       PVOPS guests. (CVE-2013-0190)
     - KVM: PPC: Emulate dcbf
     - evm: checking if removexattr is not a NULL
     - ath9k_htc: Fix memory leak
     - ath9k: do not link receive buffers during flush
     - ath9k: fix double-free bug on beacon generate failure
     - x86/msr: Add capabilities check
     - can: c_can: fix invalid error codes
     - can: ti_hecc: fix invalid error codes
     - can: pch_can: fix invalid error codes
     - smp: Fix SMP function call empty cpu mask race
     - xfs: Fix possible use-after-free with AIO
     - EDAC: Test correct variable in ->store function
     - samsung-laptop: Disable on EFI hardware, to avoid damaging it
     - NFS: Don't silently fail setattr() requests on mountpoints
     - intel-iommu: Prevent devices with RMRRs from being placed into SI Domain
     - ALSA: usb-audio: Fix regression by disconnection-race-fix patch
       (Closes: #696321)
     - printk: fix buffer overflow when calling log_prefix function from
       call_console_drivers
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.39
     - USB: XHCI: fix memory leak of URB-private data
     - sched/rt: Use root_domain of rt_rq not current processor
     - mwifiex: fix incomplete scan in case of IE parsing error
     - x86-64: Replace left over sti/cli in ia32 audit exit code
     - Bluetooth: Fix handling of unexpected SMP PDUs
     - ptrace/x86: Partly fix set_task_blockstep()->update_debugctlmsr() logic
     - Fix race condition with PTRACE_SETREGS and fatal signal (CVE-2013-0871)
       + ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
       + ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
       + wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
         task
     - net: prevent setting ttl=0 via IP_TTL
     - ipv6: fix header length calculation in ip6_append_data()
     - netxen: fix off by one bug in netxen_release_tx_buffer()
     - r8169: remove the obsolete and incorrect AMD workaround
     - net: loopback: fix a dst refcounting issue
     - packet: fix leakage of tx_ring memory
     - net: sctp: sctp_setsockopt_auth_key: use kzfree instead of kfree
     - net: sctp: sctp_endpoint_free: zero out secret key data
     - xen/netback: shutdown the ring if it contains garbage. (CVE-2013-0216)
     - xen/netback: don't leak pages on failure in xen_netbk_tx_check_gop.
     - xen/netback: free already allocated memory on failure in
       xen_netbk_get_requests
     - netback: correct netbk_tx_err to handle wrap around. (CVE-2013-0217)
     - tcp: frto should not set snd_cwnd to 0
     - tcp: fix for zero packets_in_flight was too broad
     - tcp: fix MSG_SENDPAGE_NOTLAST logic
     - bridge: Pull ip header into skb->data before looking into ip header.
       (Closes: #697903)
     - x86/xen: don't assume %ds is usable in xen_iret for 32-bit PVOPS.
       (CVE-2013-0228)
 .
   [ Aurelien Jarno ]
   * [armhf/vexpress] Add kernel udebs.
 .
   [ Julien Cristau ]
   * Backport drm and agp subsystems from Linux 3.4.29 (closes: #687442)
     - [x86] i915: Fixes freezes on Ivy Bridge (Closes: #689268)
     - nouveau: Support for newer nvidia chipsets (Closes: #690284)
     - radeon: Support for HD7000 'Southern Islands' chips
     - [x86] drm/i915: add Ivy Bridge GT2 Server entries (Closes: #684767)
     - [x86] drm/i915: Close race between processing unpin task and queueing
       the flip
 .
   [ Ben Hutchings ]
   * Input: wacom - fix touch support for Bamboo Fun CTH-461
   * media/rc: Add iguanair driver from Linux 3.7 (Closes: #696925)
   * rt2800: add chipset revision RT5390R support (Closes: #696592)
   * [armhf/mx5] mtd: Enable MTD_BLOCK as module
   * [armhf/mx5] udeb: Add missing storage drivers (Closes: #697128)
     - Add ata-modules including libata, pata-modules including pata_imx,
       sata-modules including ahci_platform
     - Add sdhci-esdhc-imx to mmc-modules
     - Add mtd-modules including mtd, mtdblock and m25p80
   * [armhf] udeb: Fix network driver selection
     - [armhf/mx5] Remove nic-modules
     - [armhf/vexpress] Add usb-modules
     - Add standard set of USB drivers to nic-usb-modules
     - Add nic-wireless-modules
   * be2net: Apply backported fixes requested by Emulex (Closes: #697479)
     - be2net: do not modify PCI MaxReadReq size
     - be2net: fix reporting number of actual rx queues
     - be2net: do not use SCRATCHPAD register
     - be2net: reduce gso_max_size setting to account for ethernet header.
     - be2net: Increase statistics structure size for skyhawk.
     - be2net: Explicitly clear the reserved field in the Tx Descriptor
     - be2net: Regression bug wherein VFs creation broken for multiple cards.
     - be2net: Fix to trim skb for padded vlan packets to workaround an ASIC Bug
     - be2net: Fix Endian
     - be2net: Enable RSS UDP hashing for Lancer and Skyhawk
     - be2net: dont pull too much data in skb linear part
     - be2net: Fix to parse RSS hash from Receive completions correctly.
     - be2net: Avoid disabling BH in be_poll()
   * udeb: Add specialised USB keyboard/mouse drivers to input-modules:
     hid-a4tech, hid-cypress, hid-ezkey (Closes: #697035), hid-kensington,
     hid-keytouch, hid-kye, hid-multitouch, hid-ortek, hid-primax,
     hid-quanta, hid-samsung, hid-speedlink
   * radeon: Firmware is required for DRM and KMS on R600 onward, but not
     for KMS on earlier chips (Closes: #697229)
   * [!powerpc] radeon: Reenable DRM_RADEON_KMS, as it apparently works on
     most non-PowerMac systems
   * fs: cachefiles: add support for large files in filesystem caching
     (Closes: #698376)
   * [rt] Update to 3.2.38-rt57:
     - sched: Adjust sched_reset_on_fork when nothing else changes
     - sched: Queue RT tasks to head when prio drops
     - sched: Consider pi boosting in setscheduler
     - sched: Init idle->on_rq in init_idle()
     - sched: Check for idle task in might_sleep()
     - mm: swap: Initialize local locks early
   * [armel/versatile,armhf/vexpress] i2c: Enable I2C, I2C_VERSATILE as modules
     (Closes: #696182)
   * ext4: Fix corruption by hole punch in large files (Closes: #685726)
     - rewrite punch hole to use ext4_ext_remove_space()
     - fix hole punch failure when depth is greater than 0
     - fix kernel BUG on large-scale rm -rf commands
   * md: protect against crash upon fsync on ro array (Closes: #696650)
   * net: Add alx driver for Atheros AR8161 and AR8162 (Closes: #699129)
     - Mark as staging, since it has not been accepted upstream
   * [armel/kirkwood] rtc-s35390a: add wakealarm support (Closes: #693997)
   * [x86] i915: Invert backlight brightness control for various models
     including Packard Bell NCL20 (Closes: #627372) and eMachines G725
     (Closes: #680737)
     - Also allow this behaviour to be enabled via module parameter
       invert_brightness=1
   * [amd64] edac: Enable EDAC_SBRIDGE as module (Closes: #699283)
   * SCSI: Add virtio_scsi driver (Closes: #686636)
   * [x86] sound: Enable LINE6_USB as module (Closes: #700211)
     - Apply upstream changes up to Linux 3.8-rc1
   * [armhf/mx5] Update description to mention i.MX53
   * mm: Try harder to allocate vmemmap blocks (Closes: #699913)
   * aufs: Update to aufs3.2-20130204:
     - support for syncfs(2)
     - possible bugfix, race in lookup
     - bugfix, half refreshed iinfo
     - possible bugfix, au_lkup_by_ino() returns ESTALE
   * [x86] efi: Clear EFI_RUNTIME_SERVICES rather than EFI_BOOT by "noefi" boot
     parameter
   * [x86] efi: Make "noefi" really disable EFI runtime serivces
   * drm, agp: Update to 3.4.32
     - drm/radeon: add WAIT_UNTIL to the non-VM safe regs list for cayman/TN
     - drm/radeon: prevent crash in the ring space allocation
   * linux-image-dbg: Add symlinks to vmlinux from the locations expected by
     kdump-tools (Closes: #700418), systemtap and others
   * mm: fix pageblock bitmap allocation (fixes regression in 3.2.38)
   * USB: usb-storage: unusual_devs update for Super TOP SATA bridge
 .
   [ Cyril Brulebois ]
   * Bump python build-dep, needed since the switch from local SortedDict
     to collections.OrderedDict (new in version 2.7). (Closes: #697740)
Checksums-Sha1: 
 b825a7790433d86564288fbf5a2c8408934d181f 103143 linux_3.2.39-1.dsc
 62b137cb2afa8abed1ed8d4f27ab4badddc5472c 65857136 linux_3.2.39.orig.tar.xz
 bf07bb2a274e7d239f27d8dc04a3db1899778820 3188844 linux_3.2.39-1.debian.tar.xz
 49f279e48592def704b6d69ed117bce99d7ee315 6369132 linux-doc-3.2_3.2.39-1_all.deb
 a613cc81d2275615a21fb3d87074d3b717b38e1a 208810 linux-support-3.2.0-4_3.2.39-1_all.deb
 e12aa9664dd6e3acdfbe11ebeaf00e6c4e551f9a 2922570 linux-manual-3.2_3.2.39-1_all.deb
 10965770bda0f571310dc5977329edc9de893ec3 77341558 linux-source-3.2_3.2.39-1_all.deb
Checksums-Sha256: 
 d3fadac85116c4501afa3b12abbebca21987c50fad56128faf0608f5be616035 103143 linux_3.2.39-1.dsc
 663eb090fc2d7d5a3d0dc613a662baf44c5e0057a9e99b404299ee25546e7a91 65857136 linux_3.2.39.orig.tar.xz
 5332b4729956b341230cbbaff06fda0c51347e68a054c791e35a10898143ff13 3188844 linux_3.2.39-1.debian.tar.xz
 50f88415629acb944507de5ff6313b90c0d62d8acf8c4c7d0774aaaca1dde870 6369132 linux-doc-3.2_3.2.39-1_all.deb
 ebb51c3fbf3d9007c82d3b8e83531c09dbe8764ace89f991385e58659a5bd637 208810 linux-support-3.2.0-4_3.2.39-1_all.deb
 3310bd30cfbc314ac36d631059261e77651cf72ae7bb620a2bfbc632fd7fe755 2922570 linux-manual-3.2_3.2.39-1_all.deb
 8d17323e0703c9e575bb9123feb3401d4d6c4f6179209065837c9b0f324294ff 77341558 linux-source-3.2_3.2.39-1_all.deb
Files: 
 fa7b08659be983d8cab0351706786d28 103143 kernel optional linux_3.2.39-1.dsc
 e87c31f09dd449d009b9f367f9c64d7b 65857136 kernel optional linux_3.2.39.orig.tar.xz
 9f2569ffac400ae07c1cd7da4e2a13c3 3188844 kernel optional linux_3.2.39-1.debian.tar.xz
 d69bf3acfaf9968a398e285be678ce17 6369132 doc optional linux-doc-3.2_3.2.39-1_all.deb
 7c9b82e7b3d68bf62dceb7dfac6d0a14 208810 devel optional linux-support-3.2.0-4_3.2.39-1_all.deb
 5f18c37894120f162b9f3626ad519b58 2922570 doc optional linux-manual-3.2_3.2.39-1_all.deb
 403844f6f653a37db8837c1f8d3bb636 77341558 kernel optional linux-source-3.2_3.2.39-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUSrhO+e/yOyVhhEJAQr9JRAApFIqaIkQ8C0rG4s4rh7GIv8MV1QpRg9M
6iCI+s0aYfdFpGxW7B/5CvUttxKn+aLxeeJKld2Ycqnt458Q6nbT5wIA3Y5bnx+E
gLMHouKBLjURaQ8rnTN0YvRJr8uauE/2qz+wsi2NJxwvf+2j9K9pkYsAGo+a6iWQ
nci5H/TvYhR1xpVs5ukJY1Ub//R0I0Be/QKlBWLMOvvqSTKHXv0rLCL9WrJTJaVz
mrTOb8bDc0bvb5mC1RR509jCYwD6uKlgWBRhQCMsXJjr+y6dfsIg6wJWQRqOiPB7
Qdf3paFdaQ35Bhn300KGHLEXSD84E9p/s5mdwX8kH9gZh6pow2IeyEZJxqS5daKE
fO2od2fCfR8/LXyz9OXkHx3/gQLTewPhsu0JtAQ3f6rSVNo4dlnQf23GBtpFQGAm
yxIEtwQ9x6x0xW99pJW3TUGHMBwefoRvuCArCs3HJkvWZfmpbDd4uj0XFnrC1Gvr
L/EUglUDKA0VBK3vsrv/49OVnIfexvZaJbZXzjKESeuMGAOXLj0cWf/+I8R97YJV
0jJkIvIxzFl2s8N3fFoKmGjMpHvVzgItx/VN/pGwSJiVZOOQXU01Z/Y4rHDFLZNI
74iUkRjyYg9RjMAk+GRA7aQKm0Nnd3gdM6453Q/DGYgTPrUcl70kbAIkhCYfj6C0
Ga4UPZ5r9r8=
=KJF6
-----END PGP SIGNATURE-----




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 25 Feb 2013 05:09:21 GMT) Full text and rfc822 format available.

Notification sent to Ingo <ingo.steiner@gmx.net>:
Bug acknowledged by developer. (Mon, 25 Feb 2013 05:09:21 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 25 Feb 2013 05:09:22 GMT) Full text and rfc822 format available.

Notification sent to Tilman Blumhagen <tilman.blumhagen@googlemail.com>:
Bug acknowledged by developer. (Mon, 25 Feb 2013 05:09:22 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 25 Feb 2013 05:09:22 GMT) Full text and rfc822 format available.

Notification sent to Steve VanDevender <stevev@hexadecimal.uoregon.edu>:
Bug acknowledged by developer. (Mon, 25 Feb 2013 05:09:23 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Feb 2013 07:09:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 May 2013 07:25:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:41:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.